DO NOT EDIT THIS FILE -- it is generated from the html history files.

ExifTool Version History

RSS feed: https://exiftool.org/rss.xml

Note: The most recent production release is Version 13.55. (Other versions are
considered development releases, and are not uploaded to MetaCPAN.)

May 27, 2026 - Version 13.59

  - Security update
  - Added NewUUID Extra tag (thanks Daniel Dumitriu, github #421)
  - Added a new Canon RF lens (thanks Norbert Wasser)
  - Added config_files/novelty.config to the distribution (github #422)
  - Decode tags from the Sony ILCE-7RM6 (thanks Jos Roost)
  - Decode a new FujiFilm tag (thanks Iliah Borg)
  - Decode a few more DJI protobuf tags
  - Decode a new Ricoh Pentax tag
  - Issue Error instead of Warning when writing XMP with some problems which
    could cause loss of data
  - Improved error message when reading wrongly encoded CSV or JSON file
  - Enhanced -config option to allow piped input with "-config -"
  - Enhanced -validate option to do more strict checking of EXIF-for-XMP tags
  - Patched -sort option avoid inconsistent output ordering of same-named tags
  - Patched Composite SubSec date/time tags to specify the EXIF group for the
    SubSec and OffsetTime tags upon which they are based (avoids non-standard
    XMP tags from being incorrectly used here)
  - Fixed bug in -diff feature when finding differences for specific tags and a
    specified tag was missing from the source file

May 5, 2026 - Version 13.58

  - Added a few new Nikon Z lenses (thanks Warren Hatch)
  - Added a few new QuickTime MajorBrand values (thanks Herb)
  - Added a new RAFCompression value
  - Added undocumented -eh option (alias for -E/-escapeHTML)
  - Decode timed GPS from INNOVV N2 TS videos
  - Improved decoding of Canon ColorData for some models (thanks Iliah Borg)
  - Changed the name of the RAFVersion tag to FirmwareVersion
  - Removed conversion for Garmin FIT DeviceIndex values
  - Properly parse XML CDATA and comment sections
  - Fixed issue which could cause failed Garmin test on some systems

Apr. 17, 2026 - Version 13.57

  - Added print conversions for Garmin FIT enum tags
  - Decode a number of undocumented Garmin FIT tags
  - Reverted XML patch of 13.56 which broke structured output for XMP files with
    an XML header

Apr. 15, 2026 - Version 13.56 - "Exif 3.1"

  - Added new tags of the Exif 3.1 specification
  - Added ability to geotag directly from any supported file(s) containing GPS
  - Added read support for Garmin FIT files, and the ability to use them with
    the -geotag option
  - Added a new Panasonic AFAreaMode (thanks Andrew)
  - Decode maker notes from newer FLIR cameras (github #408)
  - Improved config_files/local_time.config to add LocalTag UserParam feature
  - Updated Compression value re-purposed by GoPro (github #411)
  - Allow a few more different characters in the Windows -progress title string
  - Avoid trying to return structured information from XML files
  - Patched bug when reading QuickTime MTDT metadata (thanks Thurein Oo)
  - API Changes:
      - Enhanced GetValue so input tag name is no longer case sensitive

Apr. 7, 2026 - Version 13.55 (production release)

  - Added a few new Windows LNK GUID values
  - Extract more unknown information from QuickTime metadata tracks
  - Improved config_files/local_time.config to preserve sub seconds
  - Improved lens identification logic for Canon cameras in the case where the
    maker notes are missing

Apr. 1, 2026 - Version 13.54

  - Security update
  - Added a new PentaxModelID
  - Decode timed GPS from another DJI model
  - Decode more information from Apple live photo videos
  - Updated DICOM tags to 2026b specification
  - Patched to fix failed tests on Windows (was a bug in the tests)
  - Patched to allow spaces in Windows title strings

Mar. 19, 2026 - Version 13.53

  - Security update (Windows only)
  - Added ability to read FileCreateDate (btime) on Linux systems (requires
    File::StatX)
  - Added a bunch more Sony lenses (thanks Jos Roost)
  - Added warnings for possibly malicious or corrupted LNK files (github #401)
  - Decode more information from LNK files
  - Decode timed GPS from Kenwood DRV-A510W MP4 videos
  - Fixed possible "undefined value" runtime warnings when reading torrent and
    WPG files (thanks Raf)
  - Fixed issue which could result in an "uninitialized value" runtime error
    when parsing corrupted CBOR information

Feb. 27, 2026 - Version 13.52

  - Added a number of new XMP tags written by Adobe software
  - Added UTF-16 support for a few different metadata types in which only UCS-2
    was previously implemented (github #396)
  - Added a few more Canon FlashModel values and decode FlashModel for the
    5DmkII (thanks Peter Wem, github #390)
  - Added a new Canon LensType (github #395)
  - Added some missing file attribute bits to two of the new LNK tags
  - Decode internal serial number for the 5DmkII (thanks Peter Wem, github #398)
  - Decode another OwnerName for the 5DmkII (thanks Peter Wem, github #397)
  - Decode some timed GPS for a couple of new DJI drones
  - Enable WindowsLongPath by default only if Win32::API is available
  - Renamed the Pentax K3III AFInfo tag to AFInfoK3III

Feb. 19, 2026 - Version 13.51

  - Added a new Nikon LensID (thanks Johan)
  - Decode more tags from Windows LNK files
  - Decode another LIGOGPSINFO variant (github #394)
  - Decode some new Canon tags (thanks Peter Wem, github #389, #390, #393)
  - Decode some new Nikon tags
  - Split decoding on Nikon BurstGroupID into separate tags
  - Fixed round-off error in GPSDateTime seconds for camm6 metadata in MP4
    videos introduced in 13.45
  - Fixed bug generating the default-language version of
    QuickTime:LocationInformation (github #391)

Feb. 7, 2026 - Version 13.50 (production release)

  - Security update (MacOS only)
  - Added a few new Sony lenses (thanks Jos Roost)
  - Added a couple of new Canon lenses (thanks Norbert Wasser)
  - Decode another Samsung trailer tag
  - Decode BlackLevels from some Canon CRW files (github #387)
  - Updated Sony maker note decoding for the ILCE-7M5 (thanks Jos Roost)
  - Fixed -list options so reading image files beforehand doesn't add tags to
    the output when running multiple commands using the -execute feature

Feb. 3, 2026 - Version 13.49

  - Decode a couple of new Samsung trailer tags
  - Disabled decoding of MenuSettings for the Nikon Z6III firmware 2.0 until the
    changes can be worked through in detail
  - Fixed problem where Google Photos had problems displaying ExifTool-edited
    HEIC MotionPhoto images.  Files written by older versions of ExifTool may be
    repaired by re-writing with 13.49 or later

Jan. 31, 2026 - Version 13.48

  - Added a new Nikon LensID (github #385)
  - Added support for quoted entries in input -geotag CSV files
  - Fixed decoding of Nikon Z6III menu settings for firmware 2.0 update
  - Fixed -fast2 to avoid processing maker notes in some QuickTime-based files
  - Fixed bug introduced in version 13.46 where some tags may be associated with
    the next fix when geotagging from GPX files

Jan. 27, 2026 - Version 13.47

  - Enhanced -fast option to avoid scanning QuickTime MediaData for metadata
    (improves performance when reading CR3 files from slow media, github #384)
    and -fast2 to avoid reading HDRP maker notes
  - Fixed hang problem when reading HDRPMakerNotes from some Google phones
  - API Changes:
      - Added CSV support to GeoUserTag option

Jan. 25, 2026 - Version 13.46

  - Added a new Pentax LensType
  - Decode some new Canon tags (github #380)
  - Renamed a newly added Canon tag (thanks Martin Chvatal)
  - Improved identification of Canon RF lenses in edited images when an extender
    was used
  - Changed description of FocalLength35efl to add "35mm Equiv"
  - Patched -validate option to recognize DNG 1.7.1 tags
  - Patched to remove maker note error/warning when writing files from some
    Google phones (github #377)
  - Patched to improve warning for corrupted HEIC files downloaded from
    heic.digital, and added ability to delete this garbage when writing
    (github #361 and #378)
  - Fixed minor error when writing some DJI DNG files
  - API Changes:
      - Added GeoUserTag option

Dec. 26, 2025 - Version 13.45

  - Added a number of new values for some Sony tags (thanks Milos Komarcevic)
  - Added a few new button functions for the Nikon Z9 (thanks Warren Hatch)
  - Added some Nikon subject detection values (thanks Warren Hatch)
  - Added a new Canon SubjectSwitching value
  - Decode Ricoh APP7 maker notes
  - Patched to allow a specific PreviewImage to be written to a DNG file
    containing multiple previews
  - Fixed bug reading large Protobuf integers on 32-bit systems (github #373)
  - Fixed minor error when writing some DJI DNG files
  - API Changes:
      - Added SystemTimeRes option

Dec. 15, 2025 - Version 13.44 (production release)

  - Added read support for Kandao KVAR files
  - Added a few new Panasonic tags (github #365)
  - Added a new XMP-crs tag
  - Added a few new Matroska tags
  - Added a few values related to the new RAW file types for the Sony ILCE-7M5
    (thanks Milos Komarcevic)
  - Decode a few new PhaseOne tags (github #372)
  - Decode timed GPS and other metadata from Kandao MP4 videos
  - Improvements to family 1 and 5 groups for tags in Matroska videos, and
    prioritize top-level tags when duplicates exist
  - Assume a default TimecodeScale of 1ms for MKV videos
  - Patched to avoid runtime warning when parsing corrupted QuickTime data
    (thanks Neal Krawetz)
  - Fixed decoding of ShutterCount for Sony ILCE-7M5  (github #369)

Dec. 4, 2025 - Version 13.43

  - Added support for a couple of new Android QuickTime Keys tags
  - Added date/time conversion for RIFF DateCreated
  - Added ability to read/write (but not create/delete) the HEIF Mirroring tag
  - Added a new SonyModelID
  - Added a new Canon LensType (thanks Matthias)
  - Decode ShutterCount for the Canon EOS R6 Mark III
  - Decode another Samsung trailer tag
  - Convert invalid Panasonic AFPointPosition to 'n/a'
  - Fixed issue extracting timed GPS from some Wolfbox G900 MP4 videos

Nov. 17, 2025 - Version 13.42

  - Added warning if tag arguments come before -csv= or -json= in a command
  - Added a new CanonModelID and RFLensType (thanks Norbert Wasser)
  - Added ability to read XML as a block from Sony MP4 videos
  - Added "EOS" to the R5 Mark II CanonModelID string
  - Decode ReEditData in Samsung trailer
  - Decode a couple more Sony rtmd tags from MP4 videos
  - Tolerate some types of trailer corruption as caused by Samsung Gallery
  - Restrict decoding of MetaImageSize to HEIC files only
  - Fixed issue writing Keys tags to Sony PMW-EX1R videos
  - Fixed behaviour of CSV/JSON import when specifying tags to import into an
    existing list, or when importing ValueConv values (ie. "TAG#"), or when
    specifying a group name of "All"

Nov. 5, 2025 - Version 13.41

  - Added a new Canon LensType
  - Added Extra MakerNoteByteOrder tag
  - Added byte-order indication to the -v3 output for EXIF and BinaryData
    directories
  - Added a new Panasonic/Olympus LensType (github #363)
  - Added a new ProfileCMMType value (thanks Herb)
  - Extract EnvironmentTarget from LNK files (github #362)
  - Extract HighlightMarkers from DJI videos
  - Decode another Red tag
  - Recognize LRF file extension
  - Updated CanonColorData decoding for the R50V
  - Enhanced -csv= and -json= database import options to support full
    redirection and advanced formatting expressions
  - Require tags to be specified after the corresponding -csv= or -json= option
    when importing specific tags from a database
  - Fixed problem reading R3D images from the Red Komodo

Oct. 24, 2025 - Version 13.40

  - Added read support for WOFF and WOFF2 font files (github #358)
  - Added read support for Windows .URL files
  - Added new XMP-iptcExt generative AI tags (thanks IPTC)
  - Added config_files/local_time.config to the full distribution
  - Enhanced CSV import to allow SourceFile entries with a different case

Oct. 15, 2025 - Version 13.39

  - Added a few new Sony lens types and improved support for a few new cameras
    (thanks Jos Roost)
  - Added a new Olympus LensType (thanks Karsten Gieselmann)
  - Added some new Pentax PictureMode values (thanks Karsten Gieselmann)
  - Decode GPS from a number of new DJI protobuf formats (thanks Juan Irache,
    github #355)
  - Improved identification of M4A audio files (github #80)
  - Properly recognize VSDX files (github #357)
  - Patched to use date from the previous RMC sentence when missing an RMC
    sentence in timed GPS from the buggy NextBase 662GW
  - API Changes:
      - Added GeoHPosErr option to set GPSHPositioningError when geotagging

Sept. 30, 2025 - Version 13.38

  - Added read support for DSF audio files (github #331)
  - Decode a couple more GoPro tags
  - Improved WavPack audio file support to recognize the WVP extension and
    extract more than just RIFF metadata
  - Updated Sony decoding for the ILCE-6400A (thanks Jos Roost)
  - Set family 0 group name to "Composite" for approximated GPSDateTime in timed
    video metadata
  - Patched to recognize M2TS videos which begin in the middle of a packet
  - Patched to attempt reading XMP which has an invalid encoding (github #348)
  - Patched to avoid possible runtime warning when reading a EXE file with
    corrupt resources (github #354)
  - Fixed typo in a GoPro tag name

Sept. 22, 2025 - Version 13.37

  - Added support for geotagging from Columbus GPS logger CSV files
  - Added some new Canon, Sony and Olympus lenses (thanks Hubert Figuiere,
    github #352 and Jos Roost)
  - Added new Canon RFLensType and CanonModelID values (thanks Norbert Wasser
    and Hubert Figuiere, github #350)
  - Added a new FujiFilm FaceElementType value
  - Decode Google HDRP maker notes (both text and Protobuf formats)
  - Decode Reconyx MicroFire and Hyperfire 4K maker notes (thanks Reconyx)
  - Decode a number of new Canon and Pentax tags and add a number of new values
    (thanks Karsten Gieselmann)
  - Decode maker notes from Ricoh GR III videos
  - Decode a new Sony tag (thanks Jos Roost)
  - Raised size limit on QuickTime atoms extracted for the -ee option, and added
    a minor warning and allow bypassing with the -m option if over this limit
  - Minor change to verbose output for XMP metadata
  - Fixed possible hang/crash when reading Windows executables (github #351)
  - Fixed incorrect FujiFilm PanoramaDirection values
  - API Changes:
      - Fixed GeoDir option so alternate languages are loaded properly when a
        relative path is specified

Sept. 9, 2025 - Version 13.36 (production release)

  - Added a new Nikon LensID (thanks Max, github #345)
  - Added new Sony and Pentax camera ID's (thanks Hubert Figuiere, github #347)
  - Tolerate 'junk' after 'WAVE' chunk in LA, PAC, OFR and WV audio files
  - Use gnu tar 1.35 to build the .tar.gz distribution package (versions
    13.31-13.35 used bsdtar 3.5.3, and earlier versions used bsdtar 2.8.3)

Sept. 6, 2025 - Version 13.35 (production release)

  - Added a new CanonModelID
  - Added new Olympus PictureMode and LensType values (thanks Michael Meissner)
  - Decode GPS from another DJI protobuf format (DJI Neo)
  - Decode a few new FujiFilm tags
  - Enhanced -ee option to extract M-RAW information from all images in FujiFilm
    RAF files
  - Improved handling of standard-format unknown XMP date/time tags when the API
    XMPAutoConv option is set (which is the default) to put them in the "Time"
    group and apply the -d date/time formatting
  - Improved -fileNUM option so it may be used to access tags from alternate
    files when the specified target FILE doesn't exist
  - Improved print conversions for some Canon tags to handle "n/a" values
  - Enhanced JSON long output (-j -l) so the API SaveBin option also returns the
    Rational ("rat") value if available
  - Changed -if option so the expression is evaluated even when the source file
    doesn't exist (to allow more flexibily when using -fileNUM option or when
    creating the output file when writing)
  - Fixed decoding of a few new Pentax tags (thanks Karsten Gieselmann)
  - Fixed -diff feature to report differences in binary-data values and to be
    consistent with handling of backslashes in Windows path names

Aug. 18, 2025 - Version 13.34

  - Decode a number of new Pentax tags (thanks Karsten Gieselmann)
  - Decode a new Canon tag (thanks Peter Wem, github #344)
  - Updated Sony decoding for the ILME-FX2 and DSC-RX1RM3 (thanks Jos Roost)
  - Minor fixes to decoding of new Olympus tags (thanks Karsten Gieselmann)
  - Reverted change of 13.20 which changed the behaviour when writing
    incorrectly-formatted date/time values
  - Patched to avoid "uninitialized value $module" when using some custom config
    files
  - Fixed issue reading maker notes from some Sony ILCE models
  - API Changes:
      - Added UndefTags option to allow -m
        and/or -f to be used without modifying the value of undef tags in -if
        expressions (which was the behaviour prior to version 12.60)

July 25, 2025 - Version 13.33

  - Added read support for TNEF files (eg. "winmail.dat")
  - Added a new Canon HighlightTonePriority value (github #339)
  - Decode Canon FocusBracketing tag (github #340)
  - Decode more tags for newer Nikon Z models (thanks Warren Hatch)
  - Decode a few more Olympus tags (thanks Karsten Gieselmann)
  - Decode face detection tags for the Pentax K-3III (thanks Karsten Gieselmann)
  - Decode a few more FujiFilm tags (github #343)
  - Handle Olympus RawDev2IFD tag 0x8000 (named it RawDevSubIFD)
  - Improved recognition of some Sony lenses (github #342)
  - Enhanced the -p option to cycle through sub-documents
  - Improved extraction of GoPro timed GPS to use sub-document numbers to
    separate the individual fixes, allowing -p to extract all fixes at
    sub-second resolution (although for earlier models these may not contain
    timestamps)
  - Extract EXIF information from Sigma fp MOV videos
  - Patched to avoid "multi-segment EXIF with external pointers" error when
    writing Olympus OM-1 JPG files converted by some utilities
  - Fixed decoding of Panasonic LongExposureNRUsed (thanks AndrewJ)
  - Fixed long-standing bug when using special characters in the -d option
    argument

July 2, 2025 - Version 13.32

  - Added a new Olympus CameraType (thanks Herb and Albert Shan)
  - Added a new Sony LensType (github #335)
  - Added a new Nikon CropHiSpeed value (thanks Albert Shan)
  - Added a warning if a tag value couldn't be packed for writing to a binary
    data structure
  - Decode more Ricoh/Pentax AF tags for some models (thanks Karsten Gieselmann)
  - Decode Canon HDR-PQ tag (github #336)
  - Extract a couple more EXIF tags
  - Patched to allow a dot (.) in the name of a structure element when writing
  - Fixed "uninitialized value" bug when using -w with the -stay_open feature
  - Fixed bug in -file option when using tag names to specify the name of the
    alternate file (the tags were taken only from the first input file unless a
    file name formatting code was also specified)

June 19, 2025 - Version 13.31

  - Added a new CanonModelID and RFLensType (thanks Norbert Wasser)
  - Added some new FujiFilm AdvancedFilter values (thanks Greybeard)
  - Added a new Nikon Z LensID (thanks Warren Hatch)
  - Decode a few new Sigma tags
  - Decode two more types of timed GPS from MP4 videos
  - Decode more Pentax AF tags for some models (thanks Karsten Gieselmann)
  - Extract Pages MediaBox from PDF files (github #333)
  - Enhanced Validate feature to check some embedded images
  - Remove sub-seconds if they exist when writing a PDF date
  - Removed a debugging warning left in the -plot update of 13.28
  - Changed DNG ProfileIFD RGBTables to Binary-type tag (github #334)
  - Internal code improvements in the handling of some trailers
  - Patched LNK string parsing for Windows nonconformity (github #332)
  - Fixed a few possible "uninitialized value" warnings

May 22, 2025 - Version 13.30 (production release)

  - Added a new Canon RF lens (thanks Norbert Wasser)
  - Added some new Olympus ArtFilter values
  - Added support for reading timed GPS from Transcend Drive Body Camera 70 MP4
    videos
  - Added a new FujiFilm AdvancedFilter value (thanks Greybeard)
  - Decode maker notes from Sigma BF images
  - Decode a few more Pentax AF-related tags (thanks Karsten Gieselmann)
  - Extract PreviewImage and its metadata from Sigma BF MOV videos
  - Allow multiple config files to be specified on the command line (but leave
    undocumented for now because the config files currently included in the full
    ExifTool package aren't compatible with this feature)
  - Removed warning introduced in version 12.60 for an undefined tag in a -if
    condition, but leave the 12.60 change that sets these tags to an empty
    string when -m is used
  - Patched LensID conversion to better handle a manual lens on a Sony ILCE-7M2
  - Patched to avoid runtime warning when using -fast option and reading and
    HEIC file via a pipe (but you will still get a seek error)
  - Fixed some tag format types in the config_files/pix4d.config file
  - Fixed possible "uninitialized value" warning when reading some types of Ligo
    timed GPS

Apr. 27, 2025 - Version 13.29

  - Changed default -geotime argument to use SubSecDateTimeOriginal if available
    instead of DateTimeOriginal, instead of applying both (as was done since
    ExifTool 13.18).  This is more efficient, and avoids an unnecessary warning
  - Properly return warnings from inverse value conversions when copying a tag
    using -tagsFromFile with a tag name string
  - Fixed issue where RW2 images from the Panasonic DC-S1RM2 could be corrupted
    when writing

Apr. 25, 2025 - Version 13.28

  - Added print conversion for Pentax AFPointValues
  - Added another Pentax PictureMode value
  - Decode timed GPS from GKU D900 dashcam videos
  - Decode timed telemetry data from newer ARCore videos
  - Decode Panasonic AFAreaSize (thanks andrewj)
  - Decode ShutterCount for Canon EOS R8 and R50 (github #325)
  - Decode ThumbnailTIFF from some Insta360 videos
  - Decode AROT:HDRGainCurveSize from APP10
  - Enhanced the -plot feature to allow Multi option to specify a different
    number of datasets for each plot
  - Updated to the 2025 MPF specification
  - Renamed K-3III AFPoints to AFPointsSelected and changed decoding
  - Fixed bug introduced in 13.23 that could cause an incorrect parsing of XMP
    attributes containing an equals sign
  - Fixed issue reading timed GPS from some Insta360 videos, and issue where
    writing these videos would fail
  - Fixed exif2xmp.args and xmp2exif.args to properly handle EXIF:ImageUniqueID

Apr. 8, 2025 - Version 13.27

  - Decode AF points for the Pentax K-3III
  - Decode timed GPS from a variant of the Rove R2-4K dashcam
  - Properly decode SensorTemperature for Pentax K3-III
  - Patched PCAP test to avoid potential failure
  - Patched to avoid potential "not a HASH reference" error when writing MOV/MP4
    videos
  - Fixed issue which could result in "uninitialized value" errors when reading
    one type of timed GPS from MP4 videos
  - Fixed problem writing MotionPhotoVideo in MP4 files

Mar. 31, 2025 - Version 13.26

  - Added a new Olympus CameraType (thanks Herb)
  - Added a new PentaxModelID (github #322)
  - Added a new Nikon LensID
  - Improved Duration calculation for some WAV files
  - Changed a PCAP tag name and fixed typos in a few others (thanks blue-j)
  - Patched to avoid VignettingCorr warning for images from some Canon cameras
  - Patched to avoid some unnecessary duplicate tag warnings when -validate used
    with HEIC images
  - Fixed issue with XMP-xmpMM:Pantry items not exhibiting proper List-type
    behaviour

Mar. 11, 2025 - Version 13.25 (production release)

  - IMPORTANT: Fixed issue which could corrupt HEIC images from newer iPhones
    under certain conditions when writing QuickTime:Rotation
  - Decode more PLIST information from HEIC images
  - Updated Geolocation databases from current geonames.org files
  - Updated DarwinCore for the 2023 specification (thanks Herb)
  - API Changes:
      - Added KeepUTCTime option

Mar. 7, 2025 - Version 13.24

  - Changed -listf, -listr and -listwf options to print descriptions when either
    -v or -l is added (previously only -l did this)
  - Patched to avoid failed PCAP test due to differing time zones (github #319)

Mar. 7, 2025 - Version 13.23

  - Added read support for CAP, PCAP and PCAPNG files (github #318)
  - Added a number of new Sony LensType2 values (thanks Jos Roost)
  - Added the 2 new GPSAltitudeRef values defined by EXIF 3.0
  - Decode APP4 "Qualcomm Dual Camera Attributes" metadata
  - EXIF X/YResolution, ResolutionUnit and FlashpixVersion are no longer treated
    as mandatory tags (they were changed to optional in the EXIF 3.0 specification)
  - Patched decoding of Nikon Z8 MenuSettings to accommodate changes in the data
    structure as of firmware version 2.1
  - Patched to avoid bug in Perl v5.26.3 which could cause hang when reading
    very large and corrupted XMP
  - Patched -plot option to avoid bug in Google Chrome SVG marker rendering
  - API Changes:
      - Fixed documentation for LargeFileSupport option to reflect current
        default

Mar. 1, 2025 - Version 13.22

  - Improvements and additions to the new plot feature
  - Decode a few more DJI timed metadata tags
  - Extract GainMapImage from PNG images
  - Reverted WebP FileType change of version 13.20
  - Set $^W in the exiftool application to re-enable global warnings (they have
    been disabled since version 12.92 due to the shebang change)
  - Fixed possible incorrect IFD number in "No size tag" warning
  - Fixed "File is empty" error when using -plot with -w to write the output
    file into the same directory as the input files

Feb. 20, 2025 - Version 13.21

  - Patched issue that could result in runtime warning for some video files
  - Fixed a bug with the new -plot option that could generate a compiler error

Feb. 20, 2025 - Version 13.20 - "SVG Plot"

  - Added new -plot option for generating SVG-format plots from tag values
  - Added a new Olympus CameraType
  - Added a new Nikon Z LensID (thanks Warren Hatch)
  - Overhauled decoding of Nikon AF tags (thanks Warren Hatch)
  - Decode timed GPS from yet another model dashcam
  - Decode more information from AAE files
  - Decode more tags from DJI videos
  - Updated Windows launcher (thanks Oliver Betz)
  - Enhanced -w option to be available for use with the -csv output
  - Attempted to patch a problem writing some PDF files
  - Fail if a required module is missing when attempting to write a formatted
    date/time value instead of falling back to write as unformatted
  - Minor change to WebP lossless FileType text
  - API Changes:
      - Added Plot option

Feb. 10, 2025 - Version 13.19

  - Added read/write support for PDF and XMP-pdfx SourceModified
  - Decode GPS from two more DJI protobuf formats (Matrice 30 and Mini 4 Pro)
  - Decode timed GPS from Rexing V1-4k dashcam
  - Decode more information from AAE files
  - Made a new icon for the Windows EXE application
  - Improved handling of ICC_Profile in HEIC images:
      - Profiles for sub-images are extracted as sub-documents
      - Allow only the profile of the main image to be written
  - Changed family 3 groups for ICO files so the first icon is in the Doc1
    instead of the Main group
  - Updated Sony decoding for ILCE-1M2 (thanks Jos Roost)

Feb. 3, 2025 - Version 13.18

  - Decode a number of new GoPro tags
  - Enhanced -geotag option to set Geotime from either SubSecDateTimeOriginal
    (preferentially) or DateTimeOriginal if not otherwise specified
  - Don't allow ICC_Profile to be deleted from QuickTime-based files
    (specifically HEIC, to avoid problem where Apple Preview wouldn't display the
    resulting file)
  - Improved decoding of AF points for Nikon D3400 and D7500
  - Patched issue introduced in 13.13 which could give a "No data reference"
    error when writing MP4 videos from some Google phones
  - Fixed problem writing XMP-iptcExt:LocationCreatedGPSAltitudeRef with an
    incorrect namespace

Jan. 29, 2025 - Version 13.17

  - Added support for reading more embedded images and videos written in the
    JPEG trailer by some phones
  - Added support for reading JPEG trailer written by some OnePlus phones
  - Added a -validate warning for QuickTime 'wide' atoms with an invalid size
  - Added a new CanonLensType
  - Avoid decoding Sony 0x9050 data for the ILCE-1M2 because the encoding has
    changed since the ILCE-1 and the new encoding is not yet known (github #310)
  - Fixed issue that could cause runtime warning when using -j with -b
  - Fixed some issues decoding AFPointsUsed for some newer Nikon models
  - Fixed problem corrupting QuickTime-format videos when writing if they
    contain a 'wide' atom with an invalid size

Jan. 25, 2025 - Version 13.16

  - Added a couple of new Nikon Z lenses (thanks Warren Hatch)
  - Added a new Canon RFLensType (thanks Norbert Wasser)
  - Added support for a MIE trailer on QuickTime-format files
  - Added a number of new EXE MachineType values (github #309)
  - Made "iTunes" a deletable group
  - Updated decoding of many Nikon tags for the Z9 firmware version 5.1 (thanks
    Warren Hatch)
  - Fixed issue where -diff option would miss showing 1 tag from a group that
    exists in the difference file but not in the source file
  - Fixed issue where tag exclusions for alternate files weren't honoured in a
    -p formatting expression when using "$file#:all:all" in the expression and
    the -file#, -x, and -p options all together
  - Fixed FileTypeDescription for lossless extended WebP images

Jan. 23, 2025 - Version 13.15

  - Added a few new Panasonic AFSubjectDetection values (thanks Andrew J)
  - Added " (lossless)" to FileType for lossless WebP images
  - Avoid treating the QuickTime 'eng' language code as the default 'und' unless
    the country code is also the default
  - Fixed issue where writing metadata to a non-extended lossless WebP image
    with an alpha channel could mess up rendering of the transparency
  - Fixed problem decoding ID3 WXXX frames (github #307)

Jan. 20, 2025 - Version 13.14

  - Changed so that deleting QuickTime ItemList group no longer deletes Keys
  - Fixed bug where new ItemList tags weren't created when also creating new
    AudioKeys or VideoKeys tags in the same command if neither tag group
    pre-existed in the file

Jan. 20, 2025 - Version 13.13

  - Added ability to write tags to the audio/video tracks of MOV/MP4 videos
    using the new AudioKeys and VideoKeys group names
  - Decode GPS from another DJI protobuf format (Mavic 3)
  - Decode yet another type of LIGOGPSINFO timed GPS from a dashcam video
  - Extract some proprietary information from JPEG images of Vivo phones
  - Enhanced Geolocation feature to allow the nearest cities to a specified city
    to be returned
  - Updated xmp2exif.args and exif2xmp.args to properly handle time zones in
    XMP-exif date/time tags
  - Changed family 1 group names for Keys, ItemList and UserData tags in a track
  - Patched github #306 issue where a torrent file would return a format error
    when reading if it didn't contain an "announce" or "created by" entry
  - Fixed "uninitialized value" runtime warning when reading some EXE files
  - Fixed -diff output to add colon missing from some lines when used with -g

Jan. 13, 2025 - Version 13.12

  - Added a few new Panasonic AFAreaMode values (thanks Andrew J)
  - Added a couple of new Canon RFLensType values (thanks Norbert Wasser)
  - Added a -validate warning for duplicate IPTC tags
  - Decode AF points for some newer Nikon models (thanks Warren Hatch)
  - Decode a new Panasonic tag (thanks Andrew J)
  - Decode a couple of previously unknown tags from LIGOGPSINFO records
  - Extract some PDB information if available from Win32 EXE files (github #303)
  - Improved handling of duplicate tags in -diff output
  - Improved handling of QuickTime zero date/time values
  - Enchanced -csv= and -json= options to allow group names and wildcards to be
    used when specifying which tags to import
  - Updated some EXIF:Compression values (github #304)
  - Changed wording of warning when file time couldn't be updated
  - Fixed bug introduced in 13.11 reading EXIF from some EXV files
  - Fixed bug introduced in 12.99 where empty entries in a CSV file weren't
    ignored as they should be when importing with -csv=
  - Fixed problem where MWG module wasn't loaded automatically when specifying
    Composite:MWG:TAG instead of MWG:TAG
  - Fixed bug where -diff option was inconsistent in its treatment of List
    values when used with the -sep option

Jan. 1, 2025 - Version 13.11

  - Added warning for an unknown DJI protobuf schema
  - Decode timed GPS from DJI Osmo Action 5 videos
  - Decode yet another type of LIGOGPSINFO timed GPS from a dashcam video
  - Made Matroska Keywords and Instruments List-type tags
  - Fixed problem were EXIF couldn't be added to some AVIF files
  - API Changes:
      - Added GPSQuadrant option

Dec. 20, 2024 - Version 13.10 (production release)

  - Added warnings for out-of-order entries in 'iinf' and 'ipma' boxes of HEIC
    images
  - Added support for date/time formatting codes %f and %z in the inverse
    print conversion when writing tags
  - Updated Geolocation databases from current geonames.org files
  - Improved verbose output to show values stored with construction method 1 in
    MP4-based files
  - Enhanced the date/time timezone format specifier %z so that %:z returns the
    time zone with a colon separator (eg. "-05:00")
  - Fixed bug where the existing tag wasn't being removed when writing a new
    value for an Unknown QuickTime UserData or ItemList tag

Dec. 17, 2024 - Version 13.09

  - Added a new QuickTime tag (thanks Matti)
  - Added a missing format check on a few tags when writing
  - Decode a couple of new ICC_Profile tags
  - Patched HEIC writer so newly added XMP or EXIF refers to the 'tmap' item as
    well as the primary item of an HDRGainMap image (since iPhone 15 and 16 do
    it this way)
  - Fixed compatibility issue where Apple Preview would no longer show the gain
    map image after adding new XMP to an HEIC with an HDR gain map

Dec. 14, 2024 - Version 13.08

  - Decode ShutterCount for Canon EOS R6 Mark II (thanks Agoston Kapitany)
  - Decode a few new Photoshop tags
  - Suppress all duplicate Warning tags and add count to end of message
  - Changed format of bitmask keys in -listx output
  - Internal streamlining of LIGOGPSINFO decoding
  - Fixed issue where some tags were incorrectly shown as writable in -listx
    output
  - Fixed incorrect scaling for GPSSpeed in one LIGOGPSINFO variant
  - Fixed an issue with filename encoding when the -L option is used and the API
    WindowsLongPath option is active

Dec. 11, 2024 - Version 13.07

  - Decode a number of LIGOGPSINFO encrypted and enciphered timed GPS types
    (long overdue, but it took me a couple of years to acquire enough sample
    videos to have a good cross-section of the different formats)
  - Fixed another place where FileSequence could be incremented twice when a -if
    condition was used
  - Fixed a few places where character 0x7f may not have been escaped in string
    values
  - API Changes:
      - Changed default WindowsLongPath option back to 1 after adding a patch to
        fix issue with piping from stdin

Dec. 5, 2024 - Version 13.06

  - Decode timed metadata from MP4 videos of yet another dashcam model
  - Patched issue where FileSequence could increment twice for each file when a
    -if condition was used
  - API Changes:
      - Revert default WindowsLongPath option to the pre-13.05 setting
        until we can solve the pipe problem

Dec. 4, 2024 - Version 13.05

  - Added a new SonyModelID
  - Added support for XMP HDRGainMap and apdi namespaces
  - Decode DJI timed djmd and dbgi protobuf-format metadata
  - Decode APP10 AROT HDRGainCurve and APP2 URN UniformResourceName
  - Decode a couple of new GoPro tags
  - API Changes:
      - Changed default WindowsLongPath option to 1 (please report if this
        causes any problems)

Nov. 26, 2024 - Version 13.04

  - Added the ability to write GPSDOP and GPSMeasureMode from the -geotag option
    if hdop or pdop information exists in the input track file
  - Added a few new Canon RFLensTypes (thanks Norbert Wasser)
  - Decode timed GPS from GoPro Hero 13 videos
  - Improved writing of GPSDestLatitudeRef and GPSDestLongitudeRef tags to allow
    signed numbers to be written in the same way as GPSLatitudeRef and
    GPSLongitudeRef
  - Warn if using an Image::ExifTool library that doesn't match the application
    version
  - Renamed an Unknown Photoshop tag
  - Convert GoPro GPSSpeed and GPSSpeed3D from m/s to km/h
  - Patched to tolerate XML header in DOCX xml files
  - Fixed incorrect file offsets for tags in some embedded files of -htmldump
    output
  - Fixed -htmldump output to show the same names for unknown EXIF tags as with
    the -u option

Nov. 12, 2024 - Version 13.03

  - Added ability to include or exclude tags from CSV and JSON imports
    (-csv=CSVFILE and -json=JSONFILE) by adding -TAG or --TAG options
  - Added read/delete support for SEAL metadata in JPG, TIFF, XMP, PNG, WEBP,
    HEIC, PPM, MOV and MP4 files, and read support in PDF, MKV and WAV files
  - Added support for user-defined application extensions in GIF images
  - Added print conversion for QuickTime VideoFullRangeFlag
  - Apply API LimitLongValues option to hex field in -j output
  - Avoid extracting some large AES-encrypted data from PDF files for
    performance reasons unless the -m option is used (current limits are 100 kB
    for XMP and 10 kB for everything else)
  - Fixed WindowsLongPath option to support wide characters (thanks Frank B)
  - Fixed problem writing ICC_Profile to a GIF image which already had one
  - Fixed problem writing Apple:FocusDistanceRange
  - API Changes:
      - Enchanced GlobalTimeShift option to allow the base tag to be specified,
        otherwise use the first specified source date/time tag when copying tags

Nov. 5, 2024 - Version 13.02

  - Enhanced -j -l output to add optional "fmt" and "hex" fields
  - Enhanced -geotag option to support Google Maps "Export Timeline data" JSON
    format
  - Changed ProductVersion of Windows launcher to match ExifTool version
  - Patched to use empty group name instead of "Copy0" for family 4 group name
    of missing tag when the -f option is used
  - Patched to avoid showing "Unknown" for group of primary tag when -g4 or -G4
    was used with the -j or -csv option
  - Patched to avoid using Encode module in Windows because it can hang if run
    from a working directory with a long path name
  - Patched to use -csv output if -j also used
  - Fixed a few problems with the new WindowsLongPath option
  - Fixed problem setting FileCreateDate with Xcode 16 command line tools if the
    date/time contains a time zone
  - Fixed problem in -csv output when combined with -g
  - API Changes:
      - Added SaveBin option

Nov. 1, 2024 - Version 13.01

  - NOTE: Please test the new API WindowsLongPath option because the idea is to
    enable this by default if everything works out well
  - Fixed bug which could result in runtime warning if when API IgnoreTags
    option is set to "all" when reading a TXT file format
  - Fixed problem reading some information from LNK files
  - Fixed verbose output to show "Binary data" message for SCALAR values
  - Fixed bug where part of the hex dump from a -v3 output could go to stdout
    instead of the file specified by a -w option
  - API Changes:
      - Added WindowsLongPath option for testing
      - Changed CharsetFileName option to automatically assume UTF8 if the file
        name contains special characters and is valid UTF8

Oct. 29, 2024 - Version 13.00 (production release)

  - Added support for reading GPS from Autel Evo II drone videos
  - Added a new PhaseOne RawFormat value
  - Updated XMP-exifEX tags, exif2xmp.args and xmp2exif.args according to the
    2024 EXIF for XMP specification
  - Updated Geolocation databases from current geonames.org files
  - Updated the MIME types for a couple of font formats
  - Enhanced -diff option to work with -ec (C-style escape of special chars)
  - Changed name of EXIF Title tag to ImageTitle to correspond with specifiation
  - Reverted a geotag warning message to remove debugging information that was
    added in version 12.67 and moved this information into a -v3 verbose message
  - Patched Perl bug which gave "Can't spawn" warning in Windows if control-C
    was pressed while displaying the exiftool application help
  - Fixed API StructFormat JSONQ setting to properly quote values in structures
  - Fixed incorrect AudioStreamType for M2TS videos containing a PGS stream
  - Fixed -diff option so "same tags" messages are only shown when -v is added
    (as per the documentation)

Oct. 18, 2024 - Version 12.99

  - Added -diff option to compare the metadata in two files
  - Added a new Canon lens (thanks Norbert Wasser)
  - Decode GPS from 70mai A810 dashcam videos
  - Decode a new QuickTime tag
  - Patched to recognize C2PA APP11 JUMBF header with incorrect byte order
    written by buggy Microsoft software
  - Patched to maintain order of entries in a JSON object when reading
  - Patched to maintain order of CSV columns when setting tags from a CSV file
  - Patched to maintain order of XMP lang-alt entries when writing/copying
  - Fixed typo in an APP12 tag name
  - API Changes:
      - Structured values returned as HASH references with the Struct option may
        contain a new "_ordered_keys_" entry used to preserve the order of the
        entries
      - Added the OrderedKeys method to return the ordered or sorted keys from a
        returned structure value

Oct. 8, 2024 - Version 12.98

  - Added write support for PDF files with huge offsets
  - Added a number of new Sony LensType values (thanks Jos Roost)
  - Require -v4 or higher to output "JPG RST" lines
  - Patched problem with -fast option when reading HEIC file via a pipe
  - Patched to avoid hang when reading some corrupted XMP

Sept. 25, 2024 - Version 12.97

  - Added ability to ignore up to 4095 bytes of garbage at the end of an INDD
    file with the -m option
  - Added a new Canon RFLensType value (thanks Norbert Wasser)
  - Added a new Nikon Z LensID
  - Decode a number of new Nikon Z6_3 tags (thanks Warren Hatch)
  - Decode a few more FujiFilm tags (thanks Greybeard)
  - Enhanced %C format code to allow file-name collisions to be avoided by using
    a colon instead of a decimal in the format modifier
  - Fixed bug which could result in hang when using %C code in an output file
    name

Sept. 1, 2024 - Version 12.96

  - More improvements to handling of trailers on video files (and add ability to
    write videos which have an unknown trailer)
  - Fixed problem geotagging from some newer Google Takeout files

Aug. 30, 2024 - Version 12.95

  - Added a couple of new CanonModelID values
  - Decode ColorData for a couple of new Canon models
  - Fixed problem writing video files which have some known trailer types

Aug. 29, 2024 - Version 12.94

  - Added ability to geotag from new-format Google Takeout JSON files
  - Added a few new Android and Xiaomi QuickTime Keys tags
  - Added ability to read C2PA JUMBF metadata from TTF/OTF files
  - Internal changes to code for creating new directories
  - Changed Windows packages to have the application help text file in the
    exiftool_files folder instead of writing it to a temporary directory
  - Removed new QuickTime Keys tags added in 12.93 because these aren't used in
    top-level metadata (written to the video track by Apple devices)
  - Fixed the group names for synthesized default-language QuickTime tags and
    added a verbose message when generating these tags
  - Fixed warning in Geolocation.t self test

Aug. 20, 2024 - Version 12.93

  - Added a new Nikon LensID
  - Added a couple of new OpenEXR Compression types
  - Added a couple of new QuickTime Keys tags
  - Decode timed metadata from E-ACE B44 dashcam videos
  - Made "Unrecognized" Samsung Meta warnings minor
  - Fixed bug in -listg6 option which resulted in "uninitialized value" warnings
  - Fixed decoding of Func1Button and Func2Button for the Nikon Z6/Z7
  - Fixed bug reading JUMB metadata from JXL images

July 24, 2024 - Version 12.92

  - Removed -w from exiftool shebang due to compatibility issues on some systems

July 24, 2024 - Version 12.91

  - Added a couple of new OpenEXR Compression values (github #276)
  - Updated 2 test files that were causing failed tests (ExifTool itself is
    unchanged)

July 24, 2024 - Version 12.90

  - Added support for reading Samsung trailer from PNG images
  - Decode two more formats of timed GPS from MP4 videos
  - Decode a few more Samung trailer tags (thanks Neal Krawetz)
  - Decode Canon AntiFlicker tag
  - Drop Nikon ShotInfo record when copying MakerNotes from NEF to JPG if it is
    larger than 50000 bytes (then MakerNotes would be too large for a single
    JPEG segment)
  - Changed exiftool shebang to use env: "#!/usr/bin/env perl -w"
  - Revert change of 12.84 to iterate through sub-documents with the -p option
    only if -ee is used

July 12, 2024 - Version 12.89

  - Added new Sony lenses and updated decoding of some tags (thanks Jos Roost)
  - Minor change to description of NKA files
  - Fixed Archive::Zip problem in Windows executable version

July 11, 2024 - Version 12.88 - "New Windows/MacOS packages"

  - NOTE: The install procedure for the Windows executable has changed!
  - Windows EXE version now uses Oliver Betz's bundle with Strawberry Perl and
    comes in 32- and 64-bit versions
  - MacOS distribution now uses a flattened package
  - Added ability to read/write deflate-compressed XMP in HEIC files
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added a new XMP-GCamera tag (thanks Herb)
  - Added a new Nikon LensID
  - Added a few new Canon AFAreaMode values (thanks Wernfried)
  - Added config_files/onone.config to the distribution
  - Decode timed accelerometer readings from NextBase 622GW videos
  - Decode Pentax K-3III CameraOrentation (thanks Peter)
  - Improved German translation for LensModel
  - Enhanced the API StructFormat JSONQ setting to quote all JSON values, even
    if they aren't in a structure
  - Changed -geolocate option so specifying the Keys group writes
    Keys:GPSPosition only if an input city is specified, and Keys:LocationName
    only for input GPS coordinates
  - Tweaked API Geolocation option recognized space-separated lat/lon even when
    there is no decimal point in the numbers
  - API Changes:
      - Changed LargeFileSupport default to 1 and added a setting of 2 to warn
        if a large chunk is encountered

June 13, 2024 - Version 12.87

  - Added ability to write Google Container XMP tags (using the namespace prefix
    'GContainer' to avoid conflict with the Google Device Container prefix)
  - Decode a few new tags for the Canon EOS R5 (thanks John Moyer)
  - Decode battery information for the Pentax K-3 III (thanks Peter)
  - Decode RAFCompression from FujiFilm RAF images (thanks Albert Shan)
  - Avoid reporting FileSize for pipes
  - Updated Geolocation databases from current geonames.org files
  - Enhanced Geolocation feature to allow lat/lon to be input with a space
    separator instead of a comma
  - Skip over Matroska Cluster if necessary to read Tags when referenced from
    SeekHead
  - Changed conversion for Matroska SeekID (now in hex with tag name in
    brackets) and SeekPosition (now returns an absolute offset)
  - Fixed problem writing XMP-Device:EarthPos coordinates
  - Fixed typo in a value of Canon:DigitalLensOptimizer (thanks Martin B.)
  - Fixed decoding of Matroska VideoScanType
  - Fixed misleading error message when -o option was used to write to an
    unsupported file type

June 7, 2024 - Version 12.86

  - Added a new value for a couple of Olympus tags (thanks Herb)
  - Improved handling of ID3 user-defined tags
  - Decode all JPEG segments from RICO box in Ricoh MOV videos
  - Decode a few new values for some tags written by Canon EOS R cameras (thanks
    John Moyer and Martin B.)
  - Patched some Olympus WB_RBLevels tags to allow 4 values to be written as per
    some newer models
  - Fixed issue when writing IPTC date tags with a date/time value containing
    subseconds with 4 or more digits

May 21, 2024 - Version 12.85

  - Added GeolocationFeatureType tag
  - Added read support for Nikon NKA and NXD adjustment files
  - Added a new Apple:ImageCaptureType value, and changed another one
  - Decode a few new Pentax tags
  - Decode a few new Canon tags
  - Decode some Ricoh Exif metadata from MOV videos
  - Extract ID3 UserDefinedText and UserDefinedURL tags by name
  - Make $advFmtSelf available for user-defined helper functions
  - Documented API GeoDir pseudo option feature
  - Tolerate pad byte at end of HIF file when writing
  - Raised priority of FileName, BaseName, Directory and FileType tags so they
    don't get hidden by other tags in the file which may have these names
  - Changed decoding of QuickTime Rotation (irot) to correspond with
    EXIF:Orientation (previously this was oddly reported as degrees of
    counterclockwise rotation)
  - Fixed a typo in the print conversion value for a couple of DPX tags
  - Fixed problem writing some QuickTime tags with very large (> 16 MB) values
  - Fixed bug in build_geolocation utility that resulted in incorrect population
    numbers when run under ActivePerl

Apr. 23, 2024 - Version 12.84

  - Added ability to read speed and accuracy_horizontal when geotagging from
    OpenTracks GPX files
  - Decode a few more Apple tags and a new CanonVRD tag
  - Enhanced Geolocation feature with the ability to return any number of nearby
    cities
  - Allow coordinates to be entered without comma separator for the Geolocation
    feature as long as both coordinates have a decimal point
  - Changed -p option to iterate through sub-documents if they exist even if -ee
    isn't used
  - Fixed long-standing bug in Windows version that didn't properly handle dates
    older than 50 years when writing FileModifyDate or FileCreateDate
  - Fixed API TimeZone option to work in Windows
  - Fixed problem where the SetTags helper function didn't properly copy tags
    which have print conversions
  - Fixed problem where a new subregion couldn't be added through a user-defined
    Geolocation database entry
  - Fixed problem where the API GeolocFeature option didn't work for some
    features if a user-generated custom database was used

Apr. 18, 2024 - Version 12.83

  - Added SetTags helper function for use in advanced formatting expressions
  - Added a couple of new tags from the DNG 1.7.1 specification
  - Added a new Nikon Z lens
  - Added a couple of new QuickTime tags
  - Added a few more XMP-GCamera tags
  - Added build_geolocation utility to the full distribution
  - Decode a new CanonVRD tag and rename another one
  - Updates to Sony maker note decoding for newer models (thanks Jos Roost)
  - Minor change in -p option to avoid adding the trailing newline if the -b
    option is also used
  - Minor changes to GM PDR decoding for Gear and angle measurements
  - Removed Geolocation alternate language support from the standard
    distribution, and added PPLX feature codes
  - Set family 1 group name for NextBase 'nbmt' information to "Nextbase"
  - Fixed incorrect ID of a DNG tag
  - API Changes:
      - Added IgnoreGroups option

Apr. 5, 2024 - Version 12.82 - "GM PDR"

  - Added support for reading GM PDR data from MP4 videos written by cars such
    as Corvettes and Cameros
  - Added support for reading timed GPS from Wolfbox dashcam videos
  - Added "Unknown trailer" to QuickTime warnings originating from an unknown
    trailer
  - Added a new Nikon LensID
  - Extract PreviewImage from Chigee AIO-5 dashcam videos
  - Changed name and print conversion of a recently added FujiFilm tag
  - Only issue "Tag not defined" warnings for the first sub-document when using
    the -p option
  - Fixed a Nikon Z lens name (github #250)
  - Fixed Windows version so -sort works properly with -listgeo
  - API Changes:
      - Added PrintCSV option for optimized extraction of GM PDR data in CSV
        format

Mar. 27, 2024 - Version 12.81

  - Added ability to read EXIF and XMP from EXR images
  - Added ability to delete unknown trailer when writing MOV/MP4 videos
  - Added ability to write a couple of Stable Diffusion PNG tags
  - Added ability to write one of the Microsoft Xtra Description tags (github
    #248)
  - Added support for using alternate city names in reverse Geolocation
  - Added support for reading timed GPS from DOD LS600W TS videos
  - Added support for new version of Canon DR4 files
  - Added a number of new iTunesInfo tags
  - Added a new Olympus LensType
  - Decode a number of new Nikon tags (thanks Warren Hatch)
  - Allow regular expressions to be used when writing Geolocate tag
  - Enhanced writing of Geolocate tag to also write Keys:LocationName
  - Cache the results of the last reverse geolocation search to speed batch
    processing when multiple files have the same search parameters
  - Patched problem that could cause runtime errors with some invaid tag names
  - Fixed a couple of newly added FujiFilm tags
  - Fixed decoding of FujiFilm AFAreaZoneSize
  - API Changes:
      - Added GeolocAltNames option

Mar. 19, 2024 - Version 12.80

  - Added GeolocationFeatureCode tag
  - Added XMP-acdsee-rs tags and a new XMP-xmpDM tag
  - Added ACDSeeRegion2MWGRegion conversion to config_files/acdsee.config
  - Added GPSAltitudeRef to XMP-iptcExt LocationDetails structure
  - Added a couple of new FujiFilm tags and a new CropMode value
  - Added conversion for XMP-aux:ApproximateFocusDistance "infinity"
  - Improved Geolocation regular expressions to allow negative matches
  - Improved accuracy of Geolocation distance/bearing calculations
  - Changed structure of Geolocation database (now version 1.02)
  - Minor change to key format for user-defined Geolocation name translations
  - Ignore API Geolocation option when copying tags if none of the Geolocation
    tags are being copied
  - Fixed case/spacing of "C2PA" in some CBOR tag descriptions
  - Fixed bug extracting binary data from EXR files
  - API Changes:
      - Added GeolocFeature option

Mar. 15, 2024 - Version 12.79

  - Improvements to new Geolocation feature:
      - Added reverse Geolocation ability (obtain GPS coordinates from city
        name), with support for regular expressions
      - Added ability to geolocate while geotagging
      - Added -listgeo option to list the Geolocation database
      - Added the ability to include user-defined cities in the Geolocation
        database
      - Added the ability to write XMP-iptcExt LocationShown tags using Geolocate
        feature
      - Added the ability to specify which tags to read from file for the API
        Geolocation option
      - Added language translations for Geolocation names
      - Increased resolution of Geolocation GPS positions and stored populations
  - API Changes:
      - Save necessary data members to allow GetInfo to be accessed by
        user-defined tags

Mar. 5, 2024 - Version 12.78 - "Geolocation"

  - Added new Geolocation feature and write-only Geolocate tag
  - Added new config file entry (@Image::ExifTool::UserDefined::Arguments) to
    allow default command-line arguments to be specified
  - Added print conversion for TIFF-EPStandardID
  - Added ability to delete Nextbase information from MP4 videos
  - Decode timed GPS from MP4 videos written by Nextbase software
  - Decode a number of new tags from Nextbase MP4 videos
  - Decode a few new tags from Garmin MP4 videos
  - Extract PreviewJXL images from DNG 1.7 files
  - Generate Validate, ImageDataHash and UserParam tags earlier to allow them to
    be used in UserDefined Composite tags
  - Enhanced the -c option so a minus sign in the format specification prints a
    signed coordinate without a leading "+" for positive numbers
  - Changed formatting of some Accelerometer tags for consistency
  - Changed behaviour of -ee3 option to do a brute-force scan for freeGPS in the
    media data even when referenced by 'gps ' atom
  - Other internal changes to decoding of timed GPS from videos
  - Fixed problem were ExifTool would give up on extracting some types of timed
    GPS from videos after 100 void fixes
  - Fixed bug that could cause runtime error when reading Ogg files
  - Fixed issue where some tags from alternate files using the -fileNUM option
    weren't generated as requested
  - API Changes:
      - Added Geolocation, GeolocMaxDist and GeolocMinPop API options

Feb. 16, 2024 - Version 12.77

  - Added new Olympus CameraType and LensType value (thanks herb)
  - Added a new Canon Irix LensType
  - Added the ability to delete MacOS XAttrMDItemWhereFroms
  - Decode a few new Canon DPP tags (thanks John Moyer)
  - Decode timed GPS from Adzome GS65H MOV videos
  - Improved handling of XML-unfriendly characters in JSON field names (fixes
    issue where -X option could produce invalid XML when reading JSON with the
    -struct option)
  - Fixed decoding of ShutterCount for Canon G5X-ii CR3 files

Jan. 31, 2024 - Version 12.76 (production release)

  - Properly implement patch of 12.45 to avoid duplicating raw data when writing
    Sony ARW images where the raw data is double-referenced as both strips and
    tiles
  - Improved handling of bad offsets in HtmlDump output

Jan. 30, 2024 - Version 12.75 (production release)

  - CORRUPTION WARNING: Fixed bug introduced in 12.45 which could result in
    corrupted Sony ARW images from some newer models when rewriting lossless
    compressed ARW images which were previously edited by 12.44 or earlier
    (the corruption is repairable, but requires a special version of ExifTool)
  - Added ability to read C2PA JUMBF metadata from PDF and SVG files
  - Added ability to extract JUMBF metadata as a block
  - Added read support for C2PA (JUMBF-format) files
  - Removed "date before 1970" warning entirely since 64-bit systems should be
    able to handle dates in this range
  - Improved Canon FocusMode decoding
  - Fixed bug introducd in 12.74 which could cause "Undefined subroutine"
    runtime error when reading MIE files

Jan. 23, 2024 - Version 12.74

  - Added a couple of new Nikon lenses (thanks Chris)
  - Added write support for a few new QuickTime Keys tags
  - Decode ShutterCount for Canon EOS R5 (thanks John Moyer)
  - Improved error messages in the case of file read errors
  - Enhanced tag name strings (eg. -if and -p option arguments) to allow values
    of multiple matching tags to be concatenated when a group name of "All" is
    specified
  - Enhanced -p option to add -p- feature which avoids adding trailing newline
  - Changed warning from "Shift results in negative time" to "Shift results in
    date before 1970"
  - Patched calculation of GPSDateTime for the timed metadata in Track3 of
    Garmin videos so the API QuickTimeUTC option is no longer required
  - Fixed conversion error when writing QuickTime:GoogleTrackDuration
  - Fixed misidentification of non-TIFF-format files containing DNGVersion tag
  - Fixed bug where Avoid-ed XMP structures could be created when writing
    another same-named structure
  - Internal Changes:
      - Changed form of all new() calls to accommodate backward
        incompatibilities in recent versions of Perl
      - Changed order of InsertTagValues() arguments
      - DateFmt() now returns value of formatted date/time string

Jan. 10, 2024 - Version 12.73

  - Added write support for Leica XMP-xmpDSA tags
  - Added read support for timed GPS from Yada RoadCam Pro 4K dashcam videos
  - Added read support for PNG cpIp chunk
  - Added range checks on lat/long values when writing QuickTime:GPSCoordinates
  - Decode a number of new values for Ricoh GR III tags
  - Decode a new Leica tag
  - Improved handling of Brotli compression errors
  - Enhanced API NoWarning option to also apply to app "Warning:" outputs
  - Identify PNG Plus files
  - Changed name of Pentax ISOAutoParameters to ISOAutoMinSpeed and improved
    decoding
  - Fixed writing of date/time tags in XMP-xmpMM:Pantry structure
  - API Changes:
      - Added LimitLongValues option to provide control over tags which
        previously had a hard-coded length limit

Dec. 29, 2023 - Version 12.72

  - Added read support for AAC audio files
  - Added a new QuickTime Keys Android tag
  - Added a number of new values for some Ricoh GR III tags
  - Decode timed metadata from Intsa360 Ace Pro MP4 videos
  - Decode GPSDateTime milliseconds in timed Insta360 metadata
  - Decode timed metadata from INNOV K5 TS videos
  - Decode a number of new GoPro timed-metadata tags
  - Decode a few new Xiaomi EXIF tags
  - Fixed writing of JPG/ARW images from some newer Sony models to preserve
    HiddenData

Dec. 21, 2023 - Version 12.71

  - Added a warning if there was an error reading an alternate file with the
    -fileNUM option
  - Added the ability to write QuickTime Keys:Encoder
  - Added a few new Canon LensType values (thanks Norbert Wasser)
  - Added a new, obscure EXIF tag (thanks Neal Krawetz)
  - Decode real-time metadata from Ricoh Theta videos
  - Decode SpecularWhiteLevel for more Canon models (github #232)
  - Decode Canon DualPixelRaw tag (thanks John Moyer)
  - Decode a few new Nikon tags (thanks Warren Hatch)
  - Decode more FujiFilm M-RAW tags (thanks Greybeard)
  - Improved generation of tag names for some JSON tag ID's containing colons
  - Fixed "Undefined subroutine" error when writing makernotes as a block
  - Fixed missing ID in family 7 group name for ID3 tags which are not valid for
    the specified ID3 version
  - Fixed bug where some tags from alternate files (with the -fileNUM option)
    could show up as "not defined" when used in expressions even though they did
    exist
  - API Changes:
      - Added NoMandatory option

Nov. 19, 2023 - Version 12.70 (production release) - "20th Anniversary"

  - This marks the 20th anniversary of the initial ExifTool release!
  - Added ability to read/delete C2PA CAI JUMBF metadata from TIFF-based images
    (eg. DNG), QuickTime-based files (eg. MP4) and WebP images, and read JUMBF
    from other RIFF-based files (eg. WAV, AVI), GIF images and ID3v2 metadata
  - Added read/write support for JPH images
  - Added ability to read Leica Q3 maker notes
  - Added ability to recognize and write FujiFilm M-RAW RAF images (multiple raw
    images in a single file) and the ability to read preview-less RAF images
  - Added support for reading a number of obscure Microsoft EXIF tags
  - Added a few new Sony lenses and support for the ILCE-9M3 (thanks Jos Roost)
  - Added a couple of new Panasonic Leica lenses
  - Added a couple of new Canon RF lenses (thanks Norbert Wasser)
  - Added a number of new CPUType values for ELF executables
  - Added some new Olympus CameraType values
  - Decode a few more ID3v2.2 tags (github #142)
  - Decode a few new Canon G5X Mark II tags (thanks Martin B.)
  - Decode WB_RGGBLevels for a few more Nikon cameras
  - Extract information from FujiFilm M-RAW header
  - Improved decoding of a few Nikon Z tags (thanks Warren Hatch)
  - Marked misspelt XMP-drone-dji:GPSLongtitude tag to Avoid when writing
  - Changed RIFF MaxDataRate conversion to use SI prefixes by default
  - Fixed decoding of unknown ColorBalance information for some Nikon models
  - Fixed an incorrect Nikon Z LensID
  - API Changes:
      - Added ByteUnit option

Oct. 26, 2023 - Version 12.69

  - Added support for DNG version 1.7.0.0
  - Added a new XMP-GCamera tag
  - Added a number of new Nikon Z lenses (thanks Warren Hatch and Stefan)
  - Added a number of new XMP-crs tags
  - Extract XML metadata from some Hasselblad images
  - Tweaked -fast2 option to read metadata from inside mdat atom of HEIC images
  - Patched FFF reader to be more tolerant of the mess made by incompetent
    Hasselblad programmers (wrong IFD count for some values)
  - Patched WebP reader to be more tolerant of the mess made by incompetent
    Google programmers (EXIF with wrong header and XMP with wrong ID)
  - Fixed writing of MakerNotes as a block to CR3 images (now properly stored in
    the CMT3 chunk instead of the ExifIFD) and added ability to delete them from
    the ExifIFD of CR3 images
  - Fixed problem which could cause runtime error when copying MakerNotes from a
    file that contains multiple maker note blocks
  - Fixed problem which could cause "use of uninitialized variable" warnings
    when reading images from some Nikon cameras
  - Fixed List type for new XMP-photomech:CreatorIdentity tag

Oct. 16, 2023 - Version 12.68

  - Added preliminary read support for XISF images
  - Added the ability to delete CAI JUMBF metadata from PNG images
  - Added support for writing Canon burst-roll CR3 images
  - Added a new Nikon Z9 SubjectDetection value, and improved Zf support (thanks
    Warren Hatch)
  - Added a couple of new PentaxModelID values
  - Added a few couple of new tag values for the Pentax K-3 Mark III Monochrome (github #226)
  - Added a new XMP-photomech tag
  - Added a new QuickTime ItemList tag
  - Added a new Nikon LensID
  - Added a new Canon LensType
  - Support decimal values for FujiFilm ShadowTone and HighlightTone tags
  - Decode some new Sony tags (thanks Jos Roost)
  - Decode ShutterCount for Canon EOS R6 (thanks Martin B.)
  - Decode QuickTime VideoFullRangeFlag
  - Decode JPGCompression for the Nikon D3S
  - Enhanced -geotag feature to allow writing QuickTime:GPSCoordinates
  - Renamed Panasonic HDRShot tag to MergedImages (forum 15298)
  - Fixed problem where some NEF files were misidentified as NRW

Sept. 19, 2023 - Version 12.67

  - Added a new Pentax LensType (thanks dmont)
  - Added a new FujiFilm FilmMode and FaceElementTypes values (thanks Greybeard)
  - Fixed error writing new DataMining tag where URI prefix wasn't being
    properly added to the value

Sept. 19, 2023 - Version 12.66

  - Added a few new Canon LensType values (thanks Norbert Wasser)
  - Added conversions for a few Apple:ImageCaptureType values
  - Added new XMP tag for PLUS version 2.0.1
  - Added a new CanonModelID (thanks Laurent Clevy)
  - Decode another tag from Canon 1DS raw images (Hubert Figuiere, github #219)
  - Decode JPGCompression for newer Nikon models (thanks Warren Hatch)
  - Fixed bug introduced in 12.65 where duplicate tags were not returned even
    when the groups where specified explicitly
  - API Changes:
      - Added WindowsWideFile option

Aug. 10, 2023 - Version 12.65

  - Added a new QuickTime Keys tag
  - Added a new CanonModelID (thanks Laurent Clevy)
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added number in brackets to converted Samsung MCCData value
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a few new FlashPix tags (github #217)
  - Improved decoding of Nikon Z9 firmware 4.0 tags (thanks Warren Hatch)
  - Improved parsing of PDF:Keywords to support semicolon-separated lists
  - Enhanced -api option to show list of available options if no argument is
    provided
  - Lowered priority of IFD1 tags in ARW images so IFD0/SubIFD take precedence
  - Changed QuickTime tag names for atID (AlbumTitleID to ArtistID) and plID
    (PlayListID to AlbumID) (github #216), and added cmID (ComposerID)
  - Changed Apple:MediaGroupUUID tag name back to ContentIdentifier
  - Patched the -d option to handle the %s format code internally when writing
    (avoids problems due to inconsistent behaviour of this format code in the
    strptime function on different systems)
  - Patched patch of version 12.32 to restore ability to read from named pipes
  - Fixed bug which could cause a hang when processing a corrupt BigTIFF image
  - Fixed document number for auxiliary image metadata in HEIC files
  - Fixed misspelt Apple tag name (thanks Neal Krawetz)
  - API Changes:
      - Added AvailableOptions method

June 28, 2023 - Version 12.64

  - Added a new Sony LensType (thanks Jos Roost)
  - Added config_files/guano.config to the distribution (thanks StarGeek)
  - Added support for Garmin Low-resolution Video (GLV) files
  - Added JUMBF to the list of deletable groups
  - Added (untested) read support for spherical video tags in Matroska videos
  - Decode a number of new Nikon Z9 tags (thanks Warren Hatch)
  - Decode AmbisonicAudio tags in spherical MP4 vidoes
  - Decode another Apple tag
  - Improved French translations (thanks Philippe Bonnaure of GraphicConverter)
  - Patched to allow writing QuickTime-based videos where the audio/video sample
    description comes after the sample pointers
  - Fixed parsing of GPS from Insta360 videos to properly skip void fixes
  - Fixed problem where Apple iPhone 14 images produced invalid XML in -X output
    when using -struct option
  - API Changes:
      - Added StructFormat option to allow JSON-format serialized structures
      - Added NoDups option to eliminate duplicate items from queued values when
        writing List-type tags

June 8, 2023 - Version 12.63 - "Exif 3.0"

  - Added ability to read/write/create Brotli-compressed metadata in JXL images
    (requires IO::Compress::Brotli)
  - Added partial support for Exif 3.0 specification:
      - Added new EXIF tags
      - Added MPF Original Preservation Image type
      - Support for reading 'utf8' values (but still write only as 'string')
  - Added support for Adobe XMP-hdrgm (HDR Gain Map) tags
  - Added support for reading 7z files (thanks Amir Gooran, github #205) (but
    currently this doesn't work for the Windows .exe version because I haven't
    been able to install Compress::Raw::Lzma for ActivePerl)
  - Added XMP-panorama tags
  - Added warning if -csv is used with -p
  - Added warning if trying to geotag from a UTF-16 track log
  - Decode ImageWidth/Height from JXL images using partial codestreams
  - Decode more Sony tags for some newer models (thanks Jos Roost)
  - Extract GainMapImage (hrgm box) from JXL files
  - Extract Guano information from WAV files
  - Enhanced ImageDataMD5 feature and renamed to ImageDataHash (with
    ImageDataMD5 alias for backward compatibility)
  - Changed RARVersion tag name to FileVersion
  - Fixed bug introduced in 12.46 which could cause a hang when reading a
    corrupted RIFF-based file
  - Fixed writing of Composition:GPSPosition when -n is used
  - API Changes:
      - Added ImageHashType option

May 3, 2023 - Version 12.62

  - Added basic read support for WPG images
  - Added ImageDataMD5 support for HEIC images
  - Added support for RAR version 5.0 files (thanks Amir Gooran, github #203)
  - Added a few new XMP-aux tags (thanks John Ellis)
  - Made Composite tags available for use in -fileNUM argument
  - Better handling of FlashPix VT_EMPTY value
  - Fixed "Can't write" error when specifying a .webp file for the -o option
  - API Changes:
      - Added NoWarning option

Apr. 24, 2023 - Version 12.61

  - Added ImageDataMD5 support for J2C and JXL images
  - Added support for PDF 2.0 (specification is finally freely available)
  - Added ability to extract timed Accelerometer data from Azdome GS63H MP4
    videos which don't contain GPS
  - Added some new Sony lenses (thanks Jos Roost)
  - Decode some new tags for the Sony ZV-E1 (thanks Jos Roost)
  - Decode more tags for the Nikon Z30 (thanks Xavier)
  - Enhanced -fileNUM option to allow tags from the main file to be used in the
    file name string
  - Validate sample offset and size when calculating ImageDataMD5 for MP4 videos
    (note: may change ImageDataMD5 value for videos where audio data runs past
    end of media data)
  - Return error when attempting to write a fragmented JXL file
  - Improved robustness for determining image size for corrupted JPEG
  - Patched to allow Insta360 GPS records of unexpected length and tweaked
    verification algorithm to determine validity of these records
  - Fixed bug introduced in 12.57 where -progress:%f gave runtime warnings
  - Fixed "--" option to ignore subsequent -common_args option
  - Fixed incorrect ImageDataMD5 for Sony A100 ARW images
  - Fixed problem reading new XMP-et:OriginalImageMD5 tag

Apr. 5, 2023 - Version 12.60 (production release)

  - Added a new Sony FileFormat value
  - Added Validate warning about duplicate EXIF
  - Added ability to edit JPEG APP1 EXIF segment with incorrect header
  - Decode a few new Sony ARW tags
  - Improved -htmldump of non-EXIF-based maker notes
  - Enhanced -geotag from CSV files support GPSSpeed (with variable units),
    "bearing" for GPSTrack, and GPSDateTime in format "dd.mm.YYYY HH:MM:SS"
  - Enhanced ImageDataMD5 to also support CRW, RAF, X3F and AVIF images
  - Enhanced -efile option to also record updated and created file names
  - Family 8 group names may now also be used in Composite Require/Desire tags
  - Fixed handling of undefined tags in -if conditions to conform with
    documentation and match -p and -tagsFromFile behaviour when -m or -f option
    is used
  - Fixed problem where setting the Geotime value didn't work when using an
    advanced-formatting expression containing a greater-than symbol (>)

Mar. 28, 2023 - Version 12.59

  - COMPATIBILITY WARNING: Changed the calculated ImageDataMD5 for JPEG images
    to include all data from the SOS to the EOI (including the SOS marker but
    not the EOI marker)
  - Added new -fileNUM option to load tags from alternate files
  - Added family 8 groups for accessing tags from alternate files
  - Added new XMP-et:OriginalImageMD5 tag for storing ImageDataMD5 value
  - Added verbose ImageDataMD5 message for JPEG files
  - Added a new Nikon LensID (thanks Warren Hatch)
  - Decode a new Olympus tag and improved decoding of another (thanks Herb)
  - Decode a couple of new PanasonicRaw tags
  - Decode image coordinates for a couple more VNT object types
  - Enhanced ImageDataMD5 to also support MRW, CR3, IIQ, PNG, MOV/MP4 and some
    RIFF-based files
  - Improved verbose messages when deleting NikonApp trailer
  - Patched to avoid structure warnings when copying tags from Nikon files
    containing NKSC metadata
  - Fixed %-C filename format code to work properly with the -fileOrder and
    -progress options
  - Fixed potential ValueConv warning when reading LIF files
  - API Changes:
      - Added SetAlternateFile method

Mar. 15, 2023 - Version 12.58

  - Added Extra ImageDataMD5 tag to calculate MD5 of image data only
  - Added support for reading DJI APP4 and APP7 JPEG segments
  - Added a new SonyModelID value
  - Decode a few new Nikon tags (thanks Warren Hatch)
  - Downgraded "Windows file times" to a minor warning when Win32::API or
    Win32API::File is not installed while reading metadata
  - Patched possible runtime warning when API IgnoreTags option is used to
    ignore FileType
  - Fixed problem extracting NetName from Windows LNK files
  - Fixed issue where the %C filename format code would increment the count on
    an output filename collision, but it is supposed to count the input files

Feb. 23, 2023 - Version 12.57

  - Added two new Nikon Z lenses (thanks LibRaw)
  - Added a new Sigma LensType (thanks LibRaw)
  - Added a new Olympus LensType (thanks Herb)
  - Decode more new Nikon tags (thanks Warren Hatch)
  - Decode Photoshop LayerColors, LayerSections and LayerVisible tags
  - Improved Verbose output for QuickTime-format files
  - Set family 1 group name for Garmin GPS from uuid atom
  - Enhanced -progress option to allow message to be displayed every NUM files
  - Significant improvements to parsing of Nikon ShotInfo records for newer
    models
  - Removed hex dump of APP segments from -v3 output when writing
  - Fixed bug writing negative MIE GPS coordinates
  - Fixed bug where a duplicate XMP could be generated when writing XMP to a
    JPEG XL image which already contained XMP
  - Fixed problem where HEAD lines may be duplicated in an output file if the -p
    option was combined with -w+ or -W+

Feb. 9, 2023 - Version 12.56

  - Added support for VNT files (both Scene7 Vignette and V-Note document)
  - Added read support for InfiRay IJPEG metadata (thanks Marcos Del Sol Vives)
  - Added some new Sony LensType values (thanks Jos Roost and Francois Piette)
  - Added a new FujiFilm VideoRecordingMode value (thanks Greybeard)
  - Added two new Canon LensTypes and CanonModelIDs (thanks Norbert Wasser)
  - Added ability to extract semantic images from Apple ProRaw DNG files
  - Added read support for the PNG cICP chunk
  - Decode more Nikon tags (thanks Warren Hatch)
  - Extract PreviewImage from Insta360 trailer record 0x200
  - Extract EmbeddedImageRectangle and some other new tags from VNT files
  - Minor improvement to arg_files/xmp2exif.args (thanks StarGeek)
  - Enhanced -ee option to extract metadata from all frames of a multipart EXR
    image
  - Removed EXR Layout tag and incorporated into new Flags tag
  - Patched possible hang problem when reading corrupted .rm audio files

Jan. 17, 2023 - Version 12.55

  - Added support for geotagging from FlightAware KML files
  - Decode two more types of timed GPS from MOV/MP4 videos (66 types now)
  - Decode a few new Nikon tags (thanks Warren Hatch)
  - Decode a new Samsung HEIC tag
  - Decode FujiFilm RollAngle
  - Fixed bug where the FlatName property wasn't working properly for some
    user-defined structure tags

Jan. 6, 2023 - Version 12.54

  - Decode a number of new Apple tags (thanks Frank Rupprecht)
  - Increased precision of Sony FocusDistance2 conversion
  - Fixed problem where GPSAltitude wasn't being set when geotagging from KML
    files
  - Fixed bug writing HEIC/AVIF files which have a zero-sized mdat (ie. media
    data extends to end of file) which could cause an incorrect mdat size to be
    written

Jan. 4, 2023 - Version 12.53

  - Added support for a number of new XMP tags written by ACR 15.1
  - Added a new Nikon LensID
  - Decode timed GPS from Lamax S9 dual dashcam MOV videos
  - Decode a number of new Nikon tags (thanks Warren Hatch)
  - Decode a couple of new Canon tags (thanks John Moyer)
  - Decode FujiFilm BWMagentaGreen tag
  - Enable block-write of EXIF to JXL files
  - Accept values of "now" and "Z" when writing EXIF OffsetTime tags
  - Changed priority of XMP when reading/writing HEIC files so that it is no
    longer preferred as with other QuickTime-based formats
  - Changed family 1 group name of Canon DR4 tags from CanonVRD to CanonDR4 to
    allow newer tags to be differentiated from older ones.  The family 0 group
    name for both remains CanonVRD
  - Patched to recognize JXL EXIF box with non-zero header length
  - Patched to avoid runtime error when writing a PDF with an Info dictionary
    which was stored incorrectly as a direct object
  - Fixed problem writing EXIF to JXL images where a new EXIF box was created
    even if one previously existed

Dec. 6, 2022 - Version 12.52

  - Added a few new Nikon LensID's (thanks LibRaw and Chris)
  - Added Slovak translations (thanks Peter Bagin)
  - Made SphericalVideoXML readable/writable as a block
  - Improved handling of Matroska metadata tags, including language support
  - Improved French translations (thanks Philippe Bonnaure of GraphicConverter)
  - Improved Composite:GPSAltitude conversion to honour -lang setting
  - Improved -v2 messages to indicate files extracted from zip archives

Nov. 21, 2022 - Version 12.51

  - Added a new Olympus LensType (thanks Herb)
  - Extract C2PA CAI JUMBF metadata from PNG images and extract C2PA Salt values
  - Decode NikonSettings for Z9 firmware 3.0 (thanks Warren Hatch)
  - Decode additional camm metadata from Insta360 Pro2 MP4 videos
  - Improved Verbose output when writing Composite tags to add a "+" sign to
    indicate related tags that are being written
  - Enhanced -geotag option CSV format to support GPSImgDirection column
  - Fixed problem where -w+ option didn't work in Windows if there were Unicode
    characters in the path name
  - Fixed problem where only the last image of the sequence was extracted
    (multiple times) when using -ee2 to extract embedded images from FLIR SEQ
    files
  - Fixed issue where GPS reference directions may be unknowingly written when
    using ExifTool 12.44 or later to write GPSLatitude or GPSLongitude without
    specifying a group name.  The fix was to Avoid writing the Composite tags
    unless the Composite group is specified explicitly
  - Fixed -geotag to write orientation and track tags even if some tags in the
    category were missing
  - Fixed inconsistency in selecting which tag to output with the -json option
    when multiple tags with the same JSON key exist and the -TAG# feature is
    used to disable print conversion
  - Fixed problem writing QuickTime:PlayListID
  - Fixed problem writing QuickTime tags when specifying tag ID (ie. family 7
    group) as well as a language code

Nov. 8, 2022 - Version 12.50 (production release)

  - Added a new XMP-GCreations tag
  - Added a few new Sony lenses (thanks Jos Roost)
  - Added new SonyModelID and Olympus CameraType values (thanks LibRaw and Herb)
  - Added a couple of new XMP tags (thanks Jose Oliver-Didier)
  - Added a new Nikon Z lens (thanks LibRaw)
  - Added a new Canon LensType and CanonModelID (thanks Norbert Wasser and
    LibRaw)
  - Added some new Pentax lenses (thanks LibRaw)
  - Added experimental support for timed GPS in TS videos from Jomise T860S-GM
    dashcam (more samples are needed for this to be finalized)
  - Decode information written in "skip" atom of 70mai Pro Plus+ MP4 videos
  - Decode timed accelerometer data from Kenwood dashcam MP4 videos
  - Decode a few new Nikon Z9 tags (thanks Stefan Grussen)
  - Decode ColorData for some newer Canon models (thanks LibRaw)
  - Decode a number of new tags for the Sony ILCE-7RM5 (thanks Jos Roost)
  - Updated IPTC XMP tags to correspond with new Photo Metadata 2022.1 standard
  - Extract JPEG previews from FujiFilm HIF images
  - Changed -if option so multiple -if options are evaluated at the lowest
    specified -fast level
  - Changed MIMEType for ICO and CUR files
  - Enhanced -fast2 so it stops processing QuickTime files at mdat atom
  - Enhanced -listx output so -f also indicates the ID of the parent structure
    for Flattened tags
  - Improved conversion of IPTC date-only and time-only tags to allow formatting
    with the -d option
  - Improved Canon and Nikon TimeZone tags to accept a wider variety of input
    formats when writing
  - Disabled extraction of Nikon Z9 MenuSettings for firmware 3.0 until they can
    be properly decoded (thanks Warren Hatch)
  - Fixed decoding of AF points for some newer Nikon models
  - Fixed inconsistent year and time zone for Kenwood dashcam timed GPS in MP4
    videos

Oct. 19, 2022 - Version 12.49

  - Added read support for Windows ICO and CUR files
  - Added ability to shift EXIF OffsetTime tags (eg. "-OffsetTime+=+02:00")
  - Added a few new XMP tags and print conversions
  - Added a print conversion for Photoshop:PrintFlags
  - Added a new SonyModelID (thanks LibRaw)
  - Added a few new Canon RF LensType values (thanks Norbert Wasser)
  - Added a new Canon LensType
  - Added a new Nikon LensID
  - Decode 'riff' metadata blocks in FLAC audio files
  - Decode RIFF 'acid' chunk written by Acidizer
  - Enhanced the -d option %f sub-second date/time format code to allow the
    decimal point to be dropped (eg. "%-3f")
  - Patched another Sigma Photo Pro incompatibility when writing X3F images
    (Sigma will also fix this at their end in the next SPP release)

Oct. 13, 2022 - Version 12.48

  - Added support for new XMP-photoshop:CameraProfiles structure
  - Added a new SonyModelID and Sony LensType (thanks Jos Roost)
  - Decode more tags for the Sony ILME-FX30 (thanks Jos Roost)
  - Decode a couple of new Panasonic tags, and improved decoding of others
  - Decode STANAG-4609 MISB timed metadata from M2TS videos
  - Decode a new Nikon tag (thanks Warren Hatch)
  - Decode a couple of new FujiFilm tags (thanks Honza Pokorny)
  - Improved round-off errors when writing QuickTime:MatrixStructure via the
    Composite:Rotation tag
  - Increased Verbose level of "nothing changed" message added in 12.45
  - Removed "Z" (Zulu) designation from some of the MS-DOC date/time tags
    because they most certainly are in local time as written by Word 2011 for
    Mac (while some other MS-DOC and FlashPix date/time tags extracted without a
    "Z" are actually in Zulu time -- a bit of a mess really)
  - Prevent dynamically-generated Unknown tags from being extracted when the
    -validate option is used without -u
  - Patched to better handle irregular timestamps in streaming GPS of Nextbase
    dashcam videos
  - Fixed incompatibility with Sigma Photo Pro which could result in Sigma Photo
    Pro corrupting an ExifTool-edited X3F image (the section length in the
    footer needed to include the padding to a 4-byte boundary, thanks Sigma
    engineer Yuki Miyahara)
  - Fixed problem which could prevent ExifTool from reading all GPS points from
    some INNOV M2TS videos

Oct. 3, 2022 - Version 12.47

  - Added a new Nikon LensID (thanks David Puschel)
  - Fixed bug introduced in 12.46 which resulted in a runtime error when -j was
    combined with -b

Oct. 1, 2022 - Version 12.46 - "Write WEBP"

  - Added WEBP write support
  - Added the abilty to write Panasonic GH6 RW2 files
  - Added a new Canon LensType
  - Added a number of new Sigma LensType values (thanks LibRaw)
  - Added support for BigTIFF format code 16 in Apple ProRaw maker notes
  - Added config_files/frameCount.config to extract MP4 FrameCount
  - Added a MIE OriginalImageSize tag
  - Added some extra -validate checks for RIFF-based file formats
  - Extract FrameRate from MP4 tmcd box
  - Decode a new Apple tag (thanks Neal Krawetz)
  - Decode more information from Nikon Z-camera videos
  - Decode streaming GPS from Garmin DriveAssist 51 MP4 videos
  - Changed the names of two FujiFilm FirmwareVersion tags
  - Enhanced WEBP FileType identification to denote Extended WEBP
  - Preserve fractional seconds when extracting Samsung TimeStamp times
  - Patched to avoid reporting Photoshop:ProgressiveScans unless PhotoshopFormat
    is Progressive
  - Patched to test QuickTime UserData tags with default 0x0000 language code to
    see if they contain UTF8 characters, and if so assume UTF8 encoding and
    ignore the CharsetQuickTime setting
  - Patched to avoid potential deep recursion when reading/writing malicious CRW
    images
  - Fixed "Invalid ID3 frame size" problem when reading ID3v2 with an extended
    header (very uncommon, but Audacity uses this)
  - Fixed typo in the name of a new DNG 1.6 tag
  - Fixed some verbose warnings when reading Nikon Z-camera NEF files
  - Fixed decoding of a couple of Nikon Z9 tags for newer firmware versions
    (thanks Warren Hatch)

Sept. 16, 2022 - Version 12.45

  - Added new IPTC Video Metadata version 1.3 tags
  - Added a couple of new Canon lenses (thanks Norbert Wasser)
  - Added a new Sony LensType (thanks Jos Roost)
  - Added known Unknown value for IPTC ChromaticityColorant (thanks Herb)
  - Added new Nikon WhiteBalanceFineTune tag (thanks Milos Komarcevic)
  - Extract the raw thermal data from all frames of a SEQ file when -ee2 is used
  - Decode individual tags in QuickTime ColorRepresentation
  - Decode a new Matroska tag
  - Improved verbose "nothing changed" messages when writing
  - Patched -ee option to extract metadata after the first Cluster in MKV videos
    (previously only -U and -v did this)
  - Patched to differentiate Java bytecode .class files from Mach-O fat binaries
  - Patched to avoid "Use of uninitialized value" warning when deleting GPS
    coordinates via the newly writable Composite tags
  - Patched to avoid duplicating raw data when writing Sony ARW images where the
    raw data is double-referenced as both strips and tiles (affects ARW images
    from some newer models like the ILCE-1 when SonyRawFileType is "Lossless
    Compressed RAW 2")
  - Patched to avoid "fixing" the order of IFD entries in TIFF-based RAW files
    to improve compatibility with some RAW viewers
  - Minor change to Composite FileNumber to remove "-" when -n is used
  - Fixed problem extracting some timed metadata when "-api ignoretags=all" was
    used with "-api requesttags" to request the specific information
  - Fixed -validate feature to avoid incorrectly warning about non-capitalized
    boolean values in XMP

July 21, 2022 - Version 12.44

  - Added a few new Sony lenses (thanks Jos Roost)
  - Decode Accelerometer and Gyroscope data from ARCore videos
  - Decode a couple of new Motorola tags (thanks Neal Krawetz)
  - Decode FujiFilm FirmwareVersion (thanks Justin Arkinson)
  - Decode MetaType for timed metadata in videos
  - Decode a number of new Nikon Z tags (thanks Warren Hatch)
  - Extract more types of embedded images from FlashPix-format files
  - Made Composite GPSLatitude and GPSLongitude writable for setting GPS
    coordinates and reference directions with one assignment
  - Fixed bug introduced in 12.39 which broke extraction of timed GPS from some
    INNOVV videos
  - Fixed bug introduced in 12.43 which broke extraction of timed GPSDateTime
    from Insta360 videos

July 6, 2022 - Version 12.43

  - Added the ability to geotag from Google Takeout JSON files
  - Added a few new Canon RF LensType values and a couple of new CanonModelID's
    (thanks Norbert Wasser)
  - Added new values to a couple of FujiFilm tags (thanks Greybeard)
  - Added a new Nikon LensID (thanks BertJan Bakker)
  - Recognize Autodesk Revit files (but don't yet support reading metadata)
  - Decode DriveSerialNumber from LNK files (github #145)
  - Decode Apple FocusDistanceRange (thanks Neal Krawetz)
  - Made a number of Sony SR2SubIFD tags writable
  - Tolerate dashes instead of colons as date separators in -geotag CSV files
  - Patched to read new format accelerometer data from Insta360 files
  - Patched to avoid outputting some Unknown tags when the -validate option is
    used after a previously -execute'd command used the -u option
  - Fixed names of Canon G9 WB levels tags (changed from GRGB to GRBG) (thanks
    Christoph)
  - Fixed typo in new Olympus AISubjectTrackingMode value
  - Fixed "use of undefined value" warning when reading DJI metadata
  - API Changes:
      - Added IgnoreTags option

June 1, 2022 - Version 12.42 (production release)

  - Added support for reading maker notes from Panasonic DC-GH6 videos
  - Added conversion for Samsung MCCData
  - Added a new Nikon LensID (thanks Chris)
  - Added a few new Canon LensType values
  - Added a couple of new Olympus StackedImage values (thanks Eberhard)
  - Added a few new values for some Nikon Settings tags (thanks Warren Hatch)
  - Added a "lang:" element to the -json output for alternate language tags when
    -D, -H or -t is used
  - Update DNG writer to not issue an error when writing DNG 1.6 files
  - Decode information from DJI "ae_dbg_info" maker notes
  - Decode Olympus AISubjectTrackingMode
  - Changed ExifTool FileSize print conversion to use kB/MB/GB units instead of
    KiB/MiB/GiB
  - Changed "is not shiftable" warning to appear in -v (instead of just -v3)
    output
  - Patched to allow PDF Encrypt object to be "null"
  - Fixed bug reading ICC_Profile 'meta' tags

Apr. 7, 2022 - Version 12.41

  - Added support for "OM SYSTEM" maker notes
  - Added 2 new Sony LensType values (thanks Jos Roost)
  - Added some new Canon lenses (thanks LibRaw)
  - Added a new Nikon LensID (thanks Bert Ligtvoet)
  - Added a new Canon ContinuousDrive value (thanks Wolfgang Gulcker)
  - Enhanced -v0 option to also print new file name when renaming, moving or
    copying a file
  - Updated xmp2exif.args and exif2xmp.args helper files to reflect the IPTC
    Photometadata Mapping Guidelines version 2022.1
  - Made "Invalid Xxx data" a minor warning for MakerNote data
  - Patched to allow writing of MP4 videos which have other tracks with a
    missing sample description entry
  - Patched MacOS version to specify directory for external utilities (setfile,
    xattr, stat, mdls and osascript from /usr/bin, and tag from /usr/local/bin)
  - Fixed long-standing problem where Windows version could behave differently
    for -if conditions containing undefined tags
  - Fixed problem where -W+! combined with -j or -X produced invalid JSON or XML
    when  processing multiple files
  - Fixed potential "uninitialized value $time in division" runtime warning when
    reading MP4 videos

Feb. 9, 2022 - Version 12.40

  - Added PageCount tag to return the number of pages in a multi-page TIFF
  - Added a new Nikon LensID (thanks Wolfgang Exler)
  - Added a few more Sony LensTypes (thanks Jos Roost)
  - Decode some new Canon tags (thanks Mark Reid)
  - Decode another Nikon Z9 tag (thanks Warren Hatch)
  - Decode Nikon NKSC GPSImgDirection (thanks Olaf)
  - Improved handling of empty XMP structures in lists
  - Tolerate leading UTF-8 BOM in -geotag log files
  - Updated photoshop_paths.config to include WorkingPath
  - Patched to allow writing of MP4 videos which have url tracks with a missing
    sample description entry
  - Fixed deep recursion error when reading multi-page TIFF images with more
    than 100 pages
  - Fixed potential deep recursion runtime error when writing nested XMP
    structures
  - Fixed warning which could be generated when writing new
    Composite:GPSCoordinates tag
  - Fixed description of GPR (General Purpose RAW) file type
  - Fixed typo in the name of a new Nikon tag (thanks Herb)

Jan. 13, 2022 - Version 12.39

  - Added a new Pentax LensType (thanks Christian Shulz)
  - Added a couple of new Nikon LensID's
  - Added support for Nikon NKSC sidecar files
  - Decode another type of timed GPS from MP4 videos
  - Decode more tags for the Nikon Z7 and Z9 (thanks Warren Hatch)
  - Decode a couple more FLIR tags
  - Extract ZIP file comments
  - Made PNG ProfileName, SRGBRendering and Gamma writable
  - Patched to avoid possible problem running "more" to show documentation in
    Windows version
  - Fixed problem writing Composite:GPSPosition with coordinates in DMS format,
    and made this tag protected when writing
  - Fixed bug where invalid date/time tags could be written to PNG files when
    attempting to shift a non-existent date/time tag
  - Fixed spelling of a few Matroska tag names (thanks Martin Hoppenheit)

Dec. 20, 2021 - Version 12.38

  - Security update (thanks Joe Lothan)
  - Decode a number of new tags for the Nikon Z9 (thanks Warren Hatch)
  - Patched incorrect decoding of AEBShotCount for the Canon EOS 90D
  - Patched EXR reader to support long tag names
  - Fixed an incorrect tag ID for a new Nikon MakerNote tag (github #108)
  - Fixed XMP-exif:GPSMeasureMode conversions to match EXIF
  - Fixed problem where some namespaces may be undeclared in the -X output when
    using the -struct option

Dec. 8, 2021 - Version 12.37

  - Decode timed GPS from Vantrue S1 dashcam MP4 videos
  - Decode ColorData tags for the Canon EOS R3 (thanks LibRaw)
  - Decode more makernotes tags for Nikon Z cameras (thanks Warren Hatch)
  - Extract TransparentColor from GIF images
  - Improved parsing of input time values for GPSTimeStamp to properly handle a
    "." separator
  - Improved warning when incorrectly using "<" instead of "=" to assign a tag
    value
  - Shortened a few of the new obscenely-long XMP-crs tag names 
  - Avoid writing XMP-dwc:EventID and XMP-tiff:NativeDigest
  - Avoid printing same structure twice in -j and -X output when -l is used
  - Fixed typo in a QuickTime tag name (thanks Hubert)
  - Fixed two XMP-crs tag names and typo in a NikonSettings value (thanks Herb)
  - Fixed patch of version 12.25 to avoid writing XMP which contains an
    undefined namespace

Nov. 16, 2021 - Version 12.36

  - IMPORTANT: Fixed bug introduced in 12.35 which corrupted JPEG 2000 images
    when removing all metadata with -all=
  - Added feature to bypass processing of specified XMP namespaces and
    properties (to improve performance in cases where the XMP suffers from
    Adobe-editing bloat)
  - Added a number of new XMP tags used by Lightroom 11.0
  - Decode a number of new Nikon tags (thanks Warren Hatch)
  - Made the Composite GPSPosition tag writable
  - Fixed erroneous "Skipped unknown bytes after JPEG SOS" warning
  - Fixed group for new writable Jpeg2000 color tags in -listx output
  - Fixed problem finding files in Windows when using wildcards in file name and
    a drive letter with no slash

Nov. 11, 2021 - Version 12.35

  - Added ability to write ICC_Profile (and other color specifications) to
    Jpeg2000 images
  - Added %o code to -W option format string
  - Added %f code to -d option for fractional seconds
  - Added a couple of new Sony LensType values (thanks Jos Roost)
  - Added a new CanonModelID (thanks Norbert Wasser)
  - Added a new Nikon LensID
  - Decode more Nikon MakerNotes tags for some new models (thanks Warren Hatch)
  - Extract ThumbnailImage from some DJI drone videos
  - Enhanced -ee option to extract metadata from all frames in a SEQ file
  - Patched to avoid possible "Use of uninitialized value" runtime warning
  - Fixed a couple of misspelt new ICC_Profile tag names (thanks Herb)
  - Fixed problem generating the correct file extension when extracting
    OriginalRawImage from a DNG file using the -W option with the %s format code
  - Fixed bug introduced in 11.91 where exiftool couldn't find its libraries
    when run via a soft link.  Also changed to look for config file in the link
    target directory instead of the directory of the link itself

Oct. 27, 2021 - Version 12.34

  - Added support for ICC.2:2019 (Profile version 5.0.0 - iccMAX) color profiles
  - Added ability to detect/delete a Windows Zone.Identifier alternate data
    stream (ADS) via the new ZoneIdentifier tag (thanks Alex Xu)
  - Added support for the Sony ILCE-7M4 (thanks Jos Roost)
  - Added a new Sony lens (thanks LibRaw and Jos Roost)
  - Added a new SonyModelID (thanks LibRaw)
  - Added a new Canon RF lens (thanks Norbert Wasser)
  - Improved handling of some SVG files
  - Patched -overwrite_original_in_place option to open the output file in
    update mode rather than write mode (to allow some write optimizations on
    certain filesystems) (thanks Joel Low)
  - Fixed case of tag ID for new XMP-iptcExt:EventID (thanks Michael Steidl)
  - Fixed problem extracting ICC_Profile information from some PDF files
  - API Changes:
      - Added QuickTimePad option

Oct. 16, 2021 - Version 12.33

  - Added support for DNG version 1.6.0.0
  - Added two new Sony LensType values (thanks Jos Roost and LibRaw)
  - Added some new elements to the XMP-crs:Look structure (thanks Herb)
  - Added a few new IPTC XMP tags (thanks Michael Steidl)
  - Added a new Canon RF lens (thanks Norbert Wasser)
  - Decode Canon ShutterMode (thanks John Moyer)
  - Extract LensModel from some Olympus MOV videos
  - Generate MediaDataOffset/Size for MOV videos with zero-sized mdat chunk
  - Improvements to CBOR reader, including hex dump with -v3 option
  - Recognize Final Cut Pro XML files
  - Allow binary data of Protected tags to be extracted with the -X -j and -php
    options with -b by setting the API RequestAll option to 3
  - Changed name of "Canon EF 80-200mm f/4.5-5.6" lens with LensType 38 to add
    "II" to the name (Exiv2 issue 1906)
  - Fixed runtime warning when processing files with a .DIR extension

Sept. 30, 2021 - Version 12.32

  - Added support for CBOR-format metadata in CAI JUMBF (note that JUMBF support
    is still experimental)
  - Added a new Nikon LensID
  - Added a new Pentax LensType
  - Decode timed GPS for two more dashcam formats
  - Support reference direction columns in -geotag CSV input
  - Removed generation of GPSSpeedRef and GPSTrackRef tags in timed metadata for
    most dashcam formats when speed is km/h and track is relative to true north
  - Patched to allow writing of console output to named pipes
  - Fixed formatting of InternalSerialNumber for some Panasonic cameras
  - Fixed bug in arg_files/xmp2exif.args support file

Sept. 22, 2021 - Version 12.31

  - Added a new SonyModelID and a couple of new Sony lenses (thanks Jos Roost)
  - Added a new Canon LensType (thanks Chris Skopec)
  - Added Composite GPSLatitude/Longitude tags for Sony videos to combine the
    reference hemispheres as with the Composite tags for EXIF GPS
  - Decode DPX AspectRatio
  - Decode more GoPro MP4 tags
  - Extract ICC_Profile from CS0 object in PDF files
  - Extract encrypted GPS from Akaso V1 dashcam videos (can't yet decrypt)
  - Improved handling of QuickTime iTunesInfo tags, and created new "iTunes"
    family 1 group for these
  - Patched so NoPDFList option also applies when writing
  - Patched to allow user-defined PNG TextualData tags to be written only as iTXt
  - Patched PDF reader to avoid concatenating values of multiple List-type tags
    into a single tag

Aug. 12, 2021 - Version 12.30 (production release)

  - Added read support for Portable FloatMap (PFM) images (this was a bit of a
    pain because they have the same file extension as Printer Font Metrix files)
  - Added a few new Nikon LensID values (thanks LibRaw)
  - Added a new Canon LensType
  - Added a new Olympus CameraType (thanks LibRaw)
  - Added minor warning about unknown data between JPEG segments
  - Added a couple of new NikonSettings tags (thanks Warren Hatch)
  - Added a new Sony LensType (thanks Jos Roost)
  - Decode 'id3 ' chunk in WAV audio files
  - Decode timed GPS from concatenated Garmin dashcam videos
  - Decode SamsungTrailer information from sefd atom in HEIC images
  - Decode more Sony MakerNote tags for the ZV-E10 (thanks Jos Roost)
  - Decode DepthMapTiff from JPEG images of more Samsung models
  - Decode timed GPS from M2TS videos of yet another type of dashcam
  - Extract PreviewImage from Xaiomi MP4 videos
  - Changed name of second EmbeddedImage in Samsung trailer to EmbeddedImage2
  - Improved Dutch translations for GPS tags (thanks Peter Dubbelman)
  - Allow ICC_Profile to be "deleted" from AVIF files (actually, the profile
    isn't really deleted. Instead, a zero-length profile is written to allow a
    profile to be added back later since QuickTime item property containers
    currently can't be created)
  - Patched to remove 2 GB size limit when reading Photoshop ImageSourceData

July 9, 2021 - Version 12.29

  - Security update
  - Added a few new Nikon and Olympus lenses (thanks LibRaw)
  - Improved a QuickTime "File format error" message to be more meaningful, and
    made it a minor error
  - Changed PNG writer to add EXIF before IDAT
  - Some changes the way CAI JUMBF metadata is handled
  - Patched to read timed GPS from a different type of INSV videos
  - Fixed problem where ExifTool could hang when processing mebx timed metadata

June 22, 2021 - Version 12.28

  - Added read support for Leica Image File (LIF) images
  - Added a new Olympus LensType (thanks LibRaw)
  - Decode another Panasonic tag (thanks LibRaw)
  - Decode more timed metadata from Sony MP4 videos
  - Attempt to shorten tag names for metadata in CZI files
  - Allow full QuickTime Keys tag ID's in UserDefined tags (fixes backward
    incompatibility introduced in 12.02)
  - Patched to handle special characters in Torrent tag values

June 9, 2021 - Version 12.27

  - Added a new SonyModelID value
  - Added two new Nikon LensID values (thanks Daniel)
  - Added a new Pentax RawDevelopmentProcess value
  - Added a few new Sony LensType values (thanks Jos Roost)
  - Added warning if IPTCDigest is not current
  - Decode a couple more Pentax tags (thanks LibRaw)
  - Decode streaming GPS from Novatek INNOVV MP4 and TS videos
  - Improved tag names in config_files/covert_regions.config (thanks StarGeek)
  - Changed MIME types for MS Office macro-enabled formats to add the .12
  - Patched Canon LensID logic to properly identify the Canon RF 24-105mm F4 L
    IS USM lens
  - Patched decoding of camm6 GPSDateTime to use a flexible epoch because other
    apps don't seem to use a consistent time zero
  - Fixed family 7 group names for QuickTime Keys tags
  - Fixed problem reading BeatsPerMinute from some MP4 files
  - Fixed hemisphere problem when extracting GPS from 70mai dashcam videos

May 20, 2021 - Version 12.26 (production release)

  - Security update (for vulnerability in argument of -lang option)
  - Added support for JPEG Stereo (JPS) images
  - Added a new Sony LensType (thanks LibRaw)
  - Added a new PentaxModelID (thanks LibRaw)
  - Changed ExifTool namespace URI to use exiftool.org instead of exiftool.ca in
    the -X option output (exiftool.ca is still recognized when reading XML)
  - Improved handling of large-array warnings in -htmldump output
  - Changed handling of escaped characters in #[CSTR] lines of -@ argfile
  - Fixed problem which could cause a "Wide character" warning and generate a
    corrupted output file when writing some illegal values

Apr. 22, 2021 - Version 12.25

  - JPEG XL support is now official
  - Added read support for  Medical Research Council (MRC) image files
  - Added ability to write a number of 3gp tags in video files
  - Added a new Sony PictureProfile value (thanks Jos Roost)
  - Added a new Sony LensType (thanks LibRaw)
  - Added a new Nikon LensID (thanks Niels Kristian Bech Jensen)
  - Added a new Canon LensType
  - Decode more GPS information from Blackvue dashcam videos
  - Decode a couple of new NikonSettings tags (thanks Warren Hatch)
  - Decode a few new RIFF tags
  - Improved Validate option to add minor warning if standard XMP is missing
    xpacket wrapper
  - Avoid decoding some large arrays in DNG images to improve performance unless
    the -m option is used
  - Patched bug that could give runtime warning when trying to write an empty
    XMP structure
  - Fixed decoding of ImageWidth/Height for JPEG XL images
  - Fixed problem were Microsoft Xtra tags couldn't be deleted

Apr. 13, 2021 - Version 12.24

  - Security update (vulnerability in DjVu reader)
  - Added a new PhaseOne RawFormat value (thanks LibRaw)
  - Decode a new Sony tag (thanks Jos Roost)
  - Decode a few new Panasonic and FujiFilm tags (thanks LibRaw and Greybeard)
  - Updated acdsee.config in distribution (thanks StarGeek)
  - Recognize AutoCAD DXF files
  - More work on experimental CAI JUMBF read support
  - More work on experimental JPEG XL read/write support

Apr. 1, 2021 - Version 12.23

  - Added support for Olympus ORI files
  - Added experimental read/write support for JPEG XL images
  - Added experimental read support for CAI (Content Authenticity Initiative)
    JUMBF-format metadata in JPEG and Jpeg2000 images
  - Added built-in support for parsing GPS track from Denver ACG-8050 videos
    with the -ee option
  - Added a some new Sony lenses (thanks Jos Roost and LibRaw)
  - Changed priority of Samsung trailer tags so the first DepthMapImage takes
    precedence when -a is not used
  - Improved identification of M4A audio files
  - Patched to avoid escaping ',' in "Binary data" message when -struct is used
  - Removed Unknown flag from MXF VideoCodingSchemeID tag
  - Fixed -forcewrite=EXIF to apply to EXIF in binary header of EPS files
  - API Changes:
      - Added BlockExtract option

Mar. 17, 2021 - Version 12.22

  - Added a few new Sony LensTypes and a new SonyModelID (thanks Jos Roost and
    LibRaw)
  - Added Extra BaseName tag
  - Added a new CanonModelID (thanks LibRaw)
  - Decode timed GPS from unlisted programs in M2TS videos with the -ee3 option
  - Decode more Sony rtmd tags
  - Decode some tags for the Sony ILME-FX3 (thanks Jos Roost)
  - Allow negative values to be written to XMP-aux:LensID
  - Recognize HEVC video program in M2TS files
  - Enhanced -b option so --b suppresses tags with binary data
  - Improved flexibility when writing GPS coordinates:
      - Now pulls latitude and longitude from a combined GPSCoordinates string
      - Recognize full word "South" and "West" to write negative coordinates
  - Improved warning when trying to write an integer QuickTime date/time tag and
    Time::Local is not available
  - Convert GPSSpeed from mph to km/h in timed GPS from Garmin MP4 videos

Feb. 24, 2021 - Version 12.21

  - Added a few new iOS QuickTime tags
  - Decode a couple more Sony rtmd tags
  - Patch to avoid possible "Use of uninitialized value" warning when attempting
    to write QuickTime date/time tags with an invalid value
  - Fixed problem writing Microsoft Xtra tags
  - Fixed Windows daylight savings time patch for file times that was broken in
    12.19 (however directory times will not yet handle DST properly)

Feb. 23, 2021 - Version 12.20

  - Added ability to write some Microsoft Xtra tags in MOV/MP4 videos
  - Added two new Canon LensType values (thanks Norbert Wasser)
  - Added a new Nikon LensID
  - Fixed problem reading FITS comments that start before column 11

Feb. 18, 2021 - Version 12.19

  - Added -list_dir option
  - Added the "ls-l" Shortcut tag
  - Extract Comment and History from FITS files
  - Enhanced FilePermissions to include device type (similar to "ls -l")
  - Changed the name of Apple ContentIdentifier tag to MediaGroupUUID
    (thanks Neal Krawetz)
  - Fixed a potential "substr outside of string" runtime error when reading
    corrupted EXIF
  - Fixed edge case where NikonScanIFD may not be copied properly when copying
    MakerNotes to another file
  - API Changes:
      - Added ability to read/write System tags of directories
      - Enhanced GetAllGroups() to support family 7 and take optional ExifTool
        reference
      - Changed QuickTimeHandler option default to 1

Feb. 9, 2021 - Version 12.18

  - Added a new SonyModelID
  - Decode a number of Sony tags for the ILCE-1 (thanks Jos Roost)
  - Decode a couple of new Canon tags (thanks LibRaw)
  - Patched to read differently formatted UserData:Keywords as written by iPhone
  - Patched to tolerate out-of-order Nikon MakerNote IFD entries when obtaining
    tags necessary for decryption
  - Fixed a few possible Condition warnings for some NikonSettings tags

Feb. 3, 2021 - Version 12.17

  - Added a new Canon FocusMode value
  - Added a new FujiFilm FilmMode value
  - Added a number of new XMP-crs tags (thanks Herb)
  - Decode a new H264 MDPM tag
  - Allow non-conforming lower-case XMP boolean "true" and "false" values to be
    written, but only when print conversion is disabled
  - Improved Validate option to warn about non-capitalized boolean XMP values
  - Improved logic for setting GPSLatitude/LongitudeRef values when writing
  - Changed -json and -php options so the -a option is implied even without the
    -g option
  - Avoid extracting audio/video data from AVI videos when -ee -u is used
  - Patched decoding of Canon ContinuousShootingSpeed for newer firmware
    versions of the EOS-1DXmkIII
  - Re-worked LensID patch of version 12.00 (github #51)
  - Fixed a few typos in newly-added NikonSettings tags (thanks Herb)
  - Fixed problem where group could not be specified for PNG-pHYs tags when
    writing

Jan. 21, 2021 - Version 12.16 (production release)

  - Extract another form of video subtitle text
  - Enhanced -ee option with -ee2 and -ee3 to allow parsing of the H264 video
    stream in MP4 files
  - Changed a Nikon FlashMode value
  - Fixed problem that caused a failed DPX test on Strawberry Perl
  - API Changes:
      - Enhanced ExtractEmbedded option

Jan. 18, 2021 - Version 12.15 (production release)

  - Added a couple of new Sony LensType values (thanks LibRaw and Jos Roost)
  - Added a new Nikon FlashMode value (thanks Mike)
  - Decode NikonSettings (thanks Warren Hatch)
  - Decode thermal information from DJI RJPEG images
  - Fixed extra newline in -echo3 and -echo4 outputs added in version 12.10
  - Fixed out-of-memory problem when writing some very large PNG files under
    Windows

Jan. 6, 2021 - Version 12.14

  - Added support for 2 more types of timed GPS in video files (that makes 49
    different formats now supported)
  - Added validity check for PDF trailer dictionary Size
  - Added a new Pentax LensType
  - Extract metadata from Jpeg2000 Association box
  - Changed -g:XX:YY and -G:XX:YY options to show empty strings for non-existent
    groups
  - Patched to issue warning and avoid writing date/time values with a zero
    month or day number
  - Patched to avoid runtime warnings if trying to set FileName to an empty
    string
  - Fixed issue that could cause GPS test number 12 to fail on some systems
  - Fixed problem extracting XML as a block from Jpeg2000 images, and extract
    XML tags in the XML group instead of XMP

Dec. 24, 2020 - Version 12.13

  - Added -i HIDDEN option to ignore files with names that start with "."
  - Added a few new Nikon ShutterMode values (thanks Jan Skoda)
  - Added ability to write Google GCamera MicroVideo XMP tags
  - Add time zone automatically to most string-based QuickTime date/time tags
    when writing unless the PrintConv option is disabled
  - Decode a new Sony tag (thanks LibRaw)
  - Changed behaviour when writing only pseudo tags to return an error and avoid
    writing any other tags if writing FileName fails
  - Print "X image files read" message even if only 1 file is read when at least
    one other file has failed the -if condition

Dec. 4, 2020 - Version 12.12

  - Added ability to geotag from DJI CSV log files
  - Added a new CanonModelID
  - Added a couple of new Sony LensType values (thanks LibRaw)
  - Enhanced -csvDelim option to allow "\t", "\n", "\r" and "\\"
  - Unescape "\b" and "\f" in imported JSON values
  - Fixed bug introduced in 12.10 which generated a "Not an integer" warning
    when attempting to shift some QuickTime date/time tags
  - Fixed shared-write permission problem with -@ argfile when using -stay_open
    and a filename containing special characters on Windows

Nov. 27, 2020 - Version 12.11

  - Added -csvDelim option
  - Added new Canon and Olympus LensType values (thanks LibRaw)
  - Added a warning if ICC_Profile is deleted from an image (github #63)
  - EndDir() function for -if option now works when -fileOrder is used
  - Changed FileSize conversion to use binary prefixes since that is how the
    conversion is currently done (eg. MiB instead of MB)
  - Patched -csv option so columns aren't resorted when using -G option and one
    of the tags is missing from a file
  - Fixed incompatiblity with Google Photos when writing UserData:GPSCoordinates
    to MP4 videos
  - Fixed problem where the tags available in a -p format string were limited to
    the same as the -if[NUM] option when NUM was specified
  - Fixed incorrect decoding of SourceFileIndex/SourceDirectoryIndex for Ricoh
    models

Nov. 12, 2020 - Version 12.10

  - Added -validate test for proper TIFF magic number in JPEG EXIF header
  - Added support for Nikon Z7 LensData version 0801
  - Added a new XMP-GPano tag
  - Decode ColorData for the Canon EOS 1DXmkIII (thanks LibRaw)
  - Decode more tags for the Sony ILCE-7SM3 (thanks Jos Roost)
  - Automatically apply QuickTimeUTC option for CR3 files
  - Improved decoding of XAttrMDLabel from MacOS files
  - Ignore time zones when writing date/time values and using the -d option
  - Enhanced -echo3 and -echo4 options to allow exit status to be returned
  - Changed -execute so the -q option no longer suppresses the "{ready}" message
    when a synchronization number is used (eg. -execute123)

Oct. 29, 2020 - Version 12.09

  - Added ability to copy CanonMakerNotes from CR3 images to other file types
  - Added read support for ON1 presets file (.ONP)
  - Added two new CanonModelID values
  - Added trailing "/" when writing QuickTime:GPSCoordinates
  - Added a number of new XMP-crs tags
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new Nikon Z lens (thanks LibRaw)
  - Added a new Canon LensType
  - Decode ColorData for Canon EOS R5/R6
  - Decode a couple of new HEIF tags
  - Decode FirmwareVersion for Canon M50
  - Improved decoding of Sony CreativeStyle tags (thanks Jos Roost)
  - Improved parsing of Radiance files to recognize comments
  - Renamed GIF AspectRatio tag to PixelAspectRatio
  - Patched EndDir() feature so subdirectories are always processed when -r is
    used (previously, EndDir() would end processing of a directory completely)
  - Yet another tweak to the EventTime formatting rules (also allow time-only
    values with fractional seconds and a time zone)
  - Avoid loading GoPro module unnecessarily when reading MP4 videos from some
    other cameras
  - Fixed problem with an incorrect naming of CodecID tags in some MKV videos
  - Fixed verbose output to avoid "adding" messages for existing flattened XMP
    tags

Oct. 15, 2020 - Version 12.08

  - Added read support for MacOS "._" sidecar files
  - Added a new Sony LensType (thanks Jos Roost)
  - Recognize Mac OS X xattr files
  - Extract ThumbnailImage from MP4 videos of more dashcam models
  - Improved decoding of a number of Sony tags (thanks Jos Roost)
  - Fixed problem where the special -if EndDir() function didn't work properly
    for directories after the one in which it was initially called
  - Patched to read DLL files which don't have a .rsrc section (thanks Hank)
  - Patched to support new IGC date format when geotagging
  - Patched to read DLL files with an invalid size in the header

Oct. 2, 2020 - Version 12.07

  - Added support for GoPro .360 videos
  - Added some new Canon RF and Nikkor Z lenses (thanks LibRaw)
  - Added some new Sony LensType and CreativeStyle values and decode some
    ILCE-7C tags (thanks Jos Roost)
  - Added a number of new Olympus SceneMode values (thanks Herb)
  - Added a new Nikon LensID
  - Decode more timed metadata from Insta360 videos (thanks Thomas Allen)
  - Decode timed GPS from videos of more Garmin dashcam models
  - Decode a new GoPro video tag
  - Reformat time-only EventTime values when writing and prevent arbitrary
    strings from being written
  - Patched to accept backslashes in SourceFile entries for -csv option

Sept. 11, 2020 - Version 12.06

  - Added read support for Lyrics3 metadata (and fixed problem where APE
    metadata may be ignored if Lyrics3 exists)
  - Added a new Panasonic VideoBurstMode value (thanks Klaus Homeister)
  - Added a new Olympus MultipleExposureMode value
  - Added a new Nikon LensID
  - Added back conversions for XMP-dwc EventTime that were removed in 12.04 with
    a patch to allow time-only values
  - Decode GIF AspectRatio
  - Decode Olympus FocusBracketStepSize (thanks Karsten)
  - Extract PNG iDOT chunk in Binary format with the name AppleDataOffsets
  - Process PNG images which do not start with mandatory IHDR chunk

Aug. 24, 2020 - Version 12.05

  - Added a new Panasonic SelfTimer value (thanks Herb)
  - Decode a few more DPX tags (thanks Harry Mallon)
  - Extract AIFF APPL tag as ApplicationData
  - Fixed bug writing QuickTime ItemList 'gnre' Genre values
  - Fixed an incorrect value for Panasonic VideoBurstResolution (thanks Herb)
  - Fixed problem when applying a time shift to some invalid makernote date/time
    values

Aug. 10, 2020 - Version 12.04

  - Added read support for Zeiss ZISRAW CZI files
  - Added some new values for a couple of Olympus tags (thanks Sebastian)
  - Decode a number of new tags for the Sony ILCE-7SM3 (thanks Jos Roost)
  - Removed formatting restrictions on XMP-dwc:EventTime to allow a time-only
    value to be written
  - Moved new QuckTime ItemList tags added in version 12.02 to the proper group
    (they were incorrectly added to the Keys group)
  - Improved QuickTime -v3 output to show default language codes
  - Patched -lang option to work for the values of some tags with coded
    translations
  - Patched the format of a number of QuickTime tags when writing for improved
    compatibility with iTunes and AtomicParsley
  - Patched to write a default QuickTime language code of 0x0000 (null) instead
    of 0x55c4 ('und')

July 29, 2020 - Version 12.03

  - Added family 7 group names to allow tag ID's to be specified when reading
    and writing
  - Fixed a couple of typos in tag values (thanks Herb)
  - API Changes:
      - Added HexTagIDs option
      - Enhanced GetNewValue() to allow family 7 groups names to be used
  - Internal Changes:
      - Changed Composite tag ID's to use "-" instead of "::" as a separator

July 27, 2020 - Version 12.02

  - Added support for a number of new QuickTime ItemList tags
  - Added support for writing XMP-xmp:RatingPercent
  - Added a new Sony LensType (thanks Jos Roost and LibRaw)
  - Added a new Pentax LensType (thanks James O'Neill)
  - Decode barcodes from Ricoh APP5 RMETA segment
  - Decode a few new QuickTime tags written by Ricoh and Garmin cameras
  - Decode timed GPS from Sony A7R IV MP4 videos
  - Decode timed GPS from 70mai dashcam videos
  - Decode a few new Panasonic tags (thanks Klaus Homeister)
  - Decode altitude and more accurate latitude/longitude from Transcend Driver
    Pro 230 MP4 videos
  - Improved decoding of some Canon EOS 1DXmkIII custom functions
  - Allow integer QuickTime TrackNumber and DiskNumber values
  - Relax validity check of QuickTime:ContentCreateDate when writing with -n
  - Removed "Com" from the start of some unknown QuickTime ItemList tag names
  - Patched CanonCustom decoding for bug in Canon EOS-1DX firmware
  - Changed QuickTime CleanAperture tags decode as signed rationals

June 24, 2020 - Version 12.01

  - Added a new NEFCompression value (thanks Warren Hatch)
  - Added a new Sony LensType (thanks Jos Roost)
  - Decode timed GPS from Rove Stealth 4K dashcam videos
  - Fixed bug which would corrupt TIFF images with 16-bit image data offsets
    when writing (these are very rare)

June 11, 2020 - Version 12.00 (production release)

  - Added two new Olympus LensTypes (thanks Don Komarechka for one)
  - Added two new Sony LensType values (thanks Jos Roost)
  - Added a few new Nikon LensID's (thanks Mathieu Carbou)
  - Added support for the Sony ZV-1 (thanks Jos Roost)
  - Added a new CanonModelID (thanks Jos Roost)
  - Added missing MimeType values for HEICS and HEIFS files
  - Added definitions for a number of new XMP-crs tags
  - Recognize WOFF and WOFF2 font files
  - Decode streaming GPS from Roadhawk, EEEkit and 360Fly MP4 videos
  - Decode a number of new tags for the Nikon D6 (thanks Warren Hatch)
  - Decode a couple more AF tags for the D500/D850
  - Decode a number of new Panasonic tags
  - Improved Composite LensID logic (thanks Matt Stancliff)
  - Enhanced -v option to state when a directory has 0 entries
  - Removed a couple of incorrect Validate warnings for bilevel TIFF images
  - Drop ContrastCurve tag when copying from NEF to JPEG
  - Changed -csv output to add "Unknown" group name to column headings for
    missing tags when -f and -G options are used
  - Patched to support new XMP LensID format for Nikon cameras as written by
    Apple Photos (thanks Mattsta)
  - Fixed problem extracting metadata from Sigma DP2 Quattro X3F files
  - Fixed End() and EndDir() functions so they work when writing and when the -v
    option is used
  - Fixed problem recognizing some PGM files
  - Fixed bug in offsets for some Photoshop information in -v3 output
  - Fixed problem writing a list containing empty elements inside an XMP
    structure
  - API Changes:
      - Added NoMultiExif option
      - Changed FilterW option to not write tag if $_ is set to undef

May 11, 2020 - Version 11.99

  - Added a new Nikon LensID (thanks Mykyta Kozlov)
  - Added a new Canon LensType
  - Added a newn PentaxModelID
  - Decode a few new QuickTime tags
  - Decode new ID3 Grouping tag
  - Decode a few more MinoltaRaw tags (thanks LibRaw)
  - Fixed runtime warning which could occur when reading corrupted RTF files
  - Fixed another potential pitfall in M2TS Duration calculation
  - Fixed problem extracting some unknown QuickTime:Keys tags
  - Fixed problem decoding Nikon D850 orientation tags
  - Fixed bug where TIFF image data may not be padded to an even number of bytes

May 1, 2020 - Version 11.98

  - Added a new Nikon LensID (thanks Warren Hatch)
  - Added a new Sony LensType (thanks LibRaw)
  - Added a new Canon LensType
  - Patched to extract EXIF with an "Exif\0\0" header from WebP images
  - Enhanced -efile option and added to the documentation
  - Minor tweak to -htmlDump output (disallow locking of empty selection)
  - Fixed problem determining Duration of some M2TS videos

Apr. 27, 2020 - Version 11.97

  - Added experimental -efile option (undocumented)
  - Decode NMEA GGA sentence from streaming GPS of some dashcam videos

Apr. 24, 2020 - Version 11.96

  - Decode streaming GPS from Lucas LK-7900 Ace AVI videos
  - Changed new Exit/ExitDir function names to End/EndDir
  - Fixed inconsistencies when using "-use mwg" together with the -wm option

Apr. 23, 2020 - Version 11.95

  - Added Exit() and ExitDir() functions for use in -if conditions (NOTE: these
    function names changed to End() and EndDir() in ExifTool 11.96)
  - Enhanced -geotag feature to support a more flexible input CSV file format
  - Enhanced -if and API Filter options to allow access to ExifTool object via
    $self
  - Fixed problem reading HEIC Exif with a missing header

Apr. 17, 2020 - Version 11.94

  - Added support for QuickTime ItemList:GPSCoordinates
  - Added additional Validate test for overlapping EXIF values
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new Nikon LensID
  - Decode a few more Nikon tags (thanks Warren Hatch)
  - Decode Pentax ShutterType
  - Changed color of locked highlighted selection in -htmlDump output
  - Fixed problem reading PDF files written by Microsoft Print-to-PDF
  - Fixed problem where -X output would produce invalid XML for MP4 files
    containing an HTCTrack

Apr. 3, 2020 - Version 11.93

  - Added new config file to the distribution for writing Pix4D XMP-Camera tags
    (config_files/pix4d.config)
  - Added support for the DOSCyrillic (cp866) character set
  - Added IO::String to the Windows EXE version
  - Improved identification of Canon RF lenses (thanks LibRaw)
  - Enhanced -htmlDump output to add "File offset" entry for EXIF tags and
    ability lock highlighted selection by clicking the mouse
  - Enhanced -srcfile option to generate OriginalFileName and OriginalDirectory
    UserParam tags
  - Patched HEIC writer to add missing pitm box if necessary
  - Fixed problem adding back EXIF after deleting it from HEIC file
  - Fixed minor problem with incorrect number of bytes being reported for
    invalid header in corrupt files
  - API Changes:
      - Enhanced UserParam  option to allow parameters to be extracted as if
        they were normal tags

Mar. 19, 2020 - Version 11.92

  - Added a new Nikon LensID (thanks Wolfgang Exler)
  - Decode a few new Leica tags (thanks Tim Gray)
  - Decode AccelerometerData from Samsung Gear 360 videos
  - Fixed a couple of problems decoding timed GPS metadata from Nextbase dashcam
    videos
  - Fixed problem where -X option could produce invalid XML when reading
    corrupted XMP

Mar. 5, 2020 - Version 11.91

  - Added undocumented -xpath option for use by alternate Windows version
  - Decode a couple of new Panasonic tags
  - Documented -ec option (available since version 11.54)
  - Reverted -htmlDump fix of 11.90 because it broke more than it fixed, and
    instead applied a targeted patch to fix this problem for RW2 files

Mar. 3, 2020 - Version 11.90

  - Added a new Sony LensType (thanks LibRaw and Jos Roost)
  - Added two new Olympus LensType values
  - Added a new Canon LensType
  - Added some new Canon RecordMode values
  - Added some new QuickTime GeneralProfileIDC values
  - Added new values for a couple of FujiFilm tags
  - Added a number of new QuickTime GenreID values
  - Decode Nikon Z6/Z7 phase-detect AF points (thanks Andy Dragon)
  - Patched to avoid possible "Undefined subroutine" error in MacOS 10.15
  - Fixed incorrect offsets in -htmlDump output for some file types

Feb. 25, 2020 - Version 11.89

  - Added support for Exif 2.32 for XMP
  - Recognize the HIF file extension
  - Improved verbose output for QuickTime iref items
  - Patched to create new GPS metadata in Canon CR3 images using a default byte
    order that is the same as existing EXIF boxes
  - Patched to add missing newline that could occur in XMP with the API Compact
    Shorthand option

Feb. 20, 2020 - Version 11.88

  - Added write support for new Google depth-map XMP tags
  - Added config_files/depthmap.config to the distribution
  - Added minor error when attempting to write FFF images due to incompatibility
    with Hasselblad Phocus software
  - Patched to avoid "Invalid iloc offset size" error when writing some
    QuickTime-based files
  - Fixed incorrect ColumnCount for CSV files
  - Fixed various spelling errors (thanks Jens Schleusener)
  - Fixed bug writing QuickTime:Rotation in HEIC files

Feb. 13, 2020 - Version 11.87

  - Added read support for CSV files
  - Added "--" option to indicate the end of options
  - Added ability to read/write/copy/delete the JPEG trailer as a block
  - Added new Olympus CameraType and LensType values (thanks LibRaw)
  - Decode a few more FujiFilm tags
  - Enhanced -fast option (API FastScan) to bypass PNG CRC validation when
    writing

Feb. 4, 2020 - Version 11.86

  - Added support for DNG version 1.5
  - Added config_files/acdsee.config to the full distribution (thanks StarGeek)
  - Added a new Sony LensType (thanks Jos Roost and LibRaw)
  - Decode two more bits from Nikon LensType (thanks LibRaw)
  - Decode QuickTime MovieFragmentSequence
  - Patched HEIC writer to add missing iref box if necessary
  - Fixed typo in a Canon LensType value
  - API Changes:
      - Patched ImageInfo() to recognize a stringified object as a file name

Jan. 28, 2020 - Version 11.85 (production release)

  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new Olympus CameraType (thanks LibRaw)
  - Added a two new Pentax LensType values
  - Added a new FujiFilm FocusMode
  - Decode timed GPS from Akaso dashcam MOV videos
  - Decode Insta360 trailer from INSP images and made Insta360 a deletable group
  - Patched kml.fmt file to limit maximum image size (thanks Fedor Kotov)
  - Fixed problem decoding values from Leica M10 and S maker notes

Jan. 10, 2020 - Version 11.84

  - Decode accelerometer data from timed metadata of more dashcam videos
  - Decode Canon G9 white balance tags (thanks LibRaw)
  - Recognize INSP files

Jan. 9, 2020 - Version 11.83

  - Added a couple of new XMP-crs tags (thanks Herb)
  - Fixed bug introduced in 11.82 with the -php -D output
  - Fixed problem where some flattened XMP tags could be written when they
    should be avoided

Jan. 8, 2020 - Version 11.82

  - Added a new Canon LensType
  - Added a new CanonModelID (thanks LibRaw)
  - Added ability to process SubDirectories in QuickTime Keys tags
  - Removed minor error when writing PDF 2.0 files (github #30)
  - Fixed problem where trailing null bytes were removed from binary values in
    the -php output when the -b option was used

Jan. 2, 2020 - Version 11.81

  - Added a new Nikon LensID
  - Added two new CanonModelID's (thanks LibRaw)
  - Decode AVIF AV1 configuration record
  - Changed names of QuickTime MovieData tags to "MediaData"
  - Patched to use 4-digit years in Time::Local calls
  - Patched Composite sub-second date/time tags to do additional validation of
    source EXIF date/time tags before adding sub seconds
  - Fixed problem where -json output could produce invalid JSON when -struct was
    used and the structure field names contained special characters (github #32)
  - Fixed spelling in a Panasonic SceneMode value (thanks Hubert)

Dec. 17, 2019 - Version 11.80

  - Added a new Canon LensType
  - Added a new Nikon Z LensID (thanks LibRaw)
  - Added a few new Sony LensType values (thanks Jos Roost)
  - Attempt to improve reliability of Samsung DepthMapWidth/Height decoding
  - Updated a number of Canon-mount Tamron lens names to include the Tamron
    model number
  - Patched MOV/MP4 writer to allow a small amount of garbage at the end of a
    file to be deleted when writing with the -m option
  - Fixed bug where some Composite tags may not have taken priority over other
    tags as they should have

Dec. 12, 2019 - Version 11.79

  - Added support for AVIF files
  - Added new Canon, Sigma and Sony LensType values (thanks LibRaw)
  - Made PDF 2.0 writable at your own risk with the -m option (github #30)
  - Enhanced -validate feature to warn about duplicate languages in an XMP
    lang-alt list
  - Fixed inconsistency between documentation and ExifTool capabilities for
    "Writable" status of some tags

Dec. 5, 2019 - Version 11.78

  - Added a new Nikon LensID (thanks Chris)
  - Added two new FujiFilm SceneRecognition values
  - Patched to avoid crash in Windows when writing a negative epoch time using
    the "-d %s" option
  - Fixed problem editing MIE tags when using the "-wm w" option

Nov. 27, 2019 - Version 11.77

  - Added a new Nikon LensID (thanks Joe Schonberg)
  - Added a number of new Olympus LensType values (thanks LibRaw)
  - Added a new Canon LensType
  - Decode timed GPS from Ambarella A12 dash cam MP4 videos
  - Decode a number of new Sigma tags (thanks LibRaw)
  - Decode a couple of new PanasonicRaw tags (thanks LibRaw)
  - Enhanced -fileOrder option to add -fast feature

Nov. 12, 2019 - Version 11.76

  - Added support for the Sony ILCE-9M2 (thanks Jos Roost)
  - Added a couple of new XMP-GCamera tags
  - Added MIMEType values for some formats that previously reported
    "application/unknown"
  - Enhanced -geotag feature to write pitch to CameraElevationAngle if available
  - Improved determination of MIMEEncoding for TXT files

Nov. 4, 2019 - Version 11.75

  - Added ability to read some basic characteristics of TXT files
  - Added kml_track.fmt to the fmt_files of the full distribution
  - Added built-in support for decoding GPS from the four video subtitle text
    formats that were previously handled by separate config files, and removed
    these config files from the distribution
  - Derive GPSDateTime from CreateDate and SampleTime if not already available
    when extracting timed GPS metadata from QuickTime-format videos
  - Changed family 2 groups of some Extra tags

Oct. 29, 2019 - Version 11.74

  - Added support for new XMP IPTC Extension version 1.5 tags
  - Added a new Nikon LensID (thanks LibRaw)
  - Decode GPS track from Auto-Vox dashcam MOV videos
  - Improved Russian translations (thanks Andrei Korzhyts and Alexander)
  - Enhanced convert_regions.config to support new IPTC Extension 1.5 ImageRegion
  - Changed the way the FlatName element works when used in a structure element
    (the structure name is now added as a prefix to the flattened tag name)
  - Patched gpx.fmt and gpx_wpt.fmt to support sub-seconds in GPSDateTime value

Oct. 23, 2019 - Version 11.73

  - Decode timed metadata from Parrot drone videos
  - Patched dji.config file to properly handle time zones
  - Fixed bug which caused runtime error when reading timed metadata from Cobra
    Dash Cam AVI videos

Oct. 22, 2019 - Version 11.72

  - Added warning messages for corrupted Photoshop document data
  - Added a new Olympus CameraType
  - Added a new Canon LensType
  - Decode more Sigma tags
  - Improved Russian translations (thanks Alexander)
  - Updated decoding of some CanonCustom settings for recent models
  - Documented DNG OpcodeList values

Oct. 16, 2019 - Version 11.71

  - Added a new Sony LensType (thanks Jos Roost)
  - Added a few new Nikon Z LensID's
  - Added a simple print conversion for DNG OpcodeList tags (note that due to
    this, these tags must now be copied using the -n option)
  - Fixed problems determining some video parameters for DV files
  - Changed behaviour of -sep option when writing empty list items
  - API Changes:
      - Changed ListSplit option to preserve empty list items

Oct. 10, 2019 - Version 11.70 (production release)

  - Added a new CanonModelID (thanks Laurent Clevy)
  - Improved identification of Office Open XML files (github #27)
  - Removed RAF version check when writing FujiFilm RAF files
  - Limited the number of accelerometer records that ExifTool will read by
    default with the -ee option from INSV files to avoid excessive processing
    times and memory usage
  - Patched Windows version to allow reading of shared files with Unicode names
    (thanks Eriksson)
  - Patched to avoid converting some bad GPS coordinates (thanks Csaba Toth)
  - Fixed verbose output to include YCbCrSubSampling for JPEG files
  - Fixed conversion and group names for the new FujiFilm tag added in 11.68
  - Fixed format of GeoTiffDirectory and GeoTiffDoubleParams when writing

Oct. 2, 2019 - Version 11.69

  - Fixed bug introduced in version 11.66 where the sign was lost when writing
    coordinate values between 0 and -1 to QuickTime:GPSCoordinates

Oct. 1, 2019 - Version 11.68

  - Added read support for yet another type of streaming GPS in MP4 videos
  - Added a number of new FujiFlashMode values
  - Decode a new FujiFilm tag
  - Made NikonCaptureOffsets and NikonCaptureVersion deletable
  - Enhanced tag name documentation to indicate deletable MakerNotes tags

Sept. 30, 2019 - Version 11.67

  - Added config_files/thinkware.config to the distribution
  - Fixed bug decoding negative GPS coordinates from INSV videos

Sept. 30, 2019 - Version 11.66

  - Added a new Nikon LensID (thanks LibRaw)
  - Added a few new Canon LensType values (thanks LibRaw and Tom Lachecki)
  - Decode a few more Hasselblad tags (thanks LibRaw)
  - Decode a new Canon tag (thanks Laurent Clevy)
  - Decode more Samsung trailer tags
  - Extract BWF iXML, aXML and UMID from RIFF-format files
  - Extract ICC_Profile from more types of PDF files
  - Enhanced %s of the -W option to recognize the PICT format
  - Recognize MacOS alias files
  - Changed name of Ricoh CropMode35mm tag and added a new value (thanks LibRaw)
  - Minor change to a Minolta lens name (thanks Jos Roost)
  - Fixed problem where NikonCapture information couldn't be deleted from an NEF
  - Fixed problem identifying some SVG files
  - Fixed typo in a CanonModelID value (thanks Dmitry)
  - Fixed bug which could result in "Internal error: no list index" warning when
    creating nested XMP lang-alt lists
  - Fixed the names of a few Tamron lenses for Nikon (thanks Tom Lachecki)
  - Fixed problem extracting Layer information from some PSD files
  - Fixed writing of QuickTime GPSCoordinates to use the correct number of
    digits before the decimal point for latitude and longitude

Aug. 29, 2019 - Version 11.65

  - Added new SonyModelID and Sony LensType values (thanks LibRaw and Jos Roost)
  - Added support for some new Sony models (thanks Jos Roost)
  - Added a couple of new CanonModelID values (thanks LibRaw)
  - Added a new Canon ColorDataVersion value
  - Enhanced FastScan option so a setting of 2 stops processing PNG images at
    the IDAT chunk when reading
  - Preserve order of nested lang-alt list entries when -struct option is used

Aug. 28, 2019 - Version 11.64

  - Added a new Canon LensType (thanks LibRaw)
  - Added a new Nikon LensID (thanks Bruno)
  - Added config file for converting streaming GPS from BlueSkySea dashcam
  - Decode FocusDistance for Nikon Z6/Z7
  - Documented groups in families 5 and 6 (available but undocumented since
    Exiftool version 8.22 and 11.50 respectively)
  - Fixed some ordering problems when writing/copying nested XMP lang-alt lists
  - Fixed some minor quirks with QuickTime language codes (thanks Hayo Baan)
  - Fixed a CanonModelID value (thanks Dmitry)
  - API Changes:
      - Documented SavePath and SaveFormat options

Aug. 20, 2019 - Version 11.63 - "PNG Early Text"

  - Added a few new Sigma lenses (thanks LibRaw)
  - Improved handling of Canon CNTH atom in MOV/MP4 videos
  - Changed PNG writer to place all text chunks before IDAT (not just XMP)
    (github #23)
  - Issue minor warning for any text chunk after PNG IDAT (not just XMP)
  - Enhanced ForceWrite feature to allow "PNG" to be specified (to move existing
    text chunks to before IDAT without editing any metadata)
  - Removed Windows "surrogate" warning for files that wouldn't be processed
    anyway
  - Fixed some entries in the Minolta LensType list (thanks Jos Roost)
  - Fixed identification of a Sony lens (thanks Jos Roost)

Aug. 15, 2019 - Version 11.62

  - Added a number of new Canon, Pentax, Sony and Sigma lenses (thanks LibRaw)
  - Removed some extraneous verbose warnings when geotagging
  - Removed Minolta LensType value for a non-existent lens (thanks LibRaw)
  - Patched problem writing some simple qualified XMP values
  - Patched to avoid writing files in Windows with Unicode surrogate characters
    in their name unless the -overwrite_original_in_place option is used
  - Fixed an incorrect Pentax LensType (thanks LibRaw)
  - Fixed family 2 group names of some XMP-exifEX and XMP Composite tags

Aug. 7, 2019 - Version 11.61

  - Added a new FujiFilm CropMode (thanks LibRaw)
  - Added a few new proprietary CustomRendered values (thanks Jeffrey Friedl)
  - Added a new Nikon LensID and fixed a Canon LensType (thanks LibRaw)
  - Added a new CanonModelID
  - Decode more Sony DSC-RX100M7 tags (thanks Jos Roost)
  - Write standard EXIF to PNG even if non-standard EXIF already exists
  - Changed a Minolta/Sony LensType (thanks LibRaw)
  - Changed Composite GPS reference direction tags to be derived from only the
    XMP-exif GPS coordinate tags (and not other XMP GPS coordinates)
  - Reverted a PNG Validation check that was removed from 11.60
  - Patched to avoid problems overriding new values when writing thumbnail and
    preview images

July 30, 2019 - Version 11.60

  - Added a few new Sigma LensType values (thanks LibRaw)
  - Updated Sony makernote decoding for the DSC-RX100M7 (thanks Jos Roost)
  - Various internal improvements to PNG reader/writer
  - Fixed bug in RIFF decoder that could cause an "undefined subroutine" error
    (thanks Hayo Baan)
  - Fixed problem writing some QuickTime tags if the PREFERRED levels were
    changed via the config file
  - Install Changes:
      - Properly erase all temporary files after validation tests

July 25, 2019 - Version 11.59

  - Added a new SonyModelID (thanks LibRaw)
  - Changed block delete to allow subsequent writing of tags from the same group
    (like a group delete)
  - Minor changes to warnings and verbose output when writing PNG images
  - Fixed potential runtime warning on an error rewriting XMP in a PNG image

July 25, 2019 - Version 11.58

  - Added a number of new Canon and Sony LensType values (thanks LibRaw)
  - Decode NikonMeteringMode for the D500
  - Decode LensID for Nikon Z lenses
  - Extract RawThermalImage from Parrot Bebop-Pro Thermal images
  - Validate PNG CRC values when writing or using the Validate option
  - Improved Russian translation (thanks Andrei Korzhyts)
  - Improved identification of some Tamron lenses for Canon cameras
  - Changed name of D810MeteringMode tag to NikonMeteringMode
  - Patched writing of XMP in PNG images to always come before IDAT, and warn if
    XMP comes after IDAT when reading
  - Fixed problem replacing multiple lang-alt default-language structure
    elements in lists of XMP structures (behaviour for other languages still not
    ideal)
  - API Changes:
      - Removed PNGEarlyXMP option
      - Fixed problem introduced in 11.54 which caused Options('UserParam') to
        return undef
  - Internal Changes:
      - A block delete of EXIF, XMP, IPTC, etc now sets the group delete flag

July 19, 2019 - Version 11.57

  - Improved decoding of some tags for the Sony ILCE-7RM4 (thanks Jos Roost)
  - Minor change to a Sony lens name
  - Fixed format of a number of 8-bit integer QuickTime tags when writing
  - Fixed problem replacing multiple structure elements in lists of XMP
    structures

July 18, 2019 - Version 11.56

  - Added support for the Sony ILCE-7RM4 (thanks Jos Roost)
  - Added a new SonyModelID (thanks LibRaw)
  - Added a few new Sony/Minolta LensType values (thanks LibRaw and Jos Roost)
  - Decode some new Nikon and Motorola tags (thanks Neal Krawetz)
  - Decode a couple more ColorData tags for some Canon models
  - Extract PreviewImage from DNG files which don't have a .DNG extension
  - Extract Huawei APP7 maker notes with the Unknown (-u) option
  - Internal change in LensID logic for Sony E-type lenses

July 12, 2019 - Version 11.55

  - Added write support for XMP-crs:Texture and XMP-drs tags
  - Added a number of new Panasonic NoiseReduction values
  - Added definition for a new Kodak tag (thanks LibRaw)
  - Added a couple of new Panasonic AFAreaMode values (thanks Daniel Beichl)
  - Added a couple of new Sony/Minolta LensTypes (thanks Jos Roost and LibRaw)
  - Added a new CanonModelID
  - Decode HEVCConfiguration record from HEIC images
  - Decode a new Panasonic tag
  - Decode a new QuickTime tag
  - Changed internal handling of Composite tag ID's to include module name
  - Removed "FE" designation from Samyang E-mount lenses
  - Dropped Validate warning about missing GPSProcessingMethod tag

July 2, 2019 - Version 11.54

  - Added new Canon and Sony/Minolta LensType values (thanks LibRaw)
  - Added a number of new Sony/Minolta LensType values (thanks Jos Roost)
  - Added "Unknown" value for new EXIF CompositeImage tag
  - Added ability to write GSpherical tags in video track of MOV/MP4 files
  - Added support for geotagging from GPS/IMU CSV-format files
  - Improved Russian translation (thanks Alexander)
  - Improved Validate feature to check ExifVersion/GPSVersionID numbers
  - Accept unsigned numbers when setting GPSAltitudeRef from a numerical value
  - Fixed decoding of DepthMapWidth/Height for some Samsung live-focus images
  - Fixed a couple of incorrect/incomplete CanonModelID values (thanks LibRaw)
  - Fixed problem identifying some Canon lenses when used on a Sony camera with
    a Metabones adapter
  - API Changes:
      - Added FilterW option
      - Enhanced Compact option to improve flexibility and include features of
        XMPShorthand option
      - Removed XMPShorthand option from documentation

June 24, 2019 - Version 11.53 - "Exif 2.32"

  - Added support for the new tags of the Exif 2.32 specification
  - Added a new SamsungModelID (thanks LibRaw)
  - Added warning if extracting ZIP file contents without the -a option
  - Added ability to extract EmbeddedVideo from the trailer of Android JPEG
    images with the ExtractEmbedded option
  - Decode timed GPS from Cobra Dash Cam AVI videos
  - Decode a new GoPro tag
  - Enhanced -struct option to allow extraction of structured Torrent Info
  - Improved error handling when an unexpected terminator is encountered while
    writing a QuickTime-format file
  - Renamed one of the Nikon Saturation tags to "SaturationAdj"
  - Removed warning message when writing FujiFilm RAFVersion 0240 and 0261 files
  - Fixed encoding problem when writing some QuickTime UserData tags with
    strings containing special characters
  - API Changes:
      - Enhanced XMPShorthand option to add level 2

June 17, 2019 - Version 11.52

  - Added a few new Nikon CropHiSpeed values (thanks Hayo Baan)
  - Added a new Nikon LensID (thanks Yves)
  - Fixed problem where reading a large, corrupt AIFF file may could take an
    excessively long time
  - API Changes:
      - Enhanced Compact option to add levels 3, 4 and 5 (github #16)

June 13, 2019 - Version 11.51

  - Decode Canon DistortionCorrection tags
  - Removed a minor EXIF warning when processing EPS files with a DOS header
  - Fixed bug which caused an error when rewriting some EPS files multiple times

June 11, 2019 - Version 11.50 (production release)

  - Added a new Canon LensType and two new Sony LensTypes (thanks LibRaw)
  - Added tiff_version and rotate_regions config files to the distribution
  - Added two new QuickTime Keys tags and made some existing Keys unwritable
  - Improved Composite LensID logic to make better use of EXIF LensModel
  - Improved logic when writing BinaryData tags to allow multiple interdependent
    tags to be written in a single command
  - Improved -htmldump output to show names of Unknown tags
  - Allow advanced formatting expressions to access the current tag key ($tag)
  - Remove escaped nulls from -json string values
  - Reverted change in ExifTool 11.38 so that Composite GPS reference directions
    are generated again even if the EXIF versions of these tags already exist
  - Fixed an incorrect FlashPix CodePage conversion

June 5, 2019 - Version 11.49

  - Added inverse print conversion for one of the QuickTime ItemList Genre tags
  - Avoid creating a few obscure QuickTime UserData tags when writing
  - Fixed problem where some QuickTime groups were not being created when
    writing QuickTime tags without specifying a group
  - Fixed problem where QuickTime Keys tags could be duplicated when writing an
    existing alternate-language tag
  - Fixed problem were QuickTime Keys alternate-language tags would not be
    written when deleting the corresponding default-language tag in the same
    command
  - Fixed some inconsistencies when writing QuickTime tags using the -wm
    (WriteMode) option
  - Fixed an incorrect Pentax Sigma LensType value

June 1, 2019 - Version 11.48

  - Added write support for Google GCamera and GCreation XMP tags
  - Renamed XMP-GDepth "Data" tag to "DepthImage"
  - Fixed bug where some QuickTime UserData tags could be duplicated when
    writing

May 31, 2019 - Version 11.47

  - Fixed problem which resulted in a warning for one of the CanonVRD tests on
    some platforms

May 31, 2019 - Version 11.46 - "CR3 update"

  - Added ability to write CanonVRD tags in CR3 images
  - Decode a couple more tags from Canon CR3 images
  - Enhanced Validate option to check for duplicate QuickTime atoms
  - Relaxed constraints when writing IPTC date tags to allow use of separators
    other than a colon
  - Fixed CR3 writing to update CTBO table with any changed offsets or sizes
    (although this table doesn't seem to be used by any RAW viewer, it may be
    used in-camera to improve response time when browsing images)

May 29, 2019 - Version 11.45

  - CORRUPTION WARNING: Patched problem where Canon DPP would destroy a CR3
    image if the file had previously been edited by DPP then Exiftool
    (If you have edited any CR3 images with ExifTool that had been previously
    edited by DPP, then re-edit with ExifTool 11.45 or later to restructure the
    file so DPP doesn't destroy it if used later to edit the file again)
  - Added ability to create and delete QuickTime Keys tags
  - Added sample config file (mini0806.config) to generate GPS tags from
    subtitle Text in Mini 0806 dashcam videos
  - Added new Canon and Nikon lenses (thanks LibRaw)
  - Added a new Olympus CameraType (thanks LibRaw)
  - Decode CanonVRD tags from CR3 images
  - Improved handling of QuickTime language tags when writing
  - Fixed bug introduced in 11.38 which could cause "Use of uninitialized value"
    runtime warning when reading XMP GPS tags
  - Fixed bug where QuickTime tags could be written when another group was
    specified
  - API Changes:
      - Added QuickTimeHandler option

May 21, 2019 - Version 11.44

  - Added ability to extract XMP as a block from XMP files
  - Prevent ExifIFD from being deleted from any RAW file type
  - Fixed problem where some Canon tags couldn't be written in CR3 files
  - Fixed problem reading QuickTime Keys tags with a space in the tag ID
  - Fixed incorrect family 1 group when reading some QuickTime Keys tags

May 17, 2019 - Version 11.43 - "Write HEIC and CR3"

  - Added ability to write/create EXIF and write ICC_Profile in HEIC images
  - Added ability to write/create EXIF and write MakerNotes in CR3 images
    (one might hope/expect EXIF to be stored in the same location for HEIC and
    CR3 since they are both based on the QuickTime file format, but in fact they
    couldn't be more different, and both are much more complicated than
    necessary, which of course follows the seemingly established practice of
    intentional obfuscation and zero standardization in video metadata)
  - Added support for QuickTime ItemList:Author and Keys:DisplayName tags
  - Prevent MakerNotes from being deleted from any RAW file type
  - Fixed writing of XMP in HEIC files to conform with the HEIC specification
    (obviously, Apple couldn't put this XMP in the same place as any other
    QuickTime-based file format, because Apple is, after all, king of "Let's
    reinvent the wheel!")
  - Fixed problem where API WriteMode option wouldn't always prevent groups from
    being created when group creation was disabled

May 13, 2019 - Version 11.42

  - Added ability to edit ThumbnailImage in Canon MOV videos
  - Improved verbose hex dump for HEIC files
  - Fixed another "Chunk offset outside movie data" error when writing some HEIC
    files

May 9, 2019 - Version 11.41

  - Added write support and improved language handling for 3GP QuickTime tags
  - Fixed format problems writing some binary values to QuickTime tags
  - Fixed some language translations (thanks Herbert Kauer)

May 7, 2019 - Version 11.40

  - Added a new Canon LensType
  - Added a new value for EXIF:SceneCaptureType used by some Samsung cameras
  - Fixed QuickTime writing to preserve existing same-named default-language
    tags in other groups when writing a default language tag

May 3, 2019 - Version 11.39 - "Create QuickTime tags"

  - Added ability to create new QuickTime tags in MOV/MP4 videos
  - Added two new Canon LensTypes and a new CanonModelID (thanks LibRaw)
  - Added a few new Sony/Minolta LensType values (thanks Jos Roost)
  - Added a number of new QuickTime GenreID values
  - Added range check on date/time values when writing
  - Decode Canon EOS D60 black levels
  - Split off some QuickTime tags into different family 1 groups
  - Fixed "Chunk offset outside movie data" error when writing some HEIC files
  - Fixed decoding of Pentax AutoBracketing for K-1 and K-5 (github #15)
  - Fixed some QuickTime family 2 group names
  - Fixed bug introduced in 11.38 that broke extraction of thumbnail images from
    Canon MOV videos

Apr. 24, 2019 - Version 11.38

  - Added Extra JPEGImageLength tag
  - Added nksc.config to the sample config files
  - Added a couple more Sony/Minolta LensTypes (thanks Jos Roost)
  - Added a couple of new Sigma LensType values
  - Decode a couple more tags from Pittasoft dashcam videos
  - Decode two new FLIR tags (thanks Corinne Berthier)
  - Decode a new ERF tag, and fix wrong format for some others (thanks LibRaw)
  - Improved decoding of Sigma maker notes for some models
  - Enhanced Composite tag logic to allow a scalar Inhibit entry
  - Enhanced XMP processing to support readable subdirectories embedded in a tag
  - Updated some language translations
  - Patched Composite GPS reference direction tags to prevent them from being
    created if these tags already exist
  - Fixed problem reading some odd PDF files

Apr. 17, 2019 - Version 11.37

  - Added a new Sony AFAreaMode (thanks Jos Roost)
  - Decode GPS and other tags from Pittasoft Blackvue dashcam videos
  - Improved decoding of FujiFilm FlickerReduction
  - Ignore any garbage before an NMEA sentence when geotagging
  - Fixed bug which could result in loss of timed GPS metadata when writing MP4
    videos

Apr. 15, 2019 - Version 11.36

  - Added a number of new MacOS tags
  - Added a new CanonModelID (thanks Laurent Clevy)
  - Added some new Canon EasyMode and AFAreaMode values
  - Added two new Canon AspectRatio values (thanks LibRaw)
  - Decode a new Nikon tag (thanks LibRaw)
  - Decode some new FujiFilm tags
  - Updated Sony maker notes for the DSC-RX0M2 (thanks Jos Roost)
  - Hide the Nikon ShotInfo offset tags
  - Fixed problem decoding NikonCustom settings for some D810 firmware versions
  - Fixed typo in a warning message (thanks Hayo Baan)

Apr. 9, 2019 - Version 11.35

  - Added print conversion for MDItemFSLabel
  - Added a new Sony LensType (thanks Jos Roost)
  - Added an additional -validate check for PNG images
  - Decode a few more FujiFilm RAF tags (thanks LibRaw)
  - Decode a couple more QuickTime tags
  - Allow "Copy0" to be specified as a group name for the copy number of the
    primary tag when extracting information
  - Improved the Composite ImageSize tag to report the RawImageCroppedSize for
    FujiFilm RAF images
  - Changed Composite ImageSize tag to use a space instead of "x" as a separator
    when the -n option is used
  - Fixed problem writing user-defined PhaseOne SensorCalibration tags
  - Fixed problem where a List-type tag may not be split into individual items
    with the -sep option when using the advanced-formatting "@" feature
  - API Changes:
      - Patched a potential pitfall if calling code used both the old List and
        ListSep options at the same time as the new ListJoin option

Apr. 4, 2019 - Version 11.34

  - Added a couple of new Canon LensType values (thanks LibRaw for one)
  - Added a new CanonExposureMode value (thanks Arnold van Oostrum)
  - Added support for FujiFilm X-H1 Ver2.01 RAF images
  - Decode a couple of new Sony tags (thanks LibRaw)
  - Improved decoding of Sony Shutter tag (thanks Jos Roost)
  - Improved identification of some Sony lenses (thanks Jos Roost)
  - Improved parsing of streamed metadata from TomTom Bandit videos
  - Improved warning for truncated QuickTime atom
  - Accept wider range of formats when writing QuickTime:GPSCoordinates
  - API Changes:
      - Changed SetFileName() 'Link' option name to 'HardLink' (but still allow
        'Link' for backward compatibility)

Mar. 28, 2019 - Version 11.33

  - Added write support for HEIC/HEIF files
  - Added new write-only SymLink tag for creating symbolic links
  - Made EXIF GDALMetadata and GDALNoData writable
  - Enhanced writing capabilities for MOV/MP4 videos
  - Enhanced -validate option to add more IPTC checks
  - Updated decoding of Sony ILCE-9 maker notes for firmware version 5.00
    (thanks Jos Roost)
  - Fixed problem reading streamed metadata from some TomTom Bandit videos
  - API Changes:
      - Added SymLink option to SetFileName()

Mar. 14, 2019 - Version 11.32

  - Added a new Nikon LensID (thanks Kenneth Cochran)
  - Added a couple of new QuickTime HandlerType values
  - Decode streamed metadata from DuDuBell M1 and VSYS M6L dashcam videos
  - Attempt to improve Nikon lens identification
  - API Changes:
      - Added new single-argument version of ShiftTime() 

Mar. 7, 2019 - Version 11.31

  - Added read support for FITS images
  - Another try at removing spaces from some DICOM values (github #10 and #12)

Mar. 6, 2019 - Version 11.30 (production release)

  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Decode streaming metadata from TomTom Bandit Action Cam MP4 videos
  - Decode Reconyx HF2 PRO maker notes
  - Decode ColorData for some new Canon models (thanks LibRaw)
  - Enhanced -geotag feature to set AmbientTemperature if available
  - Remove non-significant spaces from some DICOM values (github #10 and #12)
  - Fixed possible "'x' outside of string" error when reading corrupted EXIF
  - Fixed incorrect write group for GeoTIFF tags added in version 11.24

Feb. 28, 2019 - Version 11.29

  - Added support for Ricoh GR III maker notes
  - Added a new Canon LensType (thanks Claude Jolicoeur)
  - Added a new XMP-crs tag (github #8)
  - Enhanced -csv option to output base64-encoded binary data when combined with
    -b or when the -charset option is used and the text has invalid characters
    (github #11)
  - Remove trailing space from even-length DICOM values (github #9)
  - Patched to avoid "Hexadecimal number > 0xffffffff non-portable" warning
    (github #6)
  - Fixed meta charset attribute in -htmlDump output

Feb. 21, 2019 - Version 11.28

  - Added support for reading INSV video and decode streaming GPS
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a new FujiFilm ImageStabilization value
  - Allow exiftool to be run via a symbolic link on Mac/Linux
  - Reverted INDD patch of version 11.27 (ie. raise error again on incorrectly
    terminated INDD object list)
  - Changed handling of temporary documentation file in Windows version

Feb. 14, 2019 - Version 11.27

  - Added support for more XMP-dji-drone tags
  - Added new Olympus CameraType and LensType values (thanks LibRaw)
  - Added a new Canon LensType (thanks LibRaw)
  - Added a new CanonModelID
  - Decode yet another type of GPS from DashCam videos
  - Allow FileName to be written when only case is changed on case-insensitive
    filesystems
  - Improved identification of some iWork file types
  - Recognize the LRV file extension
  - Changed Windows version to use the parent folder of PAR_GLOBAL_TEMP for the
    temporary documentation file
  - Don't raise an error if an INDD object list is terminated by spaces instead
    of nulls
  - Fixed some problems with new -htmldump IFD highlighting feature
  - Fixed bug introduced in 11.24 with "-o -.EXT" feature

Jan. 21, 2019 - Version 11.26

  - Added a new Nikon LensID (thanks LibRaw)
  - Decode more tags for the Sony ILCE-6400 (thanks Jos Roost and LibRaw)
  - Enhanced -htmldump feature to highlight IFD when mousing over IFD offset

Jan. 15, 2019 - Version 11.25

  - Added a new Sony/Minolta LensType (thanks LibRaw)
  - Added a new Nikon LensID
  - Decode Leica D-Lux7 maker notes
  - Decode more Nikon AF tags for newer models
  - Decode Samsung Type2 maker notes with lower case Make
  - Decode another Sony tag (thanks Jos Roost)
  - Improved decoding of Nikon LensType
  - Improved time shift feature to fix some incorrectly formatted date/time
    values
  - Renamed some Sony ImageCount tags to ShutterCount (thanks Jos Roost)
  - Fixed problem reading back metadata written to some odd PDF files

Jan. 8, 2019 - Version 11.24

  - Compatibility Notice: Changed the meaning of '-' and '+' modifiers for %C
    formatting code (does not affect lower-case %c code)
  - Decode a number of new Nikon tags (thanks Michael Tapes for samples)
  - Added new Olympus FlashType and FlashModel values (thanks Per)
  - Added a new Canon LensType
  - Added a new Nikon LensID
  - Made more GeoTIFF tags writable
  - Handle XMP rdf:value when reading
  - Improved warning when trying to read a file with a zero-length name
  - Fixed decoding of PictureControl tags for Nikon Z-7
  - Fixed problem writing date/time values with " DST" designator at end of
    date/time string
  - Fixed problem in Windows which could cause ExifTool to abort due to a
    Win32::FindFile error if a file name contained surrogate Unicode characters

Dec. 21, 2018 - Version 11.23

  - Recognize DWG and DWF files
  - Minor improvement to some -validate warnings
  - Tolerate leading UTF-8 byte order mark (BOM) at start of JSON files
  - Fixed problem recognizing some streaming camm metadata in QuickTime videos

Dec. 13, 2018 - Version 11.22

  - Added read support for PC Paintbrush (PCX) files
  - Added two new Sony/Minolta LensTypes (thanks Jos Roost and LibRaw)
  - Decode LensData tags for some newer Nikon models
  - Decode ColorData for the Canon EOS R (thanks LibRaw)
  - Recognize DCX files

Dec. 7, 2018 - Version 11.21

  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Added a new Olympus FlashModel (thanks Michael Meissner)
  - Improved decoding of FujiFilm InternalSerialNumber (thanks LibRaw)
  - Minor improvements to decoding of GPS from some dashcam videos
  - Made XMP-getty:Personality a List-type tag
  - Made it an error to use the -o option or write FileName or Directory tags
    when using the TestName dry-run feature
  - Fixed problem using -E with other character sets when writing

Nov. 20, 2018 - Version 11.20

  - Added a new Panasonic WhiteBalance value
  - Added a new Nikon LensID (thanks LibRaw)
  - Decode streaming GPS from MOV videos for another dashcam model
  - Improved -E option to support character sets other than UTF-8

Nov. 14, 2018 - Version 11.19

  - Added -fast4 option
  - Enhanced -if option to allow arbitrary Perl expressions instead of just
    logic expressions
  - API Changes:
      - Enhanced FastScan option to add a setting of 4

Nov. 12, 2018 - Version 11.18

  - Decode a new Nikon tag (thanks Richard Butler)
  - Decode a new FujiFilm tag
  - Updated decoding of Sony maker notes for newer models (thanks Jos Roost)
  - Enhanced -if option to allow fast processing pass to evaluate the condition
  - Improved warning for unknown JPEG APP segment

Nov. 4, 2018 - Version 11.17

  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added a new Sony/Minolta LensType and a new SonyModelID (thanks LibRaw)
  - Decode GPS from Garmin Dashcam videos
  - Changed type of J2C files from a JPEG 2000 image to a JPEG 2000 codestream

Oct. 26, 2018 - Version 11.16

  - Decode FLIR GPS information
  - Decode 3D image from RED Hydrogen smartphone
  - Minor improvements to decoding of new FujiFilm tags
  - Fixed problem where writing Shortcut tags with the -E option would double
    unescape the HTML entities

Oct. 25, 2018 - Version 11.15

  - Added a couple of new Canon LensType values (thanks LibRaw and Andrew Shieh)
  - Added a new Nikon LensID
  - Added definitions for a few more VCard tags
  - Added a new FujiFilm ShutterType value
  - Decode some new FujiFilm tags (thanks Richard Butler)
  - Store XMP GPS coordinates with two extra digits of precision and trim
    trailing zeros
  - Improved technique for handling rounding errors in times and GPS seconds
  - Removed "Undersized IFD0 StripByteCounts" minor warning when writing ORF
    files since this is a "feature" of most Olympus models
  - Warn about undefined EXIF values with -validate option
  - Changed the way Mask-ed values are decoded (do bit shift automatically)
  - Changed FujiFilm HighISONoiseReduction tag to just "NoiseReduction", and
    avoid extracting historic NoiseReduction tag if value is "n/a"
  - Fixed potential problem reading GeoTiff tags with multiple SHORT values
  - API Changes:
      - Added GeoSpeedRef option

Oct. 16, 2018 - Version 11.14

  - Added more TIFF Compression values
  - Added more AIFF CompressionType values
  - Added more Nikon NEFCompression values (thanks LibRaw)
  - Added a new Canon RecordMode
  - Decode some new Canon custom functions
  - Patched "Invalid VignettingCorrUnknown2 data" warning for EOS R CR3 images
  - Fixed bug were any argument beginning with "-progress" on the command line
    was interpreted as the -progress option

Oct. 9, 2018 - Version 11.13

  - Decode GPS from Nextbase 512G dashcam MOV videos (different than 512GW)
  - Added a new Canon LensType (thanks LibRaw)
  - Minor improvements to verbose dump of streaming GPS metadata
  - Reverted change of version 10.71 which resulted in Windows not recognizing
    PNG CreationTime as written by ExifTool (added this feature to the API
    StrictDate option instead)
  - Improved decoding of Nikon CropHiSpeed (thanks LibRaw)
  - Improved -fast option to reduce memory usage when reading JPG, PNG,
    QuickTime-based and RIFF-based files via a sequential stream
  - Fixed DOF calculation to use ApproximateFocusDistance if available
  - API Changes:
      - Enhanced StrictDate option to reformat PNG CreateTime according to PNG
        specification

Oct. 2, 2018 - Version 11.12

  - Added a new Sony/Minolta LensType (thanks LibRaw and Jos Roost)
  - Added a new Nikon LensID
  - Decode a few new Sony SRF2 tags (thanks LibRaw)
  - Decode GPS from Nextbase 512GW dashcam MOV videos
  - Validate MS-DOC FIB before extracting contained tags
  - Fixed bug extracting GPSSpeed for some dashcam models

Sept. 27, 2018 - Version 11.11 (production release)

  - Added ARQ to the list of supported file types
  - Added support for GIMP XCF version 4 and later
  - Added a new QuickTime HandlerType value
  - Added read support for Apple AAE files
  - Added a new CanonModelID and some new Canon LensType values (thanks LibRaw)
  - Added a number of new Nikon LensID values (thanks Robert Rottmerhusen)
  - Added a new Sony/Minolta LensType (thanks LibRaw)
  - Decode more Sony IDC tags (thanks Jos Roost)
  - Decode some new Panasonic tags (thanks Klaus Homeister)
  - Decode more tags from Nikon MOV videos
  - Decode a new Nikon tag (thanks LibRaw)
  - Decode a large number of new Kodak IFD tags (thanks Jim McGarvey)
  - Decode streaming GPS from videos of more dashcam and drone models
  - Decode more tags from Microsoft Word DOC files
  - Updated arg_files/iptcCore.args for IPTC Extension version 1.4
  - Patched to read corrupted MakN data written by buggy Adobe Camera Raw
  - Downgraded "Undersized StripByteCounts" error for some RAW file types
  - Fixed incorrect decoding of embedded GPS in Rexing V1P dashcam videos
  - Fixed incorrect format for DNGPrivateData
  - Fixed potential error when deleting maker notes from some images
  - Fixed problem decoding Apple PLIST information from some files
  - Fixed bug in Windows with CR/LF sequences in list values of the -X output
  - Fixed some inconsistencies in detecting file name conflicts when writing the
    TestName tag

Aug. 17, 2018 - Version 11.10

  - Added support for Canon 1DX firmware 2.1.0
  - Added a new Canon LensType (thanks LibRaw)
  - Added a new Nikon LensID (thanks LibRaw)
  - Added a new CanonModelID
  - Decode more tags for newer Sony DSC models (thanks Jos Roost)
  - Decode some new SonyIDC tags (thanks Jos Roost)
  - Decode a number of new Panasonic tags (thanks Klaus Homeister)
  - Improved validation of XMP namespaces
  - Changed "File not found" messages to "Error: File not found"
  - Fixed problem editing tags in Canon DR4 directory

Aug. 13, 2018 - Version 11.09

  - Added new Pentax and Canon LensType values
  - Decode Google Camera Motion metadata from MP4 videos
  - Decode more PanasonicRaw tags (thanks Klaus Homeister)
  - Removed warning when multiple Word document LastSavedBy tags exist and the
    Duplicates option wasn't enabled (added Note in tag name docs instead)

Aug. 1, 2018 - Version 11.08

  - Decode more tags from Microsoft Word documents, including LastSavedBy
  - Decode image file characteristics from Windows EXE files
  - Decode more PanasonicRaw tags (thanks Klaus Homeister)
  - Changed names of new Samsung trailer tags
  - Fixed potential problems converting C-style escaped strings
  - Fixed new "#[CSTR]" feature to work with -stay_open option

July 27, 2018 - Version 11.07

  - Added "#[CSTR]" feature to -@ argfile
  - Added some new Sony LensType values (thanks Jos Roost)
  - Decode more tags from Samsung trailer
  - Decode an undocumented DNG tag
  - Decode some new Panasonic tags (thanks Klaus Homeister)
  - Improved/fixed a few Validate warnings
  - Made MakerNote "Bad SubDirectory start" warnings minor
  - Fixed NoDups() function to work with special characters as list separators

July 6, 2018 - Version 11.06

  - Fixed "undefined value" bug when reading ImageSourceData from a JPEG file

July 5, 2018 - Version 11.05

  - Added a number of new Nikon LensID's (thanks Robert Rottmerhusen)
  - Fixed out-of-memory problem when writing some large TIFF images in Windows

July 4, 2018 - Version 11.04

  - Added a check on TIFF image data size when writing or using Validate option
  - Added a few new Sony lenses (thanks LibRaw)
  - Added a new Nikon LensType
  - Improved validation of XMP with Validate option
  - Drop PhaseOne tags larger than 8 kB when copying PhaseOne maker notes to
    another file
  - Fixed out-of-memory problem when reading some large TIFF images in Windows

June 21, 2018 - Version 11.03

  - Added support for new Exif 2.31 for XMP tags
  - Added support for another FujiFilm X-T1 firmware version
  - Decode more Panasonic tags (thanks Klaus Homeister)

June 13, 2018 - Version 11.02

  - Added support for a different format of Apple iWorks files
  - Added undocumented API FixCorruptedMOV option to allow fixing MOV videos
    with multiple 'mdat' atoms which were corrupted by ExifTool
  - Decode more QuickTime tags
  - Decode more PanasonicRaw tags (thanks Klaus Homeister)
  - Improved decoding of makernotes in ARW images from Hasselblad cameras
    (thanks LibRaw)
  - Fixed some problems writing multi-segment EXIF in JPEG images

June 11, 2018 - Version 11.01 (production release)

  - Added a new ProfileCMMType (thanks Neal Krawetz)
  - Added a Validate warning about non-standard EXIF or XMP in PNG images
  - Added a new Canon LensType
  - Decode a couple more PanasonicRaw tags (thanks Klaus Homeister)
  - Patched to avoid adding tags to QuickTime videos with multiple 'mdat' atoms
    --> avoids potential corruption of these videos!

June 7, 2018 - Version 11.00 (production release)

  - Added read support for WTV and DVR-MS videos
  - Added print conversions for some ASF date/time tags
  - Added a new SonyModelID (thanks LibRaw)
  - Decode a new PanasonicRaw tag (thanks Klaus Homeister)
  - Decode some new Sony RX100 VI tags (thanks LibRaw and Jos Roost)
  - Made Padding and OffsetSchema tags "unsafe" so they aren't copied by default

May 29, 2018 - Version 10.99

  - Decode layer information from Photoshop ImageSourceData in TIFF images
  - Updated to the IPTC video metadata 1.2 specification
  - Patched DateFmt() utility function to apply GlobalTimeShift if used
  - Improved error message when trying to write a file with a wrong extension
  - Fixed unnecessary warning when setting FileCreateDate in Windows

May 22, 2018 - Version 10.98

  - Added additional Validate checks for JPEG thumbnail tags
  - Added a new Canon LensType (thanks LibRaw)
  - Decode a number of new Nikon ColorBalance tags (thanks LibRaw)
  - Disable extraction of Nikon D850 PhotoShootingMenuBank from NEF images
    (apparently not valid in this type of file)
  - Fixed problem with writable user-defined Composite tags introduced in 10.16
  - Fixed unnecessary Validate warning about missing GPSVersionID
  - Fixed incorrect "wrong IFD" Validate warnings in CR3 images

May 17, 2018 - Version 10.97 - "Multi-segment EXIF"

  - Added read/write support for multi-segment EXIF in JPEG images
  - Added a number of new Canon LensType values (thanks LibRaw)
  - Added support for Panasonic DC-FT7 makernotes and metadata in MP4 videos
  - Decode a number of new Nikon WB tags (thanks LibRaw)
  - Improved warning message when attempting to write to an invalid tag name
  - Enhanced Validate feature to perform more tests on TIFF and JPEG images
    [The Validate feature is no longer considered experimental]

May 9, 2018 - Version 10.96

  - Added a new Sony LensType (thanks Jos Roost)
  - Added a few new Panasonic lenses (thanks LibRaw)
  - Added Composite tags for GPSDestLatitudeRef and GPSDestLongitudeRef
  - Decode maker notes from Kodak PixPro AZ901
  - Extract Preview images from iWork files
  - Improved identification of Apple iWork files
  - Fixed arg_files to handle GPS destination reference directions

May 4, 2018 - Version 10.95

  - Added new Nikon LensID's (thanks Warren Hatch, LibRaw and Jami Bradley)
  - Added a new Sony LensType (thanks Jos Roost)
  - Decode a new Samsung tag (thanks LibRaw)
  - Decode Photoshop Lr16 layer information
  - Decode more Leica tags (thanks LibRaw)
  - Updated DarwinCore tags to current specification
  - Improved validation of JPEG files
  - Disabled writing of buggy Samsung EK-GN120 SRW files
  - Fixed conversion for Nikon D850 ExposureDelayMode (thanks Jami Bradley)
  - Fixed "x outside string" error when reading a truncated zip file
  - Fixed "uninitialized value" error when writing a corrupted JPEG image

Apr. 19, 2018 - Version 10.94

  - Added read/write support for Canon CRM files
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new CanonModelID
  - Decode a new Samsung tag (thanks LibRaw)
  - Fixed AIColorModel conversion

Apr. 13, 2018 - Version 10.93

  - Added a new Canon Quality value (thanks Norbert Wasser)
  - Added a new Pentax Quality value (thanks LibRaw)
  - Decode some new Sony ARW tags (thanks Jos Roost)
  - Decode some AI-specific tags from PDF and PostScript files
  - Decode a new QuickTime tag
  - Enhanced -geotag option to support NMEA from GLONASS and other systems
  - Fixed bug decoding seconds of ZIP file timestamps (thanks Lars Wallenborn)

Apr. 19, 2018 - Version 10.92

  - Decode GPS from videos of more camera models
  - Tolerate white space before header in PDF files

Apr. 9, 2018 - Version 10.91

  - Added read/write support for MacOS FileCreateDate (writing this is the same
    as MDItemFSCreationDate, but reading uses a different mechanism which
    doesn't have the delayed-update issue of MDItemFSCreationDate)
  - Added ability to write MacOS MDItemUserTags (requires "tag" utility)
  - Decode a new Sony tag (thanks LibRaw)
  - Properly un-escape quotes in extracted MacOS MDItem values
  - Fixed another subtle order-of-operations anomaly
  - API Changes:
      - Enhanced GetValue() to accept a tag name with group prefix(es)

Apr. 5, 2018 - Version 10.90

  - Improved decoding of Sony PictureProfile (thanks Jos Roost)
  - Fixed problem introduced in 10.61 with order of command-line operations when
    mixing copied values with assigned values

Apr. 2, 2018 - Version 10.89

  - Added ability to rotate MP4/MOV videos by writing Rotation angle
  - Added two new Sony PictureProfile values (thanks Albert Shan)
  - Decode more Nikon tags
  - Updated some values of the QuickTime MediaType tag

Mar. 27, 2018 - Version 10.88

  - Added example config file (dji.config) to generate Composite GPS and other
    tags from Text metadata embedded in DJI drone videos
  - Added a new PentaxModelID
  - Documented new advanced-formatting "@" feature which has existed since
    version 10.53 but not fully functional until 10.87
  - Decode a new Sony tag (thanks LibRaw)
  - User-defined Composite tags now show up in the -list output
  - Improved speed for generating Composite SubDoc tags with -ee option
  - Fixed problem creating writable UserDefined Composite tags
  - Fixed an incorrect PRISM tag name

Mar. 20, 2018 - Version 10.87

  - Added a new FujiFilm ShutterType value (thanks Albert Shan)
  - Decode more timed metadata from CR3 images
  - Decode Samsung DualShot depth map
  - Decode a new Canon tag
  - Improved decoding of some Canon color information (thanks LibRaw)
  - Fixed print conversion of ID3v2 Genre values with multiple genres

Mar. 15, 2018 - Version 10.86

  - Decode timed GPS and accelerometer data from BikeBro AVI videos
  - Decode a new Sony tag and add a new value to another tag (thanks Jos Roost)
  - Decode GPSAltitude from some videos with the -ee option
  - Decode some new tags from Kodak PixPro 4KVR360 JPEG images and MP4 videos
  - Decode GPS information from CR3 images
  - Fixed unnecessary warnings when Validate option used on CR3 images

Mar. 14, 2018 - Version 10.85

  - Decode GPSTrack from MOV videos of more dashcam models
  - Decode a few new CanonVRD tags for DPP 4.8.20
  - Decode a new Sony tag (thanks Jos Roost)
  - Decode a few more Canon tags (thanks LibRaw)
  - Improved processing speed when using the -ee option on some video files
  - Fixed incorrect names for a couple of CanonVRD HSL tags
  - Fixed problem where UTF-8 validation missed some invalid sequences
  - Fixed bug introduced in 10.84 with GPSPosition when -n option is used

Mar. 12, 2018 - Version 10.84

  - Decode GPS from MOV videos of more dashcam models with -ee option
  - Decode a new Sony tag (thanks Jos Roost)
  - Convert GPS speeds extracted from MOV videos with the -ee option to km/h
  - Avoid converting empty GPS coordinates to 0.000000
  - Fixed some bugs extracting Novatek GPS from MP4 videos

Mar. 7, 2018 - Version 10.83

  - Added read support for Sketch design files
  - Added Light LRI files to the list of recognized file types
  - Added a new Canon LensType (thanks LibRaw)
  - Decode a couple of new Sony tags (thanks Jos Roost)
  - Extract JpgFromRaw image from CR3 images
  - Improved warning message when attempting to write a tag in a specific group
    that isn't writable
  - Changed group name of JSON tags from "File" to "JSON"
  - Fixed some incorrect offsets in -v3 output for CR3 images

Mar. 1, 2018 - Version 10.82

  - Added support for Canon's new CR3 raw file format
  - Added a few new CanonModelID/SonyModelID values (thanks LibRaw)
  - Added support for the Sony ILCE-7M3 (thanks Jos Roost)
  - Decode timed GPS information from Insta360 MP4 videos with the -ee option
  - Write XMP before mdat in MOV/MP4/CR3 files if possible
  - Fixed "'x' outside of string" runtime error when reading some Sony images
  - Fixed problem with some hex dumps going to the console when -v3 was combined
    with the -w option

Feb. 26, 2018 - Version 10.81

  - Added new values for a few Panasonic tags (thanks Bernd-Michael Kemper)
  - Added a new Canon, Olympus and Sony LensTypes (thanks LibRaw)
  - Added a new PanasonicRaw Compression type (thanks LibRaw)
  - Added definitions for a number of new MacOS tags
  - Decode CameraInfo for Canon 5DmkIII firmware 1.3.5
  - Removed INX from list of writable files (-listwf option output)
  - Fixed problem introduced in version 10.16 that could cause a "Can't create"
    error when using the -o option to write certain types of files
  - Fixed problem introduced in version 10.34 resulting in a "Can't delete all
    meta information" error when writing .PS files

Feb. 22, 2018 - Version 10.80 (production release)

  - Added read/write support for Reconyx UltraFire maker notes
  - Added a new Sony/Minolta lens (thanks Jos Roost)
  - Decode a new PanasonicRaw tag (thanks LibRaw)
  - Extract ImageWidth/Height for main image of an HEIC file
  - Internal changes:
      - Changed TimeNow() make ExifTool object optional

Feb. 11, 2018 - Version 10.79

  - Added a new Olympus CameraType (thanks LibRaw)
  - Added a new XMP-microsoft tag (thanks Jose Oliver-Didier)
  - Decode a new GoPro QuickTime tag
  - Convert nulls IPTC:DocumentHistory to newlines
  - Removed all null terminators from JSON and PHP output
  - Fixed writing of GPSDateStamp and GPSTimeStamp to be able to set to "now"
  - Internal changes:
      - Changed TimeNow() to require ExifTool object as first argument

Jan. 31, 2018 - Version 10.78

  - Added a few new values for some Olympus tags (thanks John)
  - Decode GoPro APP6 metadata in JPEG images and more GoPro MP4 tags
  - Decode more Red tags, and improved decoding of others
  - Decode face detection information from timed metadata with the -ee option
  - Fixed problem writing shorthand XMP containing CDATA sections
  - Fixed problem copying XMP-acdsee:Snapshots
  - Fixed decoding of a few Panasonic RAW tags (thanks Klaus Homeister)

Jan. 26, 2018 - Version 10.77

  - Added read support for Redcode R3D RAW videos
  - Enhanced -sep option to specify separator and terminator for binary output
  - Removed null terminator from JSON output of ICC_Profile:CharTarget
  - Improved error messages to help diagnosing some types of corrupted files
  - Return an exit status of 2 instead of 1 if all files fail the -if condition
  - Fixed decoding of QuickTime chapter names
  - Fixed incorrect MimeType for RMD files
  - Fixed problem where exit status of 1 was returned when writing with a -if
    condition if any of the files failed the condition

Jan. 22, 2018 - Version 10.76

  - Added ability to write shorthand XMP with the -z option
  - Added write support for Google XMP GFocus tags
  - Improved decoding of GoPro timed metadata
  - Renamed ASF PlayDuration to Duration
  - Fixed problem where fractional seconds were ignored when geotagging from an
    NMEA track log with no date stamps
  - Fixed runtime warning when reading XMP with an empty structure in a list
  - API Changes:
      - Added XMPShorthand option
      - Enhanced Compact option so a setting of 2 avoids XMP indentation

Jan. 12, 2018 - Version 10.75

  - Added another Sony/Minolta lens (thanks Jos Roost)
  - Decode more QuickTime tags
  - Decode a number of new tags from GoPro Hero6 MP4 videos
  - Enhanded "Unknown file type" error to indicate if "File is empty" or "File
    header is all binary zeros"
  - Improved decoding of some Sony tags (thanks Jos Roost)
  - Improved decoding of QuickTime timed metadata
  - Marked ArtworkCircaDateCreated as "unsafe" for writing to avoid it being
    added when attempting to shift all date/time tags
  - Fixed bug which could cause runtime error when reading some old Sony maker
    notes (thanks Tamas Lovag)

Jan. 8, 2018 - Version 10.74

  - Added a new Sony/Minolta lens (thanks Jos Roost)
  - Added print conversion for ICC_Profile DeviceManufacturer and ProfileCreator
  - Added informational warning when the ExtractEmbedded option may be useful
  - Improved experimental Validate feature for RAW files
  - Fixed bug in experimental Validate feature that could cause out-of-memory
    error when combined with "-use mwg"

Jan. 5, 2018 - Version 10.73

  - Added read/write support for GoPro RAW (GPR) files
  - Added a new Sony/Minolta lens (thanks Sylvain)
  - Improved conversions for GPS tags extracted from video streams

Jan. 4, 2018 - Version 10.72

  - Added IF feature to -p option
  - Decode streamed GPS position and other streamed metadata from MP4 videos
    when the -ee option is used
  - Fixed problem geotagging GPSAltitude from some GPX files

Jan. 2, 2018 - Version 10.71

  - Decode some more ICC_Profile tags (thanks Eef Vreeland)
  - Decode MechanicalShutterCount for Nikon D850 (thanks Xavier Jubier)
  - Convert PNG:CreationTime values to/from standard date format
  - Fixed problem loading default config file from application directory
  - Fixed problem reading XMP where a namespace is defined after an attribute
    which uses the namespace

Dec. 27, 2017 - Version 10.70

  - Search application directory for -config file
  - Improved robustness of JSON import
  - Enhancements to experimental Validate feature
  - Fixed bug introduced in 10.69 which could result in hang when writing
    multi-segment JPEG metadata

Dec. 18, 2017 - Version 10.69

  - Added "OK" UserParam for use in -if conditions
  - Allow writing an empty JPEG Comment
  - Check for proper location of Photoshop metadata with -validate or -use mwg
  - Exit status now set to 1 if command was aborted due to invalid arguments
  - Translate "UTF8" to appropriate escape sequence when writing
    IPTC:CodedCharacterSet with the -n option
  - Improved "Not a valid TIFF" error message to be more specific about the file
    type for TIFF-based formats
  - Fixed problem parsing Honeywell PTNTHPR NMEA sentences from some GPS devices

Dec. 5, 2017 - Version 10.68

  - Added ability to set tag values and API options to an empty string using
    "^=" on the command line
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new Nikon LensID
  - Decode more tags from some newer Leica models
  - Decode a new Apple tag
  - Fixed indeterminate order of extracted XMP structures

Nov. 16, 2017 - Version 10.67

  - Fixed problem introduced in 10.66 with -execute not returning the command
    number in the "{ready}" message when -stay_open was used
  - API Changes:
      - Added TimeZone option

Nov. 14, 2017 - Version 10.66

  - Added a new Canon LensType (thanks Norbert Wasser)
  - Updated en-ca and en-gb language translations
  - Minor format change to experimental Validate feature return value
  - Prevent JFIF from being added to a JPEG containing Adobe APP14
  - Changed a number of Canon LensType strings to add "USM" to L model names
  - Patched for compatibility with Time::Piece version 1.29_04 and later, and
    improved error handling when writing formatted date/time values
  - Fixed bug in Composite MWG CreateDate and DateTimeOriginal tags which could
    cause existing tags to be hidden when not using the -a option
  - Fixed problem using '#' suffix not properly fixed in 10.65
  - Fixed problem decoding Nikon D810 MultiExposure tags

Oct. 31, 2017 - Version 10.65

  - Added support for DOSLatinUS (cp437) and DOSLatin1 (cp850) character sets
  - Added Extra ForceWrite tag for forcing metadata in a file to be rewritten
  - Added write support for RAF images from some newer FujiFilm models
  - Added a new SonyModelID, Sony LensType and Olympus LensTypes (thanks LibRaw)
  - Added a new Pentax LensType
  - Added a new Nikon LensID
  - Decode more Sony tags for new models (thanks Jos Roost)
  - Decode Nikon D850 ShotInfo tags and custom settings (thanks Warren Hatch)
  - Decode Nikon D850 ColorTemperatureAuto (thanks LibRaw)
  - Decode Photoshop LayerModifyDates and LayerIDs
  - Improved decoding of Nikon D5/D500/D810 ShotInfo tags
  - Allow advanced formatting expressions to return a list reference
  - Fixed problem in Composite:GPSAltitude when derived from an "undef" altitude
  - Fixed bug which could result in runtime warning when excluding some tags
    from being extracted

Oct. 17, 2017 - Version 10.64

  - Added a new Nikon LensID
  - Added a new SonyModelID
  - Added a new CanonModelID (thanks LibRaw)
  - Added some new non-standard CustomRendered values
  - Decode FrameRate from FLIR SEQ files (thanks Sebastian Hani)
  - Enhanced shift feature to be able to shift some not-so-simple numerical
    values (eg. GPSLatitude) with -TAG+=VALUE syntax
  - Fixed problem with possible malformed UTF-8 when writing IPTC values that
    require truncation
  - Fixed incorrect Writable type for XMP-GSpherical:TimeStamp
  - Fixed incorrect family 2 group name for Nikon HDRInfo tags

Oct. 4, 2017 - Version 10.63

  - Added a number of new Canon LensTypes (thanks Norbert Wasser for some)
  - Added a new CanonModelID
  - Added a new Olympus CameraType
  - Decode MD5Signature in FLAC StreamInfo (thanks Tim Eliseo)
  - Improved decoding of HEIC/HEIF metadata
  - Removed useless write support for QuickTime date/time tags in HEIC/HEIF
    images
  - Fixed "Incorrect XMP stream length" problem when writing some INDD files

Sept. 28, 2017 - Version 10.62

  - Added preliminary support for HEIC/HEIF images
  - Added support for Google depthmap metadata (XMP-GDepth)
  - Added some new Sony/Minolta lenses (thanks LibRaw and Jos Roost)
  - Added a new CanonModelID (thanks Norbert Wasser)
  - Added a new Nikon LensID (thanks Michael Tapes)
  - Decode a new Sony tag (thanks Jos Roost)
  - Decode some new Nikon tags (thanks Warren Hatch)
  - Decode maker notes from Leica TL2
  - Enhanced ID3 -v2 output to show frame flags
  - Fixed problem decoding Nikon D810 camera tilt angles
  - Fixed problem where SphericalVideoXML metadata was deleted when writing XMP
    to a QuickTime-format file containing this information

Aug. 18, 2017 - Version 10.61

  - Added a new Canon LensType (thanks LibRaw)
  - Added a number of new Sigma, Nikon and Sony lenses (thanks Jos Roost)
  - Added a new Nikon LensID (thanks Yang You)
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode Panasonic FocusDistance (thanks David Ellsworth)
  - Updated to the IPTC video metadata 1.1 specification
  - Restored the ability to delete JpgFromRaw from RAW images (broken in 10.38)
  - Fixed problem decoding maker notes from Pentax K-70 AVI videos
  - Fixed problem conditionally replacing a tag if the value to be deleted was
    taken from another tag while the new value was assigned directly

July 21, 2017 - Version 10.60

  - Added two new Sony/Minolta LensTypes (thanks Jos Roost)
  - Added a new Pentax LensType (thanks Dieter Pearcey)
  - Added new Composite UniquePathPoints tag to photoshop_paths.config
  - Extract raw-data JFIF/JFXX thumbnails as ThumbnailTIFF
  - Improved Sony LensSpec conversion
  - Updated German translations (thanks Herbert Kauer)
  - Set family 1 group name of JFXX ThumbnailImage to JFXX instead of JFIF
  - Fixed problem with %C no longer incrementing properly

July 7, 2017 - Version 10.59

  - Added a new Canon LensType (thanks LibRaw)
  - Added a new Nikon LensID
  - Added "wrong extension" warning to experimental Validate feature
  - Decode Pentax maker notes in Q-S1 AVI videos
  - Updated iptc2exif.args and exif2iptc.args to support new EXIF OffsetTime
    tags (thanks Herb)
  - Patched potential problem with "Use of uninitialized value $pos" error when
    importing malformed JSON data
  - Patched to avoid runtime warning due to invalid Nikon ShutterCount value
  - Raise an error if -b is used with the -csv option
  - Changed PNG exIf chunk name to eXIf
  - Fixed bug introduced in 10.26 which could cause hang when %C is used in an
    output file name
  - Fixed MWG:DateTimeOriginal and MWG:CreateDate to return XMP when EXIF and
    IPTC don't exist

June 29, 2017 - Version 10.58

  - Added read support for RIFF-format MBWF/RF64 files
  - Added write support for dji-drone XMP tags
  - Added a new Canon LensType (thanks Steve Bates)
  - Added a few new Sony/Minolta LensType values (thanks Jos Roost)
  - Added a couple of new CanonModelID values (thanks LibRaw and Norbert Wasser)
  - Decode some new FujiFilm tags (thanks Chris Schucker)
  - Enhanced FileSize print conversion to show in "GB" for large files
  - Fixed "outside of string in unpack" errors when reading some corrupted
    EXE/ICC files
  - Fixed problem extracting GIF MIDISong metadata

June 20, 2017 - Version 10.57

  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added write support for PNG Collection tag
  - Added a few new CanonModelID values
  - Added some new Pentax ShakeReduction values
  - Removed ability to create PNG zxIf chunks
  - Documented -progress:%b feature (added in 10.26)
  - No longer report FileType, FileTypeExtension or MIMEType for JPEG/TIFF
    images with an unknown header
  - Relaxed case requirement for "SourceFile" header in CSV and JSON import
  - Fixed decoding of Pentax ExposureCompensation for newer Ricoh models
  - Fixed some incorrect "Wrong IFD" messages with experimental Validate feature
  - Fixed a couple of Sony/Minolta lens names (thanks Jos Roost)
  - Fixed "Error reading PreviewImage" warning for some Sony models

June 6, 2017 - Version 10.56

  - Removed ordering constraints between Geotag/Geosync and Geotime assignments
    on the command line
  - Removed debugging print statement left in photoshop_paths.config

June 5, 2017 - Version 10.55 (production release)

  - Added support for GIF multimedia extensions
  - Added a couple of new Sony/Minolta lenses (thanks Chris)
  - Added a new Nikon LensID (thanks Jakob Dettner)
  - Added new Composite TotalPathPoints tag to photoshop_paths.config
  - Decode a number of new Sony tags and updated some others (thanks Jos Roost)
  - Decode a new Pentax tag and fixed decoding of another (thanks Andras
    Salamon)
  - Updated iptcCore.args for new IPTC specification
  - Changed description of a couple of AVI Model tags to match EXIF
  - Patched tests to avoid failures with Perl 5.25.11 due to missing "." in @INC
  - Fixed an incorrect warning from the experimental Validate feature

May 26, 2017 - Version 10.54

  - Added support for Google XMP GImage and GAudio tags
  - Added a new Olympus CameraType (thanks LibRaw)
  - Added a two new Sony lenses and decode more ILCE-9 tags (thanks Jos Roost)
  - Added new values to some Pentax tags (thanks Andras Salamon)
  - Added a new Canon LensType
  - Added an additional checks to the experimental Validate feature
  - Improved user-defined FileTypes feature to provide more flexibility
  - Enhanced -ext option to allow specific files extensions to be processed
    along with supported files
  - API Changes:
      - Added ListJoin option to replace List and ListSep options

May 17, 2017 - Version 10.53

  - Added support for "MeSa" Photoshop IRB resource
  - Made XMP-GSpherical tags writable
  - Improved German translations (thanks Jobi)

May 12, 2017 - Version 10.52

  - Added some new values to a number of FujiFilm tags and changed some others
    (thanks Albert Shan)
  - Decode a number of new Sony tags for the ILCE-9 (thanks Jos Roost)
  - Made SonyISO writable
  - Changed behaviour of advanced formatting expression for Shortcut tags so it
    now applies to the combined value rather than individual constituent values
  - Minor changes to some Pentax print conversions
  - Fixed problem using new NoDups utility with Shortcut tags

May 2, 2017 - Version 10.51

  - Added "NoDups" utility function for use in advanced formatting expressions
  - Added a new Pentax LensType (thanks JohnK)
  - Added some new Pentax DriveMode values (thanks Andras Salamon)
  - Enhanced -ver option to report Perl include directories with -v2
  - Improved warning message when advanced formatting expression returns undef
  - Minor change to a few FujiFilm print conversion strings (thanks Albert Shan)
  - Changed behaviour when interpolating Shortcut tags in a string (the values
    are now separated according to the -sep option setting instead of simply
    being concatenated)
  - Patched to allow file times to be set on systems where futimes is not
    available

Apr. 20, 2017 - Version 10.50 (production release)

  - Decode a new Pentax tag (thanks Andras Salamon)
  - Improved decoding of Olympus DriveMode (thanks Herbert Kauer)
  - Improved handling of errors from utime when setting file times
  - Fixed potential hang problem when reading corrupted QuickTime metadata
  - Fixed problem deleting duplicate EXIF tags when writing other tags at the
    same time

Apr. 10, 2017 - Version 10.49

  - Added "DateFmt" utility function for use in advanced formatting expressions
  - Added a new Sony/Minolta LensType (thanks LibRaw)
  - Decode a new Panasonic tag
  - Fixed problem decoding Sony VariableLowPassFilter values (thanks Jos Roost)
  - Fixed problem setting XMP:About when creating new XMP in a file
  - Fixed an incorrect Pentax DriveMode value (thanks Andras Salamon)
  - API Changes
      - Allow access to the advanced formatting expression via a new ExifTool
        "FMT_EXPR" member variable

Apr. 3, 2017 - Version 10.48

  - Added some new FujiFlashMode values (thanks Albert Shan)
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a new Canon LensType (thanks LibRaw)
  - Added a new CanonModelID and minor changes to some others (thanks Dmitry)
  - Decode two Pentax tags and added a number of new values for other Pentax
    tags (thanks Andras Salamon)
  - Decode a new Sony tag (thanks Jos Roost)
  - Improvements to the experimental Validate feature
  - Fixed problem which could cause hang when reading bad PPT documents

Mar. 20, 2017 - Version 10.47

  - Added read support for JSON-format files
  - Added two new Sony/Minolta lenses (thanks Jos Roost)
  - Added a number of new Pentax tag values
  - Decode a new Canon CR2 tag (thanks Ed Hannon)
  - Decode WB information for Canon 800D (thanks LibRaw)
  - Improved config_files/photoshop_paths.config to indicate start of paths
  - Attempt to validate new file names in Windows before renaming images
  - Experimental Validate feature no longer warns about Windows XP tags
  - Fixed problem extracting layer information from very large PSD/PSB files

Mar. 8, 2017 - Version 10.46

  - Moved Mac System tags from the Extra table into a new MacOS group and added
    ability to extract them by requesting the MacOS group
  - Updated QuickTime GenreID list (thanks Francois Bonzon)
  - Fixed "Invalid xref" problem when reading some PDF files
  - Fixed error in Minolta lens list (thanks Jos Roost)
  - Fixed minor problem with -U option generating Unknown tags for some known
    bytes in variable-sized strings
  - API Changes:
      - Enhanced RequestTags option to allow groups to be requested

Mar. 2, 2017 - Version 10.45

  - Added ability to write a number of Mac OS X system tags (including the file
    creation date!)
  - Added ability to extract OS X extended attributes ("XAttr" tags)
  - API Changes:
      - Added XAttrTags option
      - Enhanced RequestAll option

Feb. 24, 2017 - Version 10.44

  - Added a few new CanonModelID values and a new Canon LensType
  - Added two new Nikon lenses (thanks Rolf Probst)
  - Added a few new Sony/Minolta lenses (thanks Jos Roost)
  - Added two new Sony MeteringMode values (thanks Jos Roost)
  - Improved verbose dump of Photoshop Layer information
  - Patched to allow "FileName encoding not specified" warnings to be avoided by
    setting -charset filename=""
  - Fixed problem in photoshop_paths.config printing some paths

Feb. 16, 2017 - Version 10.43

  - Restrict writing of EXIF:FlashEnergy to a single value as per EXIF spec
  - Reverted format change of Sony ImageCount tag
  - Changed PNG new eXIF/zXIF chunk names to "exIf" and "zxIf" until the
    proposed chunks are accepted (of course, while maintaining backward
    compatibility for reading/updating the other chunks)
  - Lowered priority of XMP-pdf:Keywords so it doesn't take precedence over
    PDF:Keywords when the Duplicates option is not used
  - Improved config_files/convert_regions.config to handle the case where the
    RegionInfoMP is missing a Rectangle

Feb. 10, 2017 - Version 10.42

  - Added ability to read/write PNG eXIF and zXIF chunks, and made these the
    place where new EXIF is created in PNG images (zXIF if the -z option is
    used, or eXIF otherwise)
  - Added ability to copy Photoshop OriginPathInfo with photoshop_paths.config
  - Made FileUserID and FileGroupID writable
  - Changed format for a Sony ImageCount tag
  - Improvements to experimental Validate feature
  - Fixed incorrect XMP swf namespace URI
  - Fixed problem using new -p section feature when combined with -w or -ee
  - Fixed formatting problem in -listx output when -lang option was used
  - Fixed problem where UserComment wasn't removed if found in IFD0 when writing
    it to the correct IFD

Feb. 1, 2017 - Version 10.41

  - Added an experimental metadata validation feature (invoked either by
    requesting the new Extra Validate tag or by setting the API Validate option)
  - Added support for PSDT file extension
  - Added age.config to the distribution
  - Added a new Sony lens (thanks Jos Roost)
  - Added a new PentaxModelID (thanks Louis Granboulan)
  - Enhanced -p option to allow files to be grouped in sections
  - Made makernote offset warning minor
  - Relaxed parsing of NMEA GGA sentence so comma after the geoid units is now
    optional
  - Patched problem extracting value of an unsafe binary tag with the -b option
    when specified using -TAG# instead of -TAG with -n
  - API Changes:
      - Added experimental Validate option

Jan. 14, 2017 - Version 10.40 (production release)

  - Fixed tests that were failing on some platforms

Jan. 13, 2017 - Version 10.39

  - Added Perl version and Unicode settings to -ver -v output
  - Added a new Sony LensType2 value
  - Added a new Canon LensType (thanks Norbert Wasser)
  - More improvements to sample time_zone.config file (thanks Hayo Baan)
  - Fixed problem with MWG date/time tags introduced in version 10.34
  - Fixed problem setting the value of a tag from a binary file when the
    PERL_UNICODE environment or the perl -C option is used to force UTF-8
    treatment of @ARGV elements

Jan. 5, 2017 - Version 10.38

  - Added a couple of new XMP-ics tags
  - Added a new Nikon LensID (thanks Ken Cochran)
  - Decode a couple more PhaseOne tags
  - Increased priority of Sony 0x0115 WhiteBalance when reading
  - Range check QuickTime date/time values when writing
  - Apply CharsetPhotoshop setting to decoding of Photoshop LayerNames
  - Improved identification of Nikon NRW images
  - Minor improvements to verbose dump of FLIR information
  - Improvements to sample time_zone.config file (thanks Hayo Baan)
  - Removed trailing null in -b output for GPSDateStamp
  - Changed "TAG is not supported" warning when writing to "TAG is not defined"
  - Changed groups of Composite Preview/Thumbnail/JpgFromRaw/etc images to match
    the tags from which they are derived
  - Changed description of Composite Nikon LensSpec tag to match the tag name
  - Fixed problems reading/writing PreviewImage from some DNG files

Dec. 19, 2016 - Version 10.37

  - Decode more information from BMP V4 and V5 images
  - Added a few new FujiFlashMode values (thanks Albert Shan)
  - Changed -geotime default to use unconverted value of DateTimeOriginal
  - Changed a couple of Sony Voigtlander LensType strings (thanks Jos Roost)
  - Warn about invalid tag names used on the command line
  - Generate default-language version of QuickTime tags even if the same-named
    tag already exists in another group
  - Fixed bug reading some Photoshop layer information
  - Fixed problems in sample config file time_zone.config (thanks Hayo Baan)

Nov. 24, 2016 - Version 10.36 (production release)

  - Added 3D Studio MAX files to the list of supported file types
  - Decode more Sony tags (thanks Jos Roost)
  - Decode a couple more FlashPix tags
  - Minor changes to some of the new IPTC Extension tags
  - Fixed problem reading some FlashPix (Windows Compound Binary Format) files

Nov. 21, 2016 - Version 10.35

  - Fixed bug in Windows version introduced in 10.32 which could cause ExifTool
    to exit with an error if the -lang option was used

Nov. 21, 2016 - Version 10.34

  - Added support for new IPTC Extension version 1.3 + video metadata XMP tags
  - Added missing print conversion for PreviewDateTime
  - Decode a few new FujiFilm tags (thanks Zilvinas Brobliauskas)
  - Enhanced MWG date/time tags to support new EXIF time offsets
  - Patched loophole in WriteMode which would allow creation of new metadata
    files when creation of new groups was disallowed
  - Fixed problem where some EXIF date/time tags may not shifted when shifting
    all date/time tags with "-time:all-=VAL" for ExifTool version 10.28-10.33 or
    when the MWG feature was used

Nov. 11, 2016 - Version 10.33

  - Windows EXE version is 32-bit again, and packaged with Perl 5.24.0
  - Fixed encoding problem with EXIF:Copyright when writing MWG tags using an
    alternate EXIF charset

Nov. 9, 2016 - Version 10.32

  - WARNING: The Windows EXE version for this release is 64-bit (and packaged
    with Perl 5.22.2 instead of 5.24.0)
  - Time::Piece may now be used as an alternative to POSIX::strptime for parsing
    date/time values when writing, and is included in the Windows package
  - Added a number of new XMP tags (thanks StarGeek)
  - Added support for a few new Sony cameras (thanks Jos Roost)
  - Added new Nikon LensID (thanks Tanel)
  - Decode a new Nikon tag (thanks Warren Hatch)
  - Decode FLIF encoding type
  - Decode a new Samsung tag (thanks Klaus Homeister)
  - Ignore -filter option for a tag if it returns an undefined value

Oct. 19, 2016 - Version 10.31

  - Added write support for FLIF images
  - Added support for animated PNG images
  - Added a few new SamsungModelID values
  - Added a new Canon LensType
  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Decode more Samsung tags (thanks Klaus Homeister and Sreerag Raghavan)
  - Decode more Nikon tags (thanks Warren Hatch)
  - Changed "TAG does not exist" warning when writing to "TAG is not supported"
  - Fixed problem importing information from CSV or JSON databases for files
    with special characters in their name

Oct. 13, 2016 - Version 10.30

  - Added read support for FLIF images
  - Added a couple of new Minolta/Sony LensType values (thanks Jos Roost)
  - Added a new SonyModelID (thanks LibRaw and Jos Roost)
  - Added a new digiKam XMP tag
  - Decode a new Apple tag (thanks Neal Krawetz)
  - Decode a few new FujiFilm tags (thanks Chris Schucker)
  - Decode more Nikon D5 custom settings (thanks Warren Hatch)
  - Decode a couple more Samsung tags (thanks Klaus Homeister)
  - Improved decoding of Nikon D500/D5 ShotInfo information
  - Enhanced -ver option to output system information when -v is added
  - Minor change to parsing of -@ argfile (comment lines may may no longer have
    spaces before the "#")
  - Patched Jpeg2000 reader to read bad UUID-EXIF boxes
  - Lowered priority of unknown XMP tags when reading
  - Fixed problem in new xmp2exif.args date/time arguments introduced in 10.28
  - Fixed potential "Use of uninitialized value" warning when decoding
    compressed PNG iTXt chunk

Oct. 5, 2016 - Version 10.29

  - Added a couple of new Sony LensType values (thanks LibRaw)
  - Decode a few new Sony tags
  - Decode a few new FLIR tags
  - Decode some new Nikon D5 tags (thanks Warren Hatch)
  - Decode a new Apple tag
  - Enhanced -geotag option to allow tagging from KML placemarks with a TimeSpan
  - Enhanced -d option (and API DateFormat option) to perform inverse date/time
    conversion when writing if the POSIX::strptime module is available.  If
    POSIX::strptime is not available then the behaviour is like older versions
    (ie. the date/time is not converted) unless the API StrictDate option is set
    in which case a warning is issued and the tag is not written

Sept. 27, 2016 - Version 10.28 - "Exif 2.31"

  - Added support for new Exif 2.31 tags
  - Added some new Canon LensType values (thanks Norbert Wasser for one)
  - Added a new Olympus LensType (thanks LibRaw and Niels Kristian Bech Jensen)
  - Added a new Sony LensType and SonyModelID (thanks Jos Roost)
  - Added a new Pentax LensType
  - Added fotoware.config and bibble.config files to the distribution
  - Made Composite SubSecDateTimeOriginal, SubSecCreateDate and SubSecModifyDate
    tags writable, and expanded to include new Exif 2.31 time zone tags
  - Fixed problem writing user-defined structured tag elements with a dot (.) in
    their tag ID

Sept. 23, 2016 - Version 10.27

  - Added a new CanonModelID (thanks LibRaw)
  - Added a new Sony LensType (thanks Jos Roost)
  - Added a few new NikonLensID's (thanks Yang You and Robert Rottmerhusen)
  - Added a couple of new Olympus LensType values (thanks LibRaw and Niels
    Kristian Bech Jensen)
  - Added a new Olympus CameraType
  - Decode some Canon 80D, 750D, 760D and 1200D CameraInfo tags
  - Changed writing of some ExposureTime and ExposureCompensation tags to allow
    the exact numerator and denominator of the stored rational value to be
    specified
  - Fixed Timecode printout in -v3 output for M2TS videos (thanks Ken Neighbors)
  - Fixed some problems with the new "-progress:TITLE" feature
  - Fixed problem where "_exiftool_tmp" file could be left around after a failed
    write attempt
  - Fixed potential "isn't numeric" runtime error when reading a PDF file with
    the -ee option

Sept. 15, 2016 - Version 10.26

  - Added read support for GSpherical metadata in MP4 videos
  - Added a few new XMP-xmpMM tags and a new XMP-crs tag
  - Added some new Minolta/Sony lenses (thanks Jos Roost)
  - Added two new CanonModelID's (thanks Norbert Wasser and Laurent Clevy)
  - Added two new Canon LensType's (thanks Norbert Wasser)
  - Decode a number of Nikon D610 custom settings (thanks Tor)
  - Removed a questionable Samsung tag
  - Marked TestName tag as "unsafe" for writing
  - Enhanced -progress option with ability to set console window title
  - Changed behaviour of %C to increment for each processed file as documented
    (was incrementing for each output file created)
  - Patched to recreate XMP in the standard location of PNG images when deleting
    certain non-standard XMP as a group and recreating in one step
  - Fixed runtime warning when writing 0 to MinoltaRaw ISOSetting
  - Fixed problem writing SRW images from some newer Samsung models

Aug. 3, 2016 - Version 10.25

  - Added a new Pentax PictureMode (thanks Louis Granboulan)
  - Added a new Nikon LensID (thanks LibRaw)
  - Decode a new Samsung tag (thanks LibRaw)
  - Decode a few more Canon tags (thanks Anton Reiser)
  - Removed "Avoid" flag for XMP-crs:ColorTemperature
  - Changed the format of a number of XMP-GPano tags from integer to real
  - Fixed incorrect tag ID's for some obscure Island Graphics EXIF tags
  - Fixed decoding of some UTF-8 DNG tags which may be stored in BYTE format

July 27, 2016 - Version 10.24

  - Added support for DJI Phantom maker notes
  - Added a few more XMP-crs tags
  - Added ability to write DNG OpcodeList tags
  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Added a few new FujiFilm Saturation values
  - Added a new FujiFlashMode value and fixed an incorrect Italian translation
    (thanks Massimo Sanna, ApolloOne)
  - Decode more Pentax tags (thanks Louis Granboulan)
  - Changed -config option to search the current directory first for the config
    file (patches problem introduced in ExifTool 10.21 for Windows where the
    working directory might not be searched when using the -config option)
  - Changed print conversion of ProcessingTime to show 3 significant digits
  - Fixed bug decoding PanasonicRaw DistortionInfo in DNG images

July 14, 2016 - Version 10.23

  - Added read support for Ogg Opus audio files
  - Added ability to geotag only GPS date/time if no position information is
    available by setting Geotag to "DATETIMEONLY" (all caps)
  - Added "-charset RIFF" option
  - Added a new Sony LensType (thanks Jos Roost)
  - Decode a number of new Canon tags (thanks Kai Harrekilde-Petersen)
  - Changed handling of special characters in RIFF-format files (eg. AVI, WAV)
  - Changed MIME type of OGG files to audio/ogg (was audio/x-ogg)
  - Minor change to wording of new Nikon D80 Rotation tag for consistency
  - API Changes:
      - Added CharsetRIFF option

July 7, 2016 - Version 10.22

  - Added read support for BPG images
  - Minor changes to a few of the new Nikon tags
  - Fixed problem in Windows version where not all 10.21 updates were included
    in the release

June 29, 2016 - Version 10.21

  - WARNING: The Windows EXE package for this release was built on Windows 10
    using Perl 5.24 instead of Windows XP and Perl 5.8 -- please watch for
    problems and report anything that you find
  - Added a new Minolta/Sony LensType (thanks LibRaw)
  - Added a new element to the XMP Colorant structure
  - Added a new Pentax lens (thanks Louis Granboulan)
  - Decode Nikon D5/D500 AF information (thanks Michael Tapes for samples)
  - Decode a number of new Olympus tags (thanks Daniel Pollock)
  - Decode a number of new Nikon tags (thanks Warren Hatch)
  - Decode Pentax K-1 AF points (thanks Louis Granboulan)
  - Extract a new DPX tag
  - Patched to avoid writing an empty structure field for an undefined value

June 13, 2016 - Version 10.20 (production release)

  - Added a few new Sigma LensTypes (thanks LibRaw and Jos Roost)
  - Added a new Sony LensType (thanks Jos Roost)
  - Added two new Canon LensTypes (thanks Jos Roost and Norbert Wasser)
  - Added a couple of new PentaxModelID's (thanks Louis Granboulan for one)
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a few new Olympus PictureMode values (thanks Daniel Pollock)
  - Added a few more XMP tags
  - Decode a new Nikon video tag (thanks Hayo Baan)
  - Patched to allow protected binary data tags to be extracted when -b is
    combined with -php or -X if the tag is specifically requested
  - Fixed bug introduced in version 9.96 where extended XMP is ignored if the
    MWG module is used
  - Fixed problem where the MWG module wasn't loaded automatically if there were
    MWG tags in the argument to the -p option
  - Fixed column alignment of alternate-language output (requires
    Unicode::LineBreak to be installed)
  - Fixed problem writing Sigma:LensFocalRange

May 31, 2016 - Version 10.19

  - Added a few new Sony and Sigma LensType values (thanks Jos Roost)
  - Decode more Nikon tags (thanks Warren Hatch)
  - Fixed an incorrect Sigma LensType (thanks LibRaw)
  - Fixed decoding of D500 custom settings for NEF images (thanks Warren Hatch)

May 27, 2016 - Version 10.18

  - Added a number of new Sigma LensTypes (thanks LibRaw)
  - Added a few new Sony/Minolta lenses (thanks Jos Roost)
  - Added ability to write FilePermissions
  - Decode NikonCustom settings for the D500 (thanks Warren Hatch)
  - Decode PLUS MediaSummaryCode values
  - Use hexadecimal for Sigma LensType values
  - Changed -fileOrder option to sort numbers in strings numerically
  - Fixed typo in Samsung lens name

May 16, 2016 - Version 10.17

  - Added support for Leica X-U (Typ 113) maker notes
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a number of new Sony lenses (thanks Jos Roost)
  - Added a new Canon LensType (thanks Mees Dekker)
  - Extract TIFF-format thumbnails and previews
  - Patched to ignore XML entities inside comments
  - Fixed inconsistent conversion of PreviewColorSpace values
  - Fixed writing of TargetPrinter tag
  - Fixed bug introduced in 10.16 which which could cause a runtime warning when
    using the -o option and not writing any "real" tags

May 3, 2016 - Version 10.16

  - Added %D, %F and %E filename format codes
  - Added a new Minolta lens (thanks Jos Roost)
  - Decode Photoshop Compression mode
  - Decode Nikon MultiExposure information for the D5
  - Updated decoding of Sony tags for ILCA-68 (thanks Jos Roost)
  - Fixed bug adding back XMP tags after deleting all XMP from MOV/MP4 files
  - Fixed problem using -o option when reading from stdin (ie. FILE is "-")
  - Fixed problem where user-defined Composite tags may not always override
    pre-defined Composite tags with the same name, and added feature to allow
    the user to specify whether they should override existing tags or not

Apr. 20, 2016 - Version 10.15 (production release)

  - Added .a and .o to the list of supported file types
  - Added a few new Sony/Minolta lenses (thanks Jos Roost and LibRaw)
  - Decode more Photoshop tags (thanks Taylor Bangs for some)
  - Decode more information from static library (.a) files
  - Decode a few more tags from GoPro MP4 videos (thanks Calvin Hass)
  - Decode ColorData for Canon EOS 1300D (thanks LibRaw)
  - Updated Sony decoding for newer models (thanks Jos Roost)
  - Fixed bug where ScaleFactor35efl could be calculated incorrectly for Canon
    images from some models which have had their EXIF rebuilt

Apr. 8, 2016 - Version 10.14

  - Added read support for ISO 9660 disk images
  - Added a few new Nikon ISOExpansion values (thanks LibRaw)
  - Added a few new Olympus LensType values (thanks Niels Kristian Bech Jensen)
  - Added a couple of new SonyModelID values (thanks LibRaw for one)
  - Added a new Olympus CameraType
  - Added config_files/gps2utm.config to the distribution
  - Decode Canon ColorData for the EOS 80D (thanks LibRaw)
  - Decode a few new Samsung tags (thanks Francois)
  - Decode a new Fuji tag (thanks Frank Markesteijn)
  - Calculate Duration for APE audio files
  - Tightened constraints on M2TS file recognition
  - Improved verbose dump of ID3 information
  - Changed XMP-acdsee:Snapshots to a Binary data tag
  - Fixed bug which prevented writing of various Sony FocalLength tags
  - API Changes:
      - Fixed bug where FileModifyDate wasn't set properly when WriteInfo() was
        called without a destination file name and other "real" tags were
        written at the same time

Mar. 12, 2016 - Version 10.13

  - Added a few new Canon LensType values (thanks Niels Kristian Bech Jensen and
    LibRaw)
  - Added a new CanonModelID
  - Added a number of new Nikon RetouchHistory modes
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Changed a couple of Sigma "| C" lens names for consistency
  - API Changes:
      - Fixed bug which could cause the API Filter option to be ignored for some
        tags when copying tags with the Composite option set

Mar. 4, 2016 - Version 10.12

  - Added a new PentaxModelID and SonyModelID (thanks LibRaw)
  - Added a number of new CanonModelID values (thanks Norbert Wasser for one)
  - Added a new Olypus LensType (thanks Niels Kristian Bech Jensen)
  - Added two new Pentax LensType values
  - Added a few new Nikon LensID values and updated some others
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Decode a new Nikon tag
  - Decode a new CanonCustom tag for the EOS 80D
  - Improved decoding of SonyRawFileType (thanks Jos Roost and LibRaw)
  - Changed "Optimised" to "Optimized" in a Photoshop tag value
  - Fixed warning that could be generated by the Canon FileNumber conversion

Feb. 17, 2016 - Version 10.11

  - Added a couple of new Olympus CameraType values (thanks LibRaw for one)
  - Added some new ACDSee XMP tags (thanks Malus)
  - Added a few more XMP-crs tags
  - Added a new CanonModelID (thanks Norbert Wasser)
  - Added a couple of new Sony LensType values (thanks Jos Roost and LibRaw)
  - Added support for PDF ASCII85Decode filter
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a new Canon tag (thanks Juha Iso-Sipila)
  - Decode a few more Photoshop tags
  - Convert MDItem date/time values to local time
  - Patched to read incorrectly written DJI GPSCoordinates in MOV videos

Jan. 22, 2016 - Version 10.10 (production release)

  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added a couple of new Olympus FlashModel values
  - Added a new Nikon LensID
  - Added a new Pentax LensType
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode H264:DateTimeOriginal DST flag, and add " DST" to time string if set
  - Decode a few more CanonCustom settings
  - Fixed problem creating user-defined XMP structure elements with names
    containing characters which are illegal in tag names
  - Improved mechanism for generating tags which must be specifically requested
    when copying or used in -if or -p expressions
  - Improved warning in Windows if help documentation file can't be created
  - Patched Composite:FileNumber to handle case where Canon:FileNumber is 10000
  - Patched reading FujiFilm RawImageWidth/Height for new X-Pro2 RAF images
  - Fixed problem reading PDF objects which begin with a comment line
  - Fixed problem which could result in ExifTool corrupting a PDF file when
    writing
  - API Changes:
      - Added RequestTags option
      - No longer generate MDItem tags when RequestAll option is set

Jan. 4, 2016 - Version 10.09

  - Added ability to extract OS X system metadata ("MDItem" tags)
  - Added a value conversion for GoogleTrackDuration
  - Enhanced the -i option to allow full path names to be specified
  - Fixed a potential runtime error when writing corrupted JPEG images
  - API Changes:
      - Added MDItemTags option

Dec. 22, 2015 - Version 10.08

  - Added ability to write empty XMP structures
  - Added write support for PhaseOne MakerNotes tags in IIQ files
  - Added a new Nikon LensID (thanks David Puschel)
  - Decode a new Olympus tag and improved decoding of DriveMode
  - Minor improvements to HtmlDump of PhaseOne IIQ and PDF files
  - Patched to allow overwriting of empty XMP written by some PhaseOne cameras
  - Fixed bug in HtmlDump feature that could cause a "substr outside of string"
    error
  - API Changes:
      - Changed API QuickTimeUTC option to also enforce proper time zero

Nov. 26, 2015 - Version 10.07

  - Fixed problem with warnings on some systems about unimplemented functions
    for FileGroupID and FileUserID when -p or -if were used

Nov. 26, 2015 - Version 10.06

  - Added a new Canon LensType (thanks LibRaw)
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a couple of new XMP-digiKam tags
  - Added a new CanonModelID
  - Added a new ACDSee XMP tag (thanks Malus)
  - Decode a new Canon tag
  - Improved a few lens names (thanks Jos Roost)
  - Patched to remove trailing null when reading improperly written QuickTime
    strings
  - Fixed bug where SystemTags weren't available for use with the -p and -if
    options

Nov. 6, 2015 - Version 10.05

  - Added new Canon and Sony LensType values
  - Added some new Nikon LensID's (thanks Robert Rottmerhusen)
  - Added a new PentaxModelID
  - Added preliminary support for Motorola maker notes
  - Changed format of XMP-photoshop:DocumentAncestors to write a simple Bag of
    strings rather than structures (since this is what the Adobe software
    writes, contrary to their own XMP specification)
  - Fixed problem where HASH references may be exposed when copying a list of
    structures to a non-list-type tag
  - API Changes:
      - Added Filter option
      - Changed GetNewValues method name to GetNewValue (GetNewValues still
        works for backward compatibility)

Oct. 28, 2015 - Version 10.04

  - Added a few new Microsoft XMP tags
  - Enhanced -r option to allow processing of directory names beginning with "."
  - Avoid writing XMP-microsoft:LensModel unless specified explicitly
  - Limit precision of area size in picasa_faces config file (thanks StarGeek)
  - Moved Nikon NCDT GPS tags into the GPS group so they work with the Composite
    GPS tags
  - Fixed problem reading Ricoh RMETA information from some cameras

Oct. 21, 2015 - Version 10.03

  - Added support for JPEG 2000 extended-length boxes
  - Added a few new Canon LensType and CanonModelID values
  - Added a new Nikon LensID (thanks LibRaw)
  - Added ExifTool version number as a comment in -listx output
  - Added support for Leica SL (Typ 601) maker notes
  - Added a new Sony LensType (thanks Jos Roost)
  - Decode more Sony tags for some new models (thanks Jos Roost)
  - Decode a new Pentax tag
  - Patched for invalid makernote entry written by Sony ILCE-7M2 v1.21
  - Patched problem reading EXE resources with a missing null terminator
  - Updated Windows distribution package to use latest version of PAR

Sept. 17, 2015 - Version 10.02

  - Added ability to read PNG chunks after the normal PNG end of file (IEND)
  - Added ability to delete a PNG trailer (with -trailer:all=)
  - Added some new Nikon LensID's (thanks Robert Rottmerhusen and LibRaw)
  - Added a few new Canon LensType's (thanks Jos Roost and LibRaw)
  - Added a new Pentax LensType (thanks Niels Kristian Bech Jensen)
  - Decode some new PanasonicRaw tags (thanks Andrew)
  - Decode a new Pentax tag
  - Enhanced -m option to allow IPTC values which are too short to be written

Sept. 3, 2015 - Version 10.01

  - Added a new Olympus CameraType
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added a few new QuickTime GenreID values (thanks Francois Bonzon)
  - Decode a new Pentax tag
  - Leica programmers should all be ashamed of the complete shambles of metadata
    they have created
  - Minor change to the name of a Sigma lens for Canon
  - Improved recognition of Pentax lens adapter
  - Implemented NoPDFList for -b option of Windows version too
  - Renamed a few Sony tags and improved decoding of others (thanks Jos Roost)
  - Renamed a few Pentax tags
  - Fixed problem importing structured information from -X option output
  - Fixed round-off errors in value and typo in name of CanonVRD:GammaWhitePoint
  - Fixed test failures if Encode, POSIX or Time::Local modules are missing

Aug. 18, 2015 - Version 10.00 (production release)

  - Added a few new CanonModelID's
  - Added a few new Nikon LensID's (thanks Jaap Voets and Robert Rottmerhusen)
  - Added a new Canon LensType (thanks Jos Roost)
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a couple more RIFF tags and extract Unknown RIFF tags
  - Changed -b option to avoid splitting PDF List-type tag values
  - API Changes:
      - Added NoPDFList option

July 23, 2015 - Version 9.99

  - Added support for the Leica Q (Typ 116) maker notes
  - Added two new SonyModelID's (thanks Jos Roost for one)
  - Added two new Sony LensType2 values (thanks Jos Roost)
  - Added a new Pentax LensType
  - Extract a number of new File System tags when API SystemTags option is set
  - Decode a new FujiFilm tag (thanks TonyB)
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Disabled writing of XMP to PostScript-format Adobe Illustrator files
  - SourceFile values in -csv and -json input/output are now converted to/from
    filename character set (set by -charset filename option) when
    reading/writing
  - Renamed Flash:FileAttributes to FlashAttributes
  - Renamed FujiFilm:AFPointSet to AFMode and improved decoding
  - Fixed problem where a partial command could be executed if the -stay_open
    option was used and the command is aborted due to an error in arguments
  - Fixed problem with OS X installer on El Capitan (now installs in
    /usr/local/bin instead of /usr/bin)
  - API Changes:
      - Added SystemTags option

June 26, 2015 - Version 9.98

  - Added read support for DSS and DS2 file formats
  - Added write support for XMP-mwg-rs:Rotation (seen in XMP from LR6)
  - Added a new Sigma LensType (thanks Niels Kristian Bech Jensen)
  - Decode Pentax DiffractionCorrection
  - Decode Olympus ID3 XOLY frame
  - Decode a few more Sony tags
  - Improved reliability of decoding Nikon D810 ShotInfo and custom settings
  - Changed name of Pentax VignettingCorrection to PeripheralIlluminationCorr
  - Fixed problem with user parameters in tag name expressions when copying

June 2, 2015 - Version 9.97

  - Added a new Pentax Quality value
  - Added a new Panasonic AdvancedSceneMode (thanks Horst Wandres)
  - Minor improvement to lens identification logic based on XMP information
  - Changed a few DR4 tag names
  - Fixed improper scoping of XMP namespace prefixes (so conflicting prefixes
    are now properly resolved)

May 20, 2015 - Version 9.96

  - Added support for CanonVRD version 4 information and DR4 files
  - Added two new Canon LensType values (thanks Norbert Wasser)
  - Added two new Olympus LensType values (thanks Niels Kristian Bech Jensen)
  - Added a new Minolta/Sony LensType and fixed another one (thanks Jos Roost)
  - Added a new Nikon LensID (thanks John Helour)
  - Added a few new QuickTime tags
  - Added a new PentaxModelID and a new Pentax PictureMode
  - Added a few new XMP-aux tags
  - Decode a couple more DPX tags
  - Decode NikonCustom tags for D810 firmware version 1.02
  - Improved -htmlDump output for extended XMP and some other JPEG segments
  - Improved a Canon lens name
  - Documented the -userParam command-line option (which has existed since 9.90)
  - Changed default behaviour to ignore extended XMP with an incorrect GUID (as
    per the XMP specification)
  - Changed the case of a few tag names for consistency
  - Patched problem with Sony cameras giving incorrect LensInfo for some third
    party lenses, leading to an incorrect LensID by ExifTool (thanks Jos Roost)
  - Patched problem where GPS minutes or seconds could round up to 60
  - Fixed picasa_faces.config to rotate regions if necessary for RAW file types
    (thanks Stargeek)
  - API Changes:
      - Added ExtendedXMP option

May 9, 2015 - Version 9.95

  - Added a few new Minolta/Sony lenses (thanks Jos Roost)
  - Added config_files/photoshop_paths.config to the full distribution
  - Avoid rebuilding maker notes when using -tagsFromFile with -fast2 option
  - Validate tag names when redirecting (ie. "-DSTTAG<SRCTAG")

May 3, 2015 - Version 9.94

  - Added Geotag support for Bramor gEO log files
  - Added support for iCalendar ICS files
  - Added support for Leica M Monochrom (Type 246) maker notes
  - Added new "Preview" group for all embedded preview images
  - Added a new PentaxModelID (thanks Louis Granboulan)
  - Added a new Canon LensType (thanks Niels Kristian Bech Jensen)
  - Added tag name to "Invalid EXIF text encoding" warning
  - Decode ColorData for Canon EOS 5DS and EOS 5DS R (thanks LibRaw)
  - Changed ListItem option so that it also applies when copying tags
  - Enhanced FileTypeExtension to return an uppercase extension when the print
    conversion is disabled (eg. the -n option)
  - Fixed incorrect FileTypeExtension for virtual device drivers
  - Fixed an improperly formatted warning for duplicate PDF entries
  - Fixed bug creating extended XMP in JPEG images when deleting all XMP and
    adding back in the same step

Apr. 25, 2015 - Version 9.93

  - Added FileTypeExtension tag
  - Added a few new CanonModelID values
  - Added a new Olympus CameraType
  - Added a few new Minolta/Sony lenses (thanks Jos Roost)
  - Updated arg_files/iptcCore.args for IPTC Extension version 1.2 tags
  - Improved VCard parsing/decoding
  - Improved -fast3 file identification logic
  - Remove "px" string from SVG ImageWidth/Height tags
  - Changed DOF calculation to use ApproximateFocusDistance
  - Fixed missing FileType for MOI files
  - Fixed potential "Internal Error" bug when writing XMP structures

Apr. 11, 2015 - Version 9.92

  - Added support for PRISM pmi and prm tags, and updated to PRISM 3.0
  - Added read support for Audible .AA files
  - Added support for Adobe XMP-creatorAtom tags
  - Added a couple of new XMP-xmpDM tags
  - Added a new CanonModelID and a new Ricoh WhiteBalance (thanks LibRaw)
  - Added a new Olympus CameraType
  - Added a new Nikon LensID (thanks Jurgen Sahlberg)
  - Updated to XMP PLUS 1.2.1 specification
  - Enhanced DOF calculation to use AverageFocusDistance or
    FocusDistanceUpper/Lower if available
  - Patched to tolerate different version numbers in XMP namespace URI's

Apr. 7, 2015 - Version 9.91

  - Added read support for VCard files
  - Added support for AAX files
  - Added --sort option
  - Added a number of new QuickTime GenreID values (thanks Francois Bonzon)
  - Added new Canon, Nikon, Olympus and Samsung lenses (thanks LibRaw and Niels
    Kristian Bech Jensen)
  - Added a new Olympus CameraType
  - Added a new Sony FlashMode value
  - Decode a new Apple makernote tag
  - Decode a number of new QuickTime tags found in Audible audio books
  - Improved the naming of a FujiFilm tag (thanks LibRaw)
  - Removed "not yet tested" warning when writing FujiFilm RAF version 0200
  - Renamed distribution file config_files/ExifTool_config to example.config
  - Increased maximum metadata atom size for QuickTime files and added warning
    if an atom is larger than the limit
  - Changed writing of filesystem date/time tags to override the -P option
  - Fixed problem writing FileCreateDate in Windows when the -o option was used

Mar. 14, 2015 - Version 9.90 (production release)

  - Added config_files/picasa_faces.config to the distribution (thanks StarGeek)
  - Added a few new Minolta/Sony and Nikon lenses (thanks LibRaw)
  - Added new Canon and Sigma lenses (thanks Niels Kristian Bech Jensen)
  - Decode Nikon D810 custom settings (thanks Warren Hatch)
  - Decode a few new Nikon tags
  - Fixed superfluous "Open '' failed" warning which could occur in Windows
  - Fixed problem reading multi-valued Microsoft Xtra tags
  - Fixed problem on Windows using -overwrite_original_in_place with Unicode
    file names

Mar. 7, 2015 - Version 9.89

  - Added some new Minolta/Sony LensType values (thanks Jos Roost and LibRaw)
  - Fixed Windows case-sensitivity and sort-order problems when using wildcards
    in file names on the command line
  - API Changes:
      - Added UserParam option

Feb. 28, 2015 - Version 9.88

  - Decode a few more ID3 tags
  - Improved decoding of some Pentax tags
  - Extended -list and -listw options to include flattened tags
  - Patched to recognize ID3v2.3 tags in ID3v2.4 metadata and visa versa
  - Patched byte ordering problems with Nikon FileInfo tags for the D5500
  - Fixed bug where other groups were ignored when multiple groups were
    specified when writing and one of those groups was a specific EXIF IFD (eg.
    -ExifIFD:Time:all= ignored the Time constraint)

Feb. 24, 2015 - Version 9.87

  - Added a number of new Sigma LensType values (thanks LibRaw)
  - Fixed bug introduced in the Windows version of 9.85 where "*.*" on the
    command line matched "." and "..", causing unexpected files to be processed
  - Fixed problem extracting some Microsoft tags from MP4/MOV videos

Feb. 22, 2015 - Version 9.86

  - Added check for valid filename encoding when using wildcards in Windows
  - Added support for Sigma X3F version 4.1 images
  - Added a number of new Sigma LensType values (thanks LibRaw and Niels
    Kristian Bech Jensen)
  - Added a new Canon LensType (thanks Michael Tapes)
  - Added a new Leica LensType (thanks LibRaw)
  - Added a new Olympus CameraType
  - Decode a couple more FujiFilm RAF tags (thanks Frank Markesteijn)
  - Always preserve FileCreateDate when writing on Windows if Win32::API and
    Win32API::File are available
  - Changed names of and properly decode new Olympus Pitch/Roll tags
  - Changed rounding method for rational values in an attempt to fix failed
    tests on FreeBSD 10.1 and Perl 5.20.1 with uselongdouble enabled
  - Resolved issue with duplicate SamsungModelID values

Feb. 14, 2015 - Version 9.85

  - Added support for Ricoh WG-M1 maker notes
  - Added a few new Pentax LensType's (thanks Louis Granboulan)
  - Decode a couple of new Pentax tags (thanks Louis Granboulan)
  - Enhanced JSON import so an object with a missing SourceFile has the same
    effect as a SourceFile of "*".
  - Changed MIMEType for executable script files
  - Patched remaining known problems involving Windows Unicode file names
    (creating directories and using wildcards should now work)
  - Patched long-standing Windows daylight-savings-time bug, and removed the
    dependency on Win32API::File::Time (reported file times should now be
    correct, but may disagree with the Windows "dir" command)
  - Fixed decoding of FLIR:PlanckO (thanks Tomas)

Feb. 10, 2015 - Version 9.84

  - Added a new CanonModelID
  - Added a new Pentax LensType and PentaxModelID (thanks Louis Granboulan)
  - Fixed bug introduced in 9.83 that broke the -P option on Windows

Feb. 7, 2015 - Version 9.83

  - Added support for new IPTC Extension version 1.2 XMP tags
  - Added support for Leica X (Typ 113) maker notes
  - Added read support for ChartTIFF tags
  - Added a few new Canon LensType values (thanks Norbert Wasser for two)
  - Added a few new Nikon LensID's (thanks David Puschel, Robert
    Rottmerhusen and Niels)
  - Added a number of new Olympus ArtFilterEffect values (thanks Phiber)
  - Added some new Olympus AspectRatio values (thanks Herb)
  - Added a new PentaxModelID
  - Added a new Olympus CameraType (thanks LibRaw)
  - Added new values for various Canon tags
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a couple more Nikon ShootingMode bits (thanks Leegong)
  - Updated to Nov 2014 XMP specification
  - Patched incompatibility between Windows Unicode update and Perl 5.005 

Jan. 15, 2015 - Version 9.82

  - Added support for Windows Unicode names for input CSV and JSON files
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Improved checks and warnings for invalid file name encoding on Windows
  - Improved Polish translations (thanks Kacper Perschke)
  - Changed exif2xmp.args and xmp2exif.args files (available in the full
    ExifTool distribution) to avoid using non-standard XMP namespaces
  - Fixed problem setting file times for Windows Unicode file names

Jan. 12, 2015 - Version 9.81

  - Added Composite:Megapixels tag
  - Added a few new Nikon LensID's (thanks Robert Rottmerhusen)
  - Fixed problem in Windows using Unicode file names with the -o option

Jan. 7, 2015 - Version 9.80

  - Added a few new Canon and Minolta/Sony LensType values (thanks LibRaw)
  - Added a few new CanonModelID's
  - Decode a few new Canon tags
  - Suppress warning for Canon 7DmkIII VignettingCorrUnknown2 data format
  - Fixed runtime warning when piping an MOI file to exiftool
  - Fixed bug in -fileOrder option introduced in version 9.79
  - Fixed bug using Windows Unicode file names with -tagsFromFile option

Jan. 4, 2015 - Version 9.79 - Windows Unicode file names

  - Added support for Windows Unicode file names (but note that support still
    isn't complete -- some things like setting FileModifyDate or creating a
    directory with a Unicode name still need work)
  - Added read support for MOI files
  - Added a few more Canon LensType's (thanks LibRaw and Martin)
  - Added a new Nikon LensID
  - Added a couple of new Panasonic ImageQuality values
  - Decode a new FujiFilm tag and added a new FilmMode value
  - Allow zero-length group names to be specified (which provides a method to
    directly access the 0th copy of a duplicate tag using the empty family 4
    group name by specifying "4:TAG")
  - Fixed invalid Samsung tag name
  - Fixed writing of XMP:ExposureCompensation with fractional values
  - API Changes:
      - Added CharsetFileName option

Dec. 13, 2014 - Version 9.78

  - Added a new Nikon LensID and a new Canon LensType (thanks LibRaw)
  - Decode a new unknown atom in Canon MOV videos
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a number of new Samsung tags
  - Improved MakerNote compatibility when writing by adding the same amount of
    padding after the MakerNote IFD as that written by the specific camera model
  - Changed the DNG BaselineExposureOffset to a signed rational (contrary to the
    DNG 1.4 specification, which specifies an unsigned RATIONAL, but obviously
    Adobe meant for it to store negative values)
  - Changed name of new QuickTime Rating tag to RatingPercent
  - Fixed problem introduced in 9.64 where multiple list values from some tags
    in ZIP-based files were extracted as separate tags instead of as a list when
    the -struct option was used, and implemented a different patch to just
    suppress the structure warnings without changing the 9.63 behaviour
  - Fixed problem where some EXIF information in MOV videos could be corrupted
    when writing

Nov. 28, 2014 - Version 9.77

  - Added FilePath tag (generated only if specified and Cwd is available)
  - Added a new Panasonic ShootingMode (thanks Horst Wandres)
  - Added a new FujiFilm WhiteBalance value
  - Added a new QuickTime vendor ID
  - Added a new Pentax RawDevelopmentProcess value
  - Decode a few new QuickTime tags
  - Decode some new tags in Kodak SP360 MP4 videos
  - Fixed bug that could cause a runtime error when parsing a Canon EOS 40D
    image which had been edited by Nikon Capture software
  - Fixed bug which could produce invalid XML in the -X output when -struct was
    also used

Nov. 15, 2014 - Version 9.76 (production release)

  - Added support for the LFR format (same as LFP)
  - Added support for Samsung models which write 2 values for LensType
  - Added a new Samsung LensType (thanks Nick Livchits)
  - Added a few new Nikon LensID's (thanks David Puschel)
  - Added a new PentaxModelID
  - Added some new Olympus WhiteBalance2 values (thanks LibRaw)
  - Added a new EXIF:Compression value
  - Decode a new FujiFilm tag
  - Decode a few more private TIFF tags
  - Improved warning message if "DIR" or "FILE" is used literally on the command
    line
  - Improved "-j -b" output to encode any non-UTF8 values as Base64
  - Enhanced -fast option (API FastScan option) to allow file processing to be
    bypassed entirely
  - Changed conversions for a couple of Nikon 1 AF tags for consistency
  - Changed reported FileType for LNK, KEY, KTH, NUMBERS, NMBTEMPLATE and PAGES
    files to match extension
  - Fixed problems adding new XMP and deleting old XMP from MP4 videos
  - Fixed problem writing FileModifyDate/FileCreateDate when
    -overwrite_original_in_place is used

Nov. 2, 2014 - Version 9.75

  - Added support for FLIR version 101 metadata
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a new Samsung LensType
  - Decode a few more Nikon D4S tags (thanks Warren Hatch)
  - Decode a few more Sony tags (thanks Jos Roost)
  - Decode a new FujiFilm tag
  - Improved formula for calculating Sony:FocusDistance2 (thanks Jos Roost)
  - Changed XMP parsing to impose standard namespace prefixes, thus avoiding
    (some) problems reading the ugly XMP generated by Microsoft products
  - Fixed decoding of Nikon FileInfo tags for recent DSLR models

Oct. 15, 2014 - Version 9.74

  - Added a number of new QuickTime GenreID values (thanks Francois Bonzon)
  - Added support for some newer Sony cameras (thanks Jos Roost)
  - Decode more Nikon D4S custom settings (thanks Warren Hatch)
  - Improved lens identification logic for XMP metadata (thanks Jos Roost)
  - Fixed typo in Condition for a few D3 NikonCustom tags
  - Fixed bug which could cause a "Use of uninitialized value $val" runtime
    error when reading XML

Oct. 13, 2014 - Version 9.73

  - Added a new CanonModelID (thanks LibRaw and Niels Kristian Bech Jensen)
  - Added a few new Canon and Sony lenses (thanks Jos Roost)
  - Delete unknown PNG TextualData tags when deleting all PNG tags
  - Decode AF points for Canon PowerShot G1X Mark II
  - Decode a number of Pentax, Olympus, Panasonic and Sony tags (thanks LibRaw)
  - Decode a few more Nikon NCTG tags in MOV videos (thanks Stuart Bennett)
  - Decode Nikon D4S custom settings (thanks Warren Hatch)
  - Decode some makernote tags in Sony Xperia Z3 images
  - Make PhotoshopThumbnail and PhotoshopBGRThumbnail writable (but "unsafe")
  - Changed order of operations so flattened tags always take precedence over
    structured tags when writing a mix of both types of tags
  - Fixed potential bug decoding some Nikon 1 AF points

Sept. 26, 2014 - Version 9.72

  - Added a few new Pentax ISO values
  - Added a new CanonModelID and SonyModelID (thanks LibRaw)
  - Added a new Canon LensType
  - Decode AF points for some newer Nikon 1 cameras (thanks Chris Reimold for
    his help, and Graham Woolf for the samples)
  - Improved verbose output for recently decoded Samsung trailer
  - Fixed Samsung trailer writer to properly update offsets in the QDIO block

Sept. 20, 2014 - Version 9.71

  - Added a couple of mew CanonModelID's (thanks LibRaw)
  - Added a couple of new Nikon LensID's (thanks Robert Rottmerhusen and LibRaw)
  - Added minor warning when deleting all PDF metadata (because it isn't really
    deleted)
  - Added a new Samsung LensType
  - Added a new Sony/Minolta LensType (thanks Marcus Holland-Moritz)
  - Decode "Sound & Shot" trailer written by some Samsung Galaxy models
  - Decode a number of new Sony tags including FocusDistance2 (thanks Jos Roost)
  - Decode a number of new Canon and Kodak tags (thanks LibRaw)
  - Decode a new EXIF tag
  - Decode a few new CanonCustom tags
  - Recognize the JPE file extension
  - Fixed swapped CanonCustom AEMicroadjustment/FEMicroadjustment tag names
  - Fixed bug in -listItem option which sometimes prevented it from working
  - Fixed interference by -sep option when writing structured tags
  - API Changes:
      - Added ListItem option

Sept. 3, 2014 - Version 9.70 (production release)

  - Added read support for Pentax 645Z makernotes in MOV videos
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added a new SonyModelID (thanks LibRaw)
  - Added a new Pentax LensType (thanks Dominique Schrekling)
  - Added a new PentaxModelID
  - Added a new Olympus CameraType (thanks LibRaw)
  - Decode a number of new Sony tags and values (thanks Jos Roost)
  - Decode a new Panasonic tag
  - Decode another QuickTime tag
  - Updated Nikon ISOExpansion values for new models (thanks LibRaw)
  - Improved verbose dump for LFP images
  - Patched to repair incorrect list types in XMP structures when writing
  - Patched to avoid MPEG Layer 3 check for files with a "MUS" extension
  - Fixed incorrect behaviour of -addTagsFromFile when adding list items from
    multiple variable-named source files

July 27, 2014 - Version 9.69

  - Added ability to write PNG PhysicalPixel (PNG-pHYs) tags
  - Added a few new Panasonic ContrastMode values
  - Added minor warning when creating EXIF or IPTC in PNG images
  - Decode a few more Sony tags and values (thanks Jos Roost)
  - Fixed problem writing Olympus:LensType
  - API Changes:
      - Shift.pl now autoloads when ShiftTime() is called
      - The 3rd argument to ShiftTime() is now optional

July 19, 2014 - Version 9.68

  - Added read support for Lytro LFP files
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added support for the maker notes of some recent Ricoh/Pentax models
  - Allow Composite tag to have no Require'd or Desire'd tags
  - Improved -geotag verbose output
  - Changed so XMP tags take priority when reading QuickTime-format files
  - Changed PSD file description to "Photoshop Document"
  - Fixed problem where -geotag option could fail if -v4 was used
  - Fixed problem writing SonyDateTime2

July 6, 2014 - Version 9.67

  - Added support for Sigma X3F version 4.0 files from the DP2 Quattro
  - Added support for Sony XAVC video files
  - Added a new Nikon PhaseDetectAF value
  - Added conversion for Casio EX-ZR300 BestShotMode (thanks Manfred)
  - Decode more proprietary information from some Panasonic/Leica MP4 videos
  - Fixed inaccuracies in decoding some SigmaRaw tags from the X3F header

July 1, 2014 - Version 9.66

  - Added read support for Kodak PixPro S-1 maker notes
  - Added new Canon, Pentax and Sigma LensTypes (thanks LibRaw for the Canon)
  - Added support for Sigma DP2 Quattro maker notes
  - Decode AFMicroAdj for Sony A77M2
  - Improved decoding of Pentax K-3 AFPointSelected (thanks Dan)
  - Swap "GPS track start/end" labels in -geotag -v2 output if track is stored
    in reverse chronological order
  - Changed handling of IPTC groups so that standard IPTC always has a family 1
    group name of "IPTC", and takes priority over non-standard IPTC when
    duplicates are not allowed
  - Patched to recognize incorrect XMP URI's written by Nikon NX2
  - Fixed problem with possible duplication of lens names when attempting to
    identify lens used by a Nikon camera from a Photoshop-mangled image
  - Fixed problem parsing some NMEA sentences, and added support for GPZDA
  - Fixed typo in a CanonCustom value
  - Fixed bug where standard IPTC may be incorrectly written into a proprietary
    PhotoMechanic IPTC-format SoftEdit record

June 20, 2014 - Version 9.65

  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added a print conversion for Unknown ICC_Profile MeasurementGeometry
  - Added LargeTags shortcut
  - Avoid loading data for some tags with large binary data values if they were
    specifically excluded by the command
  - Improved memory handling when processing CanonVRD information
  - Patched potential "subscript -1" runtime error when reading EPS files

June 14, 2014 - Version 9.64

  - Added write-only TestName tag for dry-run tests of file renaming feature
  - Added a few new Olympus CameraType values
  - Added a new new Nikon LensID's
  - Added a new Canon LensType
  - Patched to avoid structure warnings when copying tags from ZIP-based files
  - Patched to deal with incorrect byte ordering in FlashPix date/time values
    written by some cameras
  - Fixed problem using advanced formatting feature in a -if condition
  - Fixed problem parsing Canon VignettingCorr for some newer PowerShot models
  - API Changes:
      - Added 'Test' option to SetFileName()

May 31, 2014 - Version 9.63

  - Added basic read support for EPUB and MOBI electronic books
  - Added ability to combine -lang option with -listx to extract only one language
  - Remove leading XML comment from XMP if it exists when writing as a block
  - Another attempt to patch problem obtaining a consistent "full path" for
    source files when importing a CSV database in Windows

May 24, 2014 - Version 9.62

  - Added message about SourceFile names to -v2 output when importing a database
    with -csv= or -json=
  - Added patch to allow extraction of some incorrectly written FlashPix tags
  - Extract a couple of new FlashPix tags for some FujiFilm models
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Changed -n option for GPSTimeStamp to return nanosecond precision

May 18, 2014 - Version 9.61

  - Added ability to combine -l with -listf, -listr or -listwf to add
    descriptions of the file type
  - Added a few new Canon LensType values (thanks Norbert Wasser and Mark)
  - Extract AE metering segments again for the Pentax K-3
  - Decode a number of new FujiFilm RAF tags (thanks LibRaw)
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Changed the case of some AF point values for consistency
  - Fixed an incorrect Olympus FocusMode value
  - Fixed problem introduced in 9.60 where a "LensID argument isn't numeric"
    warning could occur under some conditions
  - Fixed quirk where ExifTool could incorrectly report that a file was changed
    when conditionally deleting a non-existent tag as a block

May 11, 2014 - Version 9.60 (production release)

  - Added a few new values for some Pentax tags
  - Added a new QuickTime Rating value (thanks Francois Bonzon)
  - Added a new SonyModelID (thanks LibRaw)
  - Added a new Canon and a new Pentax LensType
  - Decode a number of new tags from WebP extended-format files
  - Decode a couple more Nikon tags
  - Decode a new Canon 300D tag (thanks LibRaw)
  - Decode a new Sony tag (thanks Jos Roost)
  - Updated Sony maker note decoding for ILCA-77M2 (thanks Jos Roost)
  - Renamed QuickTime (c)day atom to ContentCreateDate (was previously named
    Year or CreateDate depending on its location)
  - Changed a number of "Unknown (-1)" values to "n/a" (thanks Herbert Kauer)
  - Minor change to some German translations (thanks Herbert Kauer)
  - Patched spec file for building RPM under Redhat 6 (thanks Norbert de Rooy)
  - Fixed a problem writing 3-character Nikon CountryCode values
  - Fixed problem when importing CSV files in Windows where an appropriate
    SourceFile entry may not be found if the file specification does not match
    exactly but the absolute path is the same

May 3, 2014 - Version 9.59

  - Added support for Leica T maker notes
  - Added a few new Olympus CameraType values
  - Added a number of new AppleStoreCountry values (thanks Francois Bonzon)
  - Added a print conversion for QuickTime GenreID (thanks Francois Bonzon)
  - Added more values for some NikonCapture tags (thanks LibRaw)
  - Improved decoding for a number of Sony tags (thanks Jos Roost)
  - Improved decoding of some Olympus tags (thanks Herbert Kauer)
  - Improved writing of GPSAltitudeRef to recognize any signed number
  - Patched problem where some QuickTime UTF-8 values were being decoded
    incorrectly

Apr. 19, 2014 - Version 9.58

  - Added verbose warning and HtmlDump flag for out-of-sequence EXIF tag ID's
  - Improved decoding of NikonCapture WBAdjLighting (thanks LibRaw)
  - Improved German translations (thanks Herbert Kauer)
  - Fixed -v3 to report absolute offsets for RIFF and NikonCapture information
  - Fixed problem in Windows version which caused ExifTool to exit with an error
    when importing from a CSV file with a non-existent SourceFile entry

Apr. 12, 2014 - Version 9.57

  - Added a Composite tag to calculate Duration for AIFF files
  - Added a couple of new Canon lenses
  - Added a new value for NikonCapture:WBAdjLighting (thanks LibRaw)
  - Added a new Olympus CameraType (thanks LibRaw)
  - Decode a couple more Canon tags
  - Improved French translations (thanks Alphonse Philippe)
  - Patched to correctly sort out-of-sequence GPS IFD entries
  - Fixed possible "uninitialized value" runtime error when reading corrupted
    CanonCustom2 information
  - Fixed unnecessary warning when writing an image with zero-length maker notes
  - Fixed incorrect family 2 group for XMP-exif:GPSImgDirectionRef

Apr. 5, 2014 - Version 9.56

  - Added new Canon and Pentax LensType values
  - Added a couple more Canon ContinuousDrive modes
  - Added a new Sigma ColorMode
  - Decode some new QuickTime tags written by the HTC One (M8) in MP4 videos
  - Decode telemetry information from AR Drone videos
  - Extract PreviewImage from GoPro JPG files
  - Improved German translations (thanks Herbert Kauer)
  - Improved French translations (thanks Alphonse Philippe)
  - Updated en_ca and en_gb translations
  - Patched to avoid "excessive count" warning for a 16-bit TransferFunction
  - Fixed decoding of Canon AEBShotCount for some models

Mar. 29, 2014 - Version 9.55

  - Added new write-only HardLink tag for creating hard links
  - Added support for Leica S maker notes
  - Added support for Nintendo maker notes
  - Added limited read support for FLIR "AFF" SEQ images
  - Added a new Pentax LensType (thanks Bruce Rusk)
  - Added two new NEFCompression values (thanks LibRaw)
  - Added a few new CanonModelID values
  - Added a new Sony LensType2 (thanks Jos Roost)
  - Added some unknown Sony tags possibly related to metering (thanks Jos Roost)
  - Decode orientation information for Ricoh Theta (thanks Paulo Costa)
  - Decrypt Nikon ColorBalanceUnknown data for -U and -v2+ options
  - Updated recognition of Metabones Canon adapters on Sony cameras to support
    new adapter firmware versions
  - Improved verbose messages when reading GPS track logs
  - Changed writing of EXIF:Copyright to allow newline conversion to be avoided
    by disabling print conversion
  - Fixed an incorrect French translation (thanks Alphonse Philippe)
  - API Changes:
      - Fixed problem where Directory tag wasn't written if any "real" tags were
        changed when calling WriteInfo()

Mar. 1, 2014 - Version 9.54

  - Added a new Pentax LensType
  - Decode a few more FLIR tags
  - Generate missing default language tags for alternate-language QuickTime tags
    without them
  - Improved identification of some file sub-types based on filename extension
  - Fixed bug extracting alternate-language QuickTime tags with numerical ID's
    when processing multiple files in a single command
  - Fixed potential problem when using some of the recently added options with
    the -stay_open feature
  - Fixed problem loading a config file with a single quote in the file name
  - Fixed problem writing a shortcut tag when the target tag has a group name
  - Fixed problem recognizing HTML files with a leading UTF-8 BOM

Feb. 22, 2014 - Version 9.53 (production release)

  - Added user-defined file types feature
  - Added support for a few more XMP-expressionmedia tags
  - Decode CameraTemperature from a few new Canon models
  - Decode another Sony tag (thanks Jos Roost)
  - Recognize the JXR extension
  - Changed wording of IPTC "Unrecognized data" warning
  - Patched round-off error problem in seconds of some date/time values
  - Fixed problem creating EXV files with the -o option
  - Fixed problem conditionally replacing Extra block-type tags

Feb. 17, 2014 - Version 9.52

  - Fixed bug introduced in 9.44 which resulted in incorrect maker note offsets
    when copying maker notes from DNG images of some Pentax models

Feb. 15, 2014 - Version 9.51

  - Added a number of new CanonModelID values
  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Added a new Panasonic BurstMode
  - Added a new Pentax LensType
  - Added new ColorSpaceTags shortcut
  - Decode a number of new PanasonicRaw tags (thanks LibRaw)
  - Decode ColorData tags for the new Canon EOS 1200D
  - Improved Sony maker note decoding for some newer models (thanks Jos Roost)
  - Fixed conversion of XMP:LensID for Pentax lenses on Ricoh-branded cameras

Feb. 8, 2014 - Version 9.50

  - Added support for Exiv2 EXV metadata files
  - Added ability to read/write/copy GeoTiff tags as a block
  - Added ability to combine -b with -j to write base64-encoded binary data in
    JSON output format
  - Added a new Nikon LensID
  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Added new Extra ProcessingTime tag
  - Added a new Olympus CameraType
  - Added header signature to .EXIF files
  - Decode a new Olympus tag (thanks LibRaw)
  - Improved conversion of some Canon RecordMode values
  - Improved decoding of tags for Hasselblad Stellar (thanks Jos Roost)
  - Fixed -htmlDump offsets for information extracted from some embedded images
  - Fixed hemisphere problem in Composite GPS tags derived from
    QuickTime:LocationInformation
  - API Changes:
      - Option names are now case insensitive

Feb. 1, 2014 - Version 9.49

  - Added new Olympus and Samsung LensType values, and fixed an Olympus lens
    name (thanks Niels Kristian Bech Jensen)
  - Added another Polish tag translation (thanks Kacper Perschke)
  - Added a new Panasonic ColorEffect value
  - Decode a new FujiFilm tag (thanks LibRaw)
  - Adjusted scaling factor for H264 ExposureTime values (thanks Francois)

Jan. 25, 2014 - Version 9.48

  - Added a new GeoTiff tag
  - Added a couple of new Canon LensType values
  - Added a few new XMP DarwinCore tags
  - Updated Sony MakerNotes for the ILCE-5000 (thanks Jos Roost)
  - Improved Polish translations (thanks Kacper Perschke)
  - Fixed problem writing RicohSubdirIFD in GR images
  - Fixed runtime error when writing PNG image with a TIFF-format EXIF profile

Jan. 18, 2014 - Version 9.47

  - Added read support for JPEG-HDR APP11 information
  - Added read support for Media Jukebox APP9 information
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added a few new Nikon LensID's (thanks Robert Rottmerhusen)
  - Added a new Minolta/Sony LensType and fixed some Tamron lens names (thanks
    Jos Roost)
  - Decode more FLIR tags (thanks Tomas)
  - Patched for quirk in Kodak PixPro AZ362 maker notes

Jan. 11, 2014 - Version 9.46 (production release)

  - Added a few Nikon lenses (thanks Niels for two)
  - Added a few new XMP-xmpDM tags (thanks Mats Peterson)
  - Added a new Pentax DriveMode (thanks Doug O'Brien)
  - Added a new Olympus lens (thanks Niels Kristian Bech Jensen)
  - Decode a number of new QuickTime tags
  - Decode a few new Canon filter tags
  - Improved -d option to properly handle time zones with %s and %z
  - Improved conversions for Panasonic Composite AdvancedSceneMode
  - Changed a few Tamron lens strings (thanks Niels Kristian Bech Jensen)
  - Patched to avoid round-off errors in seconds of filesystem time tags
  - Fixed extraction of CompressorID for some MOV videos

Dec. 21, 2013 - Version 9.45

  - Added details about movie data offset in MOV verbose dump
  - Added a new Pentax WhiteBalance value
  - Added a new Sony/Minolta LensType (thanks Jos Roost)
  - Decode a new QuickTime tag
  - Prevent illegal tag names to be generated from user-defined XMP tags
  - Patched to allow reading some improperly formatted EXIF UserComment values
  - Fixed problem where reading some large M2TS files could take a loooong time

Dec. 11, 2013 - Version 9.44

  - Added a new Pentax WhiteBalance value
  - Added back the K-3 SRResult tag, but make it Unknown and with no print
    conversion
  - Fixed problem copying the maker notes of some recent Pentax models

Dec. 8, 2013 - Version 9.43

  - Added a new Olympus CameraType
  - Added new Canon and Pentax LensType values
  - Added a new Panasonic ShootingMode
  - Added a new CanonModelID
  - Decode a number of new Sony Tags (thanks Jos Roost)
  - Decode a new Pentax tag
  - Fixed decoding of a few Pentax tags for newer models
  - Fixed decoding of CameraTemperature for Olympus Stylus 1
  - Fixed bug when writing QuickTime date/time tags with QuickTimeUTC option set

Dec. 1, 2013 - Version 9.42

  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a new Sony LensType (thanks Fredrik Agert)
  - Added a new Nikon LensID (thanks LibRaw)
  - Added a new Olympus CameraType
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode a number of new Panasonic tags (thanks Thomas Modes)
  - Decode a few new Pentax tags (thanks Klaus Homeister and others)
  - Improved Olympus SensorTemperature calibration (thanks Eric Sibert)
  - Patched decoding of EXIF:UserComment to tolerate invalid character code
    written by Canon Zoombrowser EX 4.5
  - Patched to allow GPS information to be extracted from incorrectly formatted
    EXIF written by Windows Phone OS 7.5 (observed in some HTC and Nokia phones)
  - Fixed runtime warnings which could occur when -j or -php combined with -f

Nov. 16, 2013 - Version 9.41

  - Added the ability to use multiple group qualifiers on tag names when writing
    and copying (eg. "-QuickTime:Time:All=now")
  - Added ability to geotag from Google Location Services KML files
  - Added a new Pentax LensType (thanks Louis Granboulan)
  - Added a new Canon LensType (thanks David Monro)
  - Added a new Sony LensType2 (thanks Jos Roost)
  - Decode a bunch more Nikon, Canon, Sony and FujiFilm WhiteBalance tags
    (thanks LibRaw)
  - Extract information from the new Pentax APP7 segment

Nov. 8, 2013 - Version 9.40 - "Write QuickTime"

  - Added ability to write XMP and edit date/time tags in QuickTime-format files
    (eg. MOV, MP4)
  - Added -api option to allow API options to be set via the command line
  - Added ability to specify family 2 group name when writing
  - Added write support for a number of new XMP tags
  - Added a new Nikon LensID
  - Added new Canon and Minolta/Sony LensType values (thanks Jos Roost)
  - Added a few of the new values defined in the DICOM 2011 specification
  - Add standard XMP to a PNG image when writing, even if XMP already exists in
    another non-standard chunk
  - Decode a few more Sony tags (thanks Jos Roost)
  - Decode a few more QuickTime tags
  - Decode a few more Panasonic tags (thanks Thomas Modes)
  - Extract EXIF information from WEBP images
  - Extract a few more unknown tags in Samsung MP4 videos
  - Extract ProfileName from the PNG iCCP chunk
  - Improved error message if no matches found when writing to tag(s) specified
    by wildcards
  - Improved XML output so EXIF tags now report a count (if constant, and > 1)
  - Avoid writing a few XMP-crs tags which have XMP-exifEX equivalents unless
    specified explicitly
  - Patched POD documentation in MIE.pm to remove non-ASCII characters
  - Fixed bug adding back XMP tags in PDF files after deleting all in the same
    command (also made XMP the preferred group when writing PDF files)
  - Fixed bug extracting some font information from QuickTime videos
  - Fixed inconsistencies in behaviour when extracting XML as a block from
    JPEG2000 images
  - Fixed problem where FileName was changed when using -srcfile option and
    writing only the Directory
  - API Changes:
      - Added the PNGEarlyXMP option
  - Internal Changes:
      - Changed all "$exifTool" variable names to "$et" throughout -- my
        apologies to the diff engines

Oct. 19, 2013 - Version 9.39

  - Added a new PentaxCameraID and some new LensTypes (thanks Louis Granboulan)
  - Added a new Nikon LensID
  - Added a new Panasonic ShutterType
  - Additions and improvements to Pentax makernote decoding for K-3
  - Decode a number of new tags including purchase information from MP4 videos
  - Decode FLIR information acquired by Extech MeterLink meters (thanks Tomas)
  - Decode more Sony tags (thanks Jos Roost)
  - Patched to suppress the run-time "No such file or directory" error that has
    been seen when using the -csv option on Windows systems

Oct. 7, 2013 - Version 9.38

  - Added read support for DPX images
  - Added a new Pentax LensType
  - Added a few new CanonModelID values
  - Added a new XMP-apple-fi tag
  - Decode a few more Canon tags (thanks Tomasz Kawecki)
  - Decode a few more Sony tags (thanks Jos Roost)
  - Improved the names of a few Apple tags (thanks Neal Krawetz) and added new
    Composite tag
  - Tolerate NMEA sentences with missing degrees written by some crappy software
  - Changed Duration conversion to print number of days if more than 24 hours

Sept. 14, 2013 - Version 9.37

  - Added support for maker notes from Apple iPhone5 iOS 7
  - Added two more Torrent tags
  - Added a new Pentax DigitalFilter
  - Added new Olympus CameraType and LensType values
  - Decode a couple more Olympus tags
  - More improvements to Sony decoding (thanks Jos Roost)
  - Improved decoding of Scalado JPEG APP4 information
  - Fixed problem where a PreviewImage could be reported in either the File or
    Composite group, depending on the details of the command

Sept. 7, 2013 - Version 9.36

  - Added read support for BitTorrent description files (bencode format)
  - Added a couple of new Nikon LensID's (thanks Jurgen Sahlberg)
  - Added support for PNG 8bim raw profile
  - Added or fixed a few Pentax LensType values (thanks Louis Granboulan)
  - Added ability to delete DNGAdobeData and DNGPrivateData
  - Decode more Sony tags and improved decoding of others (thanks Jos Roost)
  - Decode a number of new FujiFilm tags and fixed 2 incorrect Saturation values
  - Decode a number of Canon CameraInfo tags for the 70D (thanks Tomasz Kawecki)
  - Patched to issue minor warning and extract only the first 1000 values from
    XMP list-type tags containing more than 1000 items (all values may be
    extracted by ignoring this warning with the -m option)
  - Patched decoding of PNG IPTC raw profile to allow either IIM or IRB data
  - Flagged ImageSourceData as "unsafe" (avoids excessive memory usage when
    copying all tags because this data may be larger than the image itself for
    Photoshop TIFF images)
  - Disabled feature introduced in version 9.14 which allowed multiple tags
    (specified by wildcards) to be copied into a single list.  This feature had
    the unintended side-effect of generating duplicate list items when copying
    list-type tags if there were multiple source tags with the same name.  If
    necessary, -addTagsFromFile may still be used to copy the values of multiple
    tags into a single list.

Aug. 17, 2013 - Version 9.35

  - Added a new Canon LensType (thanks Oliver)
  - Added two new Olympus CameraType values
  - Added some new Pentax LensType values (thanks Louis Granboulan)
  - Added a new RIFF StreamType value
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Decode CameraTemperature from more Canon models
  - Extract thumbnail information from Leica X VARIO MP4 videos
  - Improved decoding of Pentax LensData (thanks Louis Granboulan)
  - Patched to avoid a warning for the messed-up Leica M maker notes
  - Changed a few Pentax Samsung/Schneider lens names for consistency
  - Changed "Can't delete" message to indicate if the tag is Permanent
  - Fixed the case of a few tag names (thanks Romain)

July 27, 2013 - Version 9.34

  - Added support for Ricoh GR maker notes (in MOV videos too)
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added a new Canon LensType (thanks Norbert Wasser)
  - Added support for Sony DSC-TF1 maker notes (thanks Jos Roost)
  - Added patch for messed up Leica M (Typ 240) MakerNote trailer
  - Added a few new CanonModelID's and a few new PentaxModelID's
  - Added some new XMP-crs tags written by LR5
  - Added a few new Nikon LensID's
  - Decode a number of new Ricoh GR tags (thanks Tim Gray)
  - Recognize the Nikon SB-700 external flash
  - Updated MWG location tags to conform with the MWG 2.0 specification (but
    continue writing legacy IPTC Core location tags)
  - Removed "[Minor]" designation from "excessive count" warning if count is
    greater than 2M
  - Avoid processing multiple EXIF IFD's if only one should exist

July 13, 2013 - Version 9.33

  - Added support for EXIF UTF-16 Unicode text (previously treated as UCS-2)
  - Added support for Leica X Vario maker notes
  - Added a couple of new SonyModelID values (thanks Jos Roost)
  - Added a new CanonModelID and a new Olympus CameraType
  - Added a new Canon LensType
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Decode some new Panasonic tags and added values for others (thanks Thomas)
  - Improved decoding of Olympus RawDevArtFilter
  - Improved decoding of some Sony tags for the RX100M2
  - Changed application to always return an error status when exiting if an
    error was encountered when extracting information

June 22, 2013 - Version 9.32

  - Added support for "Exif 2.3 for XMP" tags
  - Added a few new Olympus LensTypes (thanks Niels Kristian Bech Jensen)
  - Added a few new PentaxModelID's
  - Added two new Samsung LensType values (thanks Pascal de Bruijn)
  - Decode a new Olympus tag
  - Fixed problem extracting audio comments from Ricoh G700SE images
  - Fixed a non-conforming CanonModelID string

June 8, 2013 - Version 9.31

  - Added a number of new Photoshop tags (but marked as Unknown)
  - Added a few new values for some Olympus tags
  - Added conversion for Olympus SensorTemperature
  - Added two new CanonModelID's
  - Added support for Reconyx firmware 4.0.0
  - Decode a number of new QuickTime and FLIR tags in MP4 videos
  - Decode more Sony tags (thanks Jos Roost)
  - Decode a new Olympus tag
  - The API List option may now be used in the config file for the same effect
    as -sep when combined with the -X, -j or -php option on the command line
  - Fixed problem where some QuickTime string values could have terminating NULL
    characters, which caused problems when renaming files using these tags

May 25, 2013 - Version 9.30

  - Added a new Canon LensType
  - Decode many Canon 700D CameraInfo tags
  - Also delete null characters with the default advanced formatting filter
  - Tolerate leading whitespace in HTML files
  - Fixed decoding of Canon 650D CameraInfo FocalLength
  - Fixed bug in new advanced formatting feature which gave incorrect
    output when used in the -p option for processing multiple files

May 18, 2013 - Version 9.29

  - Added another H264 Model value (thanks Rob Lewis)
  - Added support for Canon 5DmkIII firmware version 1.2.1
  - Added recognition of IBM AVC video files
  - Added a new CanonModelID
  - Decode more FLIR tags (thanks Tomas)
  - Decode H264 MDPM TimeCode
  - More improvements to Sony LensType decoding (thanks Jos Roost)
  - Extract information from the ASF Metadata Library in WMV files
  - Extract ColorBalanceVersion for unknown Nikon ColorBalance information
  - Updated some ID3 Genre names (thanks Mats Peterson)
  - Fixed warning when using -p with a string containing a newline
  - Fixed some incorrect Pentax Q LensType values

Apr. 21, 2013 - Version 9.28

  - Added the ability to delete unknown JPEG APP segments by segment name
  - Added a bunch of new ID3 Genre values (thanks Mats Peterson)
  - Decode a few more Sony tags (thanks Jos Roost)
  - Decode a few more tricky FLIR tags (thanks Tomas)
  - Improved Dutch language translation (thanks Peter van der Laan)
  - Patched to avoid warning in images where the AFMicroAdj data has been
    truncated by Canon DPP
  - Fixed -tagsFromFile and -v so they may now be used when writing via pipes
  - Fixed writing of Panasonic LensType tags that were broken in the 9.15 update
  - Fixed incorrect case for list type of XMP DocumentAncestors and TextLayers
  - API Changes:
      - Allow a File::RandomAccess reference as an input to WriteInfo()

Apr. 15, 2013 - Version 9.27 (production release)

  - Fixed "ARRAY ref" runtime error introduced in 9.25 that could occur when
    using the -X option
  - Fixed runtime warning which could occur when conditionally deleting XMP
    structure

Apr. 13, 2013 - Version 9.26

  - Added read support for FLIR FFF and FPF images and decode more FLIR tags
  - Added some new Pentax LensType's and Nikon LensID's
  - Added a few new Panasonic ContrastMode values
  - Decode a number of Canon 6D tags
  - Allow CanonRaw tags to be written using "CIFF" as a group name
  - Improved decoding of Canon ColorData information for newer EOS models
  - Improved decoding of a number of Sony tags (thanks Jos Roost)
  - Removed index number from duplicate Composite TagID's in XML output
  - Fixed byte-order problem for a few Nikon D5200 and D7100 tags
  - Fixed incompatibility with old-style (pre-8.46) XMP user-defined structure
    definitions

Apr. 6, 2013 - Version 9.25 (production release)

  - Added read support for FLIR thermal image metadata in JPEG images
  - Added write support for DNG version 1.4 images
  - Added a new Pentax DriveMode value and a new Pentax LensType
  - Added two new Olympus CameraType values
  - Added print conversion for XMP Flash tags to provide alternate language
    support
  - Decode a few more Nikon and Pentax tags
  - Decode more Sony tags (thanks Jos Roost)
  - Decode more Panasonic tags and changed decoding of others
  - Enhanced -j and -php options to work with -D, -H and -l
  - Improved German translations (thanks Herbert Kauer)
  - Patched decoding of QuickTime date/time tags to accommodate Samsung and Sony
    cameras that use an incorrect time zero of 1970 instead of 1904.  This patch
    will only work for videos produced before 2036, so hopefully Samsung and
    Sony will fix this problem at their end before then (care to place a wager?)
  - Fixed issues when using "-wm cg" and writing metadata as a block
  - Fixed possible "division by zero" error when reading undefined XMP rational

Mar. 23, 2013 - Version 9.24

  - Added ability to overwrite plus append output files (-w+!)
  - Added support for Sigma X3F version 3.0 images
  - Added a few new values for some Pentax tags
  - Added a few new CanonModelID's
  - Decode Nikon D5100 and D5200 custom settings plus a few other Nikon tags
  - Allow the value for missing tags extracted with the -f option to be
    configured via the API MissingTagValue setting (default is still "-")
  - Improved decoding of Sony LensSpec (again, thanks Jos Roost)
  - Fixed bug reading QuickTime extended-size atoms

Mar. 10, 2013 - Version 9.23

  - Added -W (-tagOut) and -Wext (-tagOutExt) options to allow multiple tags
    to be extracted to separate output files from a single source file
  - Added append feature to -w (-w+)
  - Added ability to extract SoundFile from Ricoh RMETA
  - Added more SonyModelID and Sony LensType values and improved Sony LensType
    decoding (thanks Jos Roost)
  - Added a new Olympus LensType (thanks Niels Kristian Bech Jensen)
  - Added another Pentax LensType
  - Decode more Nikon flash information (thanks Alyda Gilmore for the samples)
  - Decode Pentax Kelvin white balance tags (thanks Klaus Homeister)
  - Extract PDF embedded image color space
  - Improved Spanish translations (thanks Emilio Sancha)
  - More patches to avoid "APP1 segment too large" errors when copying all tags
    from some RAW images

Mar. 2, 2013 - Version 9.22

  - Fixed problem extracting metadata from encrypted embedded JPEG images in PDF
    files and added the ability to extract JPEG 2000 information too

Mar. 2, 2013 - Version 9.21

  - Added ability to extract embedded images and their metadata from PDF files
  - Added read support for binary-format PLIST files
  - Added support for Sigma DP3 Merrill maker notes
  - Added a few new Sigma LensType values
  - Added a new FujiFilm PictureMode value
  - Decode a number of new Pentax tags (thanks Klaus Homeister)
  - Decode more Sony tags (thanks Jos Roost)
  - Decode some new Nikon D800 tags (thanks Alyda Gilmore for the samples)
  - Decode a number of new tags in 3GP videos
  - Decode Pentax CameraType
  - Made a few more DNG tags writable (but protected)
  - Fixed problem reading XREF table of some PDF files
  - API Changes:
      - The CombineInfo() routine is now deprecated because it is likely that
        nobody ever used it.  If anyone actually uses this, please let me know

Feb. 20, 2013 - Version 9.20

  - NOTICE: This release fixes a problem in the 9.19 Windows version that could
    cause ExifTool to crash when writing metadata to some files  (it seems that
    one of the files in the 9.19 Windows package was corrupted)
  - Added a new PentaxModelID
  - Added write support for a few Getty Images XMP tags
  - Decode Sony AFAreaModeSetting (thanks Jos Roost)

Feb. 20, 2013 - Version 9.19

  - Added read support for Phase One IIQ maker notes
  - Added a couple of new Minolta Teleconverter values
  - Patched problem which could result in runtime warning when extracting
    information from a file with an incorrectly formatted PreviewImage pointer
  - Improved handling of unknown maker notes when writing to reduce the chance
    of corruption (fixes problem of corrupted SilverFast maker notes)
  - Fixed bug in HtmlDump where unused bytes at end of MakerNotes were not shown
    if they came at the end of a TIFF-format file

Feb. 16, 2013 - Version 9.18

  - Decode more AF information for Sony SLT models (thanks Andy Johnson for the
    samples)
  - Recognize CameraInfo and ColorData information from newer Canon 1DX firmware
  - Organized support files in full Perl distribution into separate directories
  - Improved German and Spanish translations (thanks Herbert Kauer and Emilio
    Sancha)
  - Fixed inconsistency where a priority tag could be hidden by a same-named tag
    in the same group when using the -j or -X option combined with -g or -G
  - Fixed problem in standard tests that could cause ExifTool test 25 to fail

Feb. 9, 2013 - Version 9.17

  - Added PLIST and MODD to the list of supported file extensions
  - Added track name to UserData tags within QuickTime tracks
  - Added a new Pentax LensType (thanks Pietu Pohjalainen)
  - Added a new Canon LensType
  - Decode binary data in PLIST and MODD files
  - Decode new Canon 1DX CustomFunctions
  - Issue a minor warning and ignore duplicate PDF Info dictionaries unless the
    -m option is used
  - Improved date/time parsing when writing to allow single-digit fields
  - Improved decoding/naming of a few Sony tags (thanks Jos Roost)
  - Improved German translations (thanks Herbert Kauer)
  - Changed a few PLIST tag names
  - Fixed decoding of Olympus CameraType for some models
  - Fixed problem calculating AvgBitrate for some video files
  - Fixed problem writing Canon:LensSerialNumber

Feb. 2, 2013 - Version 9.16

  - Added support for DarwinCore XMP tags
  - Added support for CinemaDNG tags
  - Added basic support for parsing XML PLIST information, and use this to
    extract tags from QuickTime iTunesInfo Data
  - Added a new Pentax lens (thanks Niels Kristian Bech Jensen)
  - Added some new Sony E-mount lenses (thanks Jos Roost)
  - Added a new NEFBitDepth value (thanks Jos Roost)
  - Added a new CanonModelID
  - Decode a few more Sony tags (thanks Jos Roost)
  - Improved decoding of QuickTime iTunesInfo tags
  - Improved Spanish translations (thanks Emilio Sancha)
  - Improved handling of errors in Perl expression of new formatting feature
  - Improved -p option to also handle structures
  - Changed a number of Sigma lens names for Olympus to conform with official
    Sigma model names (thanks Niels Kristian Bech Jensen)
  - Moved the MWG XMP tags documentation to the MWG page
  - Patched to allow reading GPX track logs with no version number
  - Fixed problem reading an ID3 POPM frame with a missing counter
  - Fixed bug which could cause "uninitialized value" runtime warning when
    reading Nikon maker notes with an empty RetouchHistory
  - API Changes:
      - Compatibility Notice: The MWG Composite tags are no longer automatically
        loaded just by using the MWG module.  Image::ExifTool::MWG::Load() must
        now be called explicitly to load these tags

Jan. 27, 2013 - Version 9.15

  - Added advanced formatting feature to -p and -tagsFromFile options
  - Added -echo3 and -echo4 options
  - Added a few more Olympus LensType values, removed one, changed some lens
    names for consistency (all thanks Niels Kristian Bech Jensen), and use
    hexadecimal instead of decimal for numerical LensType values
  - Added a number of new Sony E-mount lenses
  - Added a new Tamron lens for Sony (thanks Marcin Krol)
  - Trim trailing spaces from Panasonic LensType strings
  - Fixed bug which could cause "Can't call method GetMarkerPointers" runtime
    warning when writing certain types of corrupted images
  - Fixed problem copying PrevewImage from some corrupted files
  - Fixed problem identifying a Sigma lens for Nikon at some focal lengths 
  - API Changes:
      - Added AddUserDefinedTags() method
      - Added formatting feature for tag values in SetNewValuesFromFile()

Jan. 18, 2013 - Version 9.14

  - Added -wm (-writeMode) option to provide control over tag write/create mode
  - Added ability to use wildcards in target tag names when writing
  - Added ability to read/write Jpeg2000 XML tag as a block
  - Added ability to delete MPF segment (with -MPF:All=)
  - Added a number of new Olympus lenses (thanks Niels Kristian Bech Jensen)
  - Added a new Nikon LensID (thanks Robert Rottmerhusen)
  - Added a number of new Pentax LensType's (thanks Alan Robinson for one)
  - Added a few new CanonModelID's and Canon LensType's
  - Decode ID3v2 POPM and OWNE frames
  - Decode new Canon 6D CustomFunctions
  - Improved calculation of ScaleFactor35efl for Canon cameras
  - Changed priority of PDF Info tags so tags from most recent Info dictionary
    take precedence (to partially accommodate the questionable Acrobat Pro
    incremental update technique)
  - Changed some verbose warnings when attempting to write "unsafe" tags
  - Changed behaviour so that "unsafe" tags are not copied for any tag specified
    using a wildcard (previously this was the behaviour for a tag name of 'all'
    or '*', but not names like 'gps*')
  - Fixed bug where a Composite tag could sometimes not be generated when the
    -struct option was used if the tag was derived from an XMP List-type tag
  - Fixed problem conditionally deleting GIF Comment and MIE tags
  - Fixed decoding of RawImageWidth/Height from FujiFilm X-E1 RAF images
  - API Changes:
      - Added WriteMode option

Jan. 10, 2013 - Version 9.13 (production release)

  - Added basic validation of ExifVersion and FlashpixVersion tags when writing
  - Fixed problem where MPF PreviewImage was lost when editing metadata in JPEG
    images from the Nikon D4, D600 or D800

Jan. 2, 2013 - Version 9.12 (production release)

  - Fixed problem introduced in 9.10 preserving file modification date/time when
    some options are used

Jan. 2, 2013 - Version 9.11 (production release)

  - Improved decoding of some Sony tags
  - Changed 3 tag names to avoid a leading digit to fix XML validation problem
  - Fixed bug introduced in 9.04 that could double-encipher some Sony MakerNote
    information when writing (affected files are fixed by writing any tag with
    ExifTool 9.11)

Dec. 29, 2012 - Version 9.10

  - Added write support for a few new XMP-crs and XMP-photomech tags
  - Added a new Samsung LensType (thanks Jaroslav Stepanek)
  - Added a new Pentax LensType (thanks Helmut Schutz)
  - Added a new Canon LensType
  - Decode Sony A99 FocusMode (thanks Michael Tapes for the samples)
  - Tolerate (but warn about) up to 4 bytes of garbage at start of EXIF segment
  - Changed -P option to also preserve FileCreateDate on Windows (requires
    Win32API::File::Time)
  - Changed "[minor]" warning messages to capitalize the "M" (ie. "[Minor]") if
    processing is affected when the warning is ignored
  - Patched to avoid problem of slow processing with some corrupted EXIF

Dec. 15, 2012 - Version 9.09

  - Added a few new Google XMP GPano tags
  - Added a new Olympus CameraType
  - Added a couple of new Minolta LensTypes
  - Added two new Nikon LensID's (thanks David Puschel and Robert
    Rottmerhusen)
  - Decode Nikon D7000 AFPointsUsed and make this tag writable
  - Decode a new Olympus tag (thanks Christoph Anton Mitterer)
  - Renamed one of the FujiFilm RAF RawImageWidth/Height pairs to
    RawImageFullWidth/Height
  - Changed -stay_open when combined with -q to flush output after each command
    (as already done without -q) (requires IO::Handle)
  - Fixed problem shifting FileCreateDate when writing other "real" tags in the
    same command

Nov. 26, 2012 - Version 9.08

  - Fixed bug introduced in 9.07 that broke writing of FileModifyDate

Nov. 24, 2012 - Version 9.07

  - Added ability to read/write FileCreateDate (Windows only)
  - Added ability to read FileInodeChangeDate (non-Windows only)
  - Added support for new tags in DNG 1.4 specification
  - Added support for Google Photosphere GPano XMP tags
  - Added a couple of new Olympus filter effects
  - Changed a Panasonic LensType (thanks Olaf Ulrich)
  - API Changes:
      - Enhanced SetFileModifyDate() to write FileCreateDate (Windows only)

Nov. 17, 2012 - Version 9.06

  - Added support for Nikon maker notes in images from any camera make (as
    written by Capture NX2)
  - Added support for FujiFilm X-E1 RAF images
  - Added a new Olympus CameraType
  - Added a new PentaxModelID and a new Pentax LensType
  - Extract FileCreateDate (Windows) and FileInodeChangeDate (other systems)
  - Fixed bug decoding UTF-16 ID3 synchronized lyrics

Nov. 10, 2012 - Version 9.05

  - Added ability to read APE metadata from MP3 audio files
  - Decode ID3 synchronized lyrics/text information
  - Decode maker notes in Leica V-LUX40 MP4 videos
  - Decode Sony A99 AFPointSelected (thanks Michael Tapes for the samples)
  - Improved decoding of some Sony tags (thanks Jos Roost)
  - API Changes:
      - Removed GeoNoInterpolate option (just set GeoMaxIntSecs to 0 instead)

Nov. 3, 2012 - Version 9.04 (production release)

  - Added two new Sony LensType values (thanks Matthias Paul)
  - Added a few new Canon LensType values
  - Added a couple of new PentaxModelID's and decode some new K-5 II values
  - Added support for some new XMP tags written by the Apple iPhone 5
  - Added a new Olympus CameraType
  - Decode more Sony tags/values (thanks Jos Roost)
  - Decode Nikon HDRInfo (thanks Stefan)
  - Decode some FlashInfo tags for new Nikon models
  - Decode a few WM ID3 tags (some documentation on these would be nice)
  - Fixed bug which could cause truncated/garbage ID3v2 strings to be returned
  - Fixed -globalTimeShift option to also work when copying tags
  - Fixed decoding of Nikon AFFineTuneAdj for FirmwareVersion 1.10B (thanks
    Michael Tapes for the samples for this and the A77)
  - Fixed problem where a few tags (FileSequence, NewGUID and Now) were not
    available for use with the -p option
  - API Changes:
      - Added RequestAll and GeoNoInterpolate options
      - Fixed problem in SetNewValue when setting the Raw value of some tags

Oct. 13, 2012 - Version 9.03

  - Added new feature to provide control over directory levels in %d strings
  - Added ability to write OtherImage in NEF images
  - Added a new Pentax LensType
  - Added a few new CanonModelID's (thanks Laurent Clevy)
  - Added a new Nikon LensID (thanks Geert De Soete)
  - Added a few new Olympus CameraType values
  - Decode some new CameraInfo tags for the Canon EOS 650D
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Improved decoding of some Sigma tags for the DP1/DP2 Merrill
  - Give priority to EXIF tags over SigmaRaw tags X3F images
  - Changed Samsung lens names to include "NX" (thanks Jaroslav Stepanek)
  - Fixed misleading verbose "TAG is not writable" messages when copying
    list-type tags
  - API Changes:
      - Enhanced GetValue() to allow return of 'Rational' value

Sept. 6, 2012 - Version 9.02

  - Added a new Nikon LensID (thanks Joseph Heled)
  - Added a new EXIF SubFileType value used in DNG images
  - Added write support for Apple Adjustment Settings XMP tags (XMP-aas)
  - Added a couple of new Samsung LensType values (thanks Jaroslav Stepanek)
  - Added a couple of new Canon LensType values and a new CanonModelID
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Enhanced "-o -" feature to allow output file type to be specified
  - Extract last file access time as FileAccessDate
  - Allow tags to be set from files which are zero bytes in size
  - Made ProfileHueSatMap tags Binary if they are too long
  - Changed names of some PanasonicRaw DistortionInfo tags
  - Changed decoding for a Sony ExposureMode value
  - Fixed hang/crash that could occur when writing to an image with corrupted
    Sony MoreInfo data (eg. SLT-A55V JPEG corrupted by GIMP)

Aug. 25, 2012 - Version 9.01 (production release)

  - Added a couple of new CanonModelID values
  - Added a couple of new Canon LensType values (thanks Pascal de Bruijn)
  - Added a new PentaxModelID and a few new Pentax PictureMode values
  - Decode a new Pentax ISO tag
  - Improved -listx output for XMP structure tags
  - Fixed "unexpected end of file" problems with some compressed MIE files

Aug. 18, 2012 - Version 9.00

  - Added support for PDF encryption V5.6 (new in Adobe Reader X)
  - Added a few new XMP-cc tags and changed a few others to rdf:resource type
  - Added a new Sony LensType and values for other Sony tags (thanks Jos Roost)
  - Added a new Nikon LensID
  - Added a new Panasonic LensType (thanks Olaf Ulrich)
  - Added patch to fix simple XMP tags written incorrectly as lang-alt type
  - Decode some Panasonic RW2 lens distortion correction tags
  - Decode some WEBP image characteristics from the VP8 bitstream
  - Decode more Leica MakerNote information
  - Calculate CurrentIPTCDigest for IPTC in PostScript files
  - Changed the names of a couple of WBShift tags
  - Improved parsing of -if expressions to interpret a dash after a tag name as
    a minus sign instead of part of the tag name
  - Patched problem with conditional deletion of an incorrectly null-terminated
    JPEG Comment
  - Fixed hang bug when reading unsupported Microsoft Xtra information in MOV
    videos

Aug. 3, 2012 - Version 8.99

  - Added patch to avoid "Error renaming temporary file" errors in Windows
  - Decode some new Sony tags and values (thanks Mike Reit and Jos Roost)
  - Improved Italian translation (thanks Michele Locati)
  - Improved decoding of H264 ImageStabilization
  - Changed names of PanasonicRaw ImageWidth/Height tags, and added new
    Composite tags to calculate actual size of RW2 images
  - Fixed "Corrupted Ricoh RMETA data" warning for images from some Ricoh models
  - Fixed problem writing information to some EPS images

July 28, 2012 - Version 8.98

  - Added a new Pentax LensType and two new PentaxModelID's
  - Added a new CanonModelID and a new Olympus CameraType
  - Added a new Composite Duration tag for Vorbis audio files
  - Added more elements to Microsoft Regions XMP structure and fixed tag name
    documentation for this
  - Decode a number of new Sony tags (thanks Jos Roost)
  - Changed name of Minolta BatteryLevel tag to BatteryState
  - Patched problem with conditional deletion of IPTC string-type tags which are
    incorrectly null terminated (eg. written by Picasa 2.0)
  - Fixed problem copying Canon 5DmkIII MakerNotes from CR2 to JPEG images
  - Fixed runtime error when writing some images with corrupted EXIF

July 6, 2012 - Version 8.97

  - Added a new Canon LensType
  - Added support for GPX attitude information as written by Arduino
  - Added write support for XMP-expressionmedia:CatalogSets
  - Made CFARepeatPatternDim and CFAPattern2 writable but protected
  - Minor improvement to decoding of Sony FaceInfo
  - Fixed problem reading some GPX track logs

June 30, 2012 - Version 8.96

  - Added -globalTimeShift option
  - Added new values for a couple of Nikon tags (thanks Michael Relt)
  - Added a few new Sony PictureEffect values
  - Added a new Olympus LensType
  - Decode a new Sony A100 tag and improved/renamed some others (thanks Igal
    Milchtaich)
  - Changed -restore_original and -delete_original options to scan directories
    only for writable file types
  - Enhanced -srcfile option to allow multiple source files to be specified
  - Patched possible round-off problem when extracting rational values
  - Fixed bug which could cause runtime error when reading some HTML files and
    improved reliability when extracting HTML "meta" tags
  - API Changes:
      - Added GlobalTimeShift option

June 16, 2012 - Version 8.95

  - Added a few new Sony PictureEffect values
  - Added a new Olympus lens type (thanks Niels Kristian Bech Jensen)
  - Improved decoding of Canon IntelligentContrast
  - Improved user-defined lens logic to attempt to choose the best matching
    user-defined lens if more than one is possible

June 9, 2012 - Version 8.94

  - Added ability to read/write IPTC as a block
  - Added a few Nikon LensID's (thanks Mike Pollock and Robert Rottmerhusen)
  - Added a new Olympus LensType (thanks Brad Grier)
  - Added new values for a few Olympus tags
  - Decode more Sony tags (thanks Jos Roost and Igal Milchtaich)
  - Decode Canon IntelligentContrast and add a new CanonModelID
  - Changed names of Canon Sort/LongFocal tags to Min/MaxFocalLength

May 26, 2012 - Version 8.93

  - Added some new Nikon RetouchHistory values
  - Added a couple of new Pentax LensType values
  - Added some new Olympus MagicFilter and LensType values
  - Added a new CanonModelID
  - Decode more Sony tags (thanks Jos Roost)
  - Decode some MakerNote information in Olympus E-M5 MOV videos
  - Decode a couple more Canon tags
  - Patched to overcome formatting problems in Samsung NX200 JPEG maker notes

May 12, 2012 - Version 8.92

  - Added read support for PCD (Kodak Photo CD Image Pac) files
  - Added Geotag support for Winplus Beacon text-format GPS log files
  - Added support for Leica X2 MakeNotes
  - Added NewGUID tag
  - Decode Panasonic ManometerPressure tag (thanks Christoph Mitterer)
  - Decode more Sony tags (thanks Jos Roost)
  - Changed a few Canon-mount Tokina lens model names for consistency

May 5, 2012 - Version 8.91

  - Added -progress option
  - Added support for XMP fpv namespace
  - Added a new Canon EasyMode value and fixed an incorrect one
  - Added a couple of new Canon LensTypes
  - Decode a number of new tags for the Canon 1DX and 5DmkIII
  - Improved the names of a few Sony tags (thanks Jos Roost)
  - Fixed -sep option to apply to interpolated tag values in a string when
    copying

Apr. 28, 2012 - Version 8.90 (production release)

  - Added ability to fix double-UTF-encoded embedded XMP
  - Added a warning for invalid XMP
  - Added a new Minolta/Sony LensType (thanks Matthias)
  - Added a new values for some Canon tags
  - Decode ColorBalance information for a few more Nikon models
  - Ignore trailing whitespace when writing converted values
  - Enhanced the -z option to avoid writing the 2424 bytes of padding in XMP
  - Improved decoding of some Sony MakerNotes tags (thanks Jos Roost)
  - Improved "best guess" for fixing corrupted makernote offsets of some Sony
    models

Apr. 21, 2012 - Version 8.89

  - Added new Nikon and Ricoh LensID's
  - Added a new Olympus CameraType
  - Added new Canon LensType, EasyMode and CanonModelID values
  - Added new Pentax PictureMode and PentaxModelID values
  - Added support for IDimager XMP tags
  - Added a number of new XMP-crs tags used by LR4
  - Decode a few more QuickTime tags
  - More improvements decoding Minolta/Sony CameraSettings (thanks Jos Roost)
  - Enhanced -ext option to allow files with any extension to be processed
  - Increased maximum number of SubIFD's to accommodate some DNG 1.4 images
  - Lowered priority of JPEG APP12 PictureInfo tags when reading
  - Created mechanism to allow self-referential XMP structures

Apr. 15, 2012 - Version 8.88

  - Added a new Canon LensType (thanks Gerald Erdmann)
  - Decode a number of new Olympus tags and values
  - Decode a few more QuickTime tags
  - Many more improvements and additions to Sony decoding (thanks Jos Roost)
  - Changed Ricoh InternalSerialNumber to also convert numerical value
  - Removed the ability to create IFD1 in TIFF-format images (you shouldn't
    really do this anyway)
  - Fixed incorrect IFD number in some error messages when writing

Apr. 9, 2012 - Version 8.87

  - Added a new PentaxModelID
  - Added new values for some Panasonic tags
  - Added a couple of new Canon LensTypes
  - Decode a few more Sony tags and values (thanks Jos Roost)
  - Decode more CanonVRD tags
  - Decode makernotes from Pentax WG-2 GPS MOV videos
  - Changed Panasonic AdvancedSceneMode to a Composite tag
  - Fixed problem introduced in 8.70 where excluding groups from deletion didn't
    work when copying back tags in the same command
  - Fixed problem repairing incorrect makernotes offsets in JPEG images from
    Sony SLT and NEX cameras

Apr. 3, 2012 - Version 8.86

  - Added a few new values for some Panasonic tags
  - Added a new CanonModelID and a new Canon LensType
  - Added a new Nikon LensID
  - Decode more Sony CameraSettings3 information (thanks Jos Roost)
  - Decode another Canon 5D tag
  - Decode some new CanonVRD DLO tags
  - Changed decoding of CanonVRD VRDVersion tag
  - Changed formatting of a Pentax LensType for consistency with other lenses
  - Patched decoding of Reconyx:DateTimeOriginal to accommodate values written
    with an incorrect byte order by some models

Mar. 25, 2012 - Version 8.85 (production release)

  - Added a couple more Olympus CameraType values
  - Added two new Pentax LensType's and a PentaxModelID
  - Decode a number of new Sony CameraSettings3 tags (thanks Jos Roost)
  - Decode a few new Pentax K-01 tags
  - Decode new custom functions of the Canon 5D Mark III
  - Recognize another non-standard APP1 XMP header
  - Increased unrolled depth of XMP-mwg-kw:HierarchicalKeywords from 4 to 6
  - Extended "-charset exif=CHARSET" to also apply to EXIF UserComment when
    stored as ASCII
  - Changed name of Olympus MaxApertureAtCurrentFocal to to MaxAperture
  - Patched to avoid possibility of unnecessary "references previous directory"
    warning when the length of one directory is zero

Mar. 17, 2012 - Version 8.84

  - Added a few more SonyModelID's (thanks Jos Roost)
  - Added a new CanonModelID and a number of new Canon LensType values
  - Added a new Minolta/Sony LensType
  - Decode CameraTemperature for a number of new Canon PowerShot models
  - Decode information from PANA atom of Panasonic DMC-FT20 MP4 videos
  - Decode a bit more of the Casio MakerNotes
  - Improved Polish translations for EXIF information (thanks Kacper Perschke)
  - Changed some warning messages for invalid IFD entries
  - Patched to allow writing of Sony MakerNotes containing invalid IFD entries

Mar. 13, 2012 - Version 8.83

  - Added a new SonyModelID and a new Nikon LensID (thanks Gregg Lee and Jos
    Roost)
  - Added Finnish translations (thanks Jens Duttke and Jarkko Makineva)
  - Fixed the Composite:LensID problem properly this time (with any luck)

Mar. 13, 2012 - Version 8.82

  - Added ability to extract information from PostScript-type DFONT files
  - Added a new Minolta/Sony LensType (thanks Jos Roost)
  - Improved geotagging of orientation information when extrapolating past end
    of track
  - Changed behaviour while copying information to allow flattened tags to be
    specified without the need to use the --struct option
  - Removed unnecessary warning when writing PreviewImage to Ricoh DNG file
  - Fixed problem introduced in 8.81 which prevented generation of the Composite
    LensID for Nikon images when duplicate tags were disabled
  - API Changes:
      - Added NoFlat option to SetNewValues()
      - Changed Struct option to allow copying of both structured and flattened
        tags at the same time

Mar. 9, 2012 - Version 8.81

  - Added some new Canon, Pentax and Sony/Minolta LensType's
  - Added a few new FujiFilm PictureMode values (thanks Kai Lappalainen)
  - Added some new FujiFilm FilmMode values
  - Added a couple of new CanonModelID values
  - Added local timezone message to -v2 geotagging output
  - Made all Pentax LensType tags writable
  - Improved Composite LensID logic to use Sony LensSpec value if available
  - Fixed problem opening files with path names that begin with "&"

Feb. 25, 2012 - Version 8.80

  - Added a new Olympus CameraType
  - Improved geotagging to tolerate out-of-sequence and missing NMEA sentences
  - Increased the maximum XMP tag ID length to 250 characters to allow very deep
    user-defined structure hierarchies

Feb. 20, 2012 - Version 8.79

  - Avoid deleting the JPEG APP14 Adobe segment when deleting all metadata
  - Added ability to read/write/create JPEG APP14 Adobe segment as a block
  - Added some new CanonModelID values
  - Added another Panasonic WhiteBalance value (thanks PeterK)
  - Decode Panasonic ColorTempKelvin tag
  - Decode information from Qualcomm APP7 JPEG segment
  - Extract PreviewImage for a few more uncommon camera models
  - Strengthened MP3 file recognition to avoid mis-identification of some files
  - Fixed problems reading "sfnt" resource in some DFONT files
  - Fixed problems writing some LensType values for 3rd-party lenses

Feb. 11, 2012 - Version 8.78

  - Added basic read support for a few obscure audio formats (LA, OFR, PAC, WV)
  - Added a couple more Canon LensType values
  - Decode some new Kodak tags in MP4 videos
  - Patched timezone problem on MirBSD due to leap-second "feature" of this OS
  - Fixed problem converting Adobe XMP LensID's for Pentax lenses
  - Fixed runtime warning due to conflict with some Vorbis tag ID's
  - Fixed problem which could result in duplicate columns in -csv output when
    used with -f and the "#" suffix on a tag name
  - API Changes:
      - Added XMPAutoConv option

Jan. 27, 2012 - Version 8.77 (production release)

  - Added some new and updated some existing Sony/Minolta LensType values
  - Added two missing Minolta Teleconverter values
  - Added a new Canon LensType
  - Decode Olympus ArtFilterEffect
  - Enhanced -c (CoordFormat) option to allow signed coordinate output
  - Changed -sort option to always sort -json and -X outputs by tag name
  - Minor change to an Olympus LensType name (thanks Niels Kristian Bech Jensen)
  - Fixed problem geotagging orientation information from PTNTHPR sentence
  - Fixed decoding of negative Pentax EffectiveLV values
  - Fixed typo in an Olympus LensType

Jan. 18, 2012 - Version 8.76

  - Added -sort option to sort output by tag name or description
  - Added support for FujiFilm RAF version 1.03 images and downgraded RAF
    version error to a warning
  - Added a number of new Minolta/Sony LensType's
  - Added a new CanonModelID
  - Decode FocusPosition for Sony A850 and calculate Composite FocusDistance
  - Decode IFD found in some Samsung Type1 maker notes
  - Patched Olympus test to fix failure on some platforms
  - Patched -json output to filter out invalid UTF-8 characters
  - API Changes:
      - Added Sort2 option and 'Descr' setting for Sort option
      - Added secondary sort option to GetFoundTags() and GetTagList()
      - Changed name of Sort 'Alpha' setting to 'Tag' (but 'Alpha' still works
        for backward compatibility)

Jan. 8, 2012 - Version 8.75 (production release)

  - Added -php output option (thanks Marcel)
  - Decode another AIFF tag and handle character encoding in AIFF text values
  - Recognize PHP files
  - Enhanced Geotag feature to write speed/track from NMEA GPRMC sentence, and
    orientation information from Honeywell NMEA PTNTHPR sentence
  - Changed verbose XMP output to print raw values
  - Lowered default priority of "avoided" tags so they don't override other
    same-named tags when reading with duplicate tags disabled
  - Patched tests to ignore MirBSD leap-second unconformity
  - Patched ZIP module to avoid failed tests with Perl 5.6.2 on GNU/Linux 2.6
  - Fixed problem reading xref table of some PDF files created by PScript5.dll
  - Fixed problem reading RicohSubdir from AVI videos of the GR Digital 4

Dec. 28, 2011 - Version 8.74

  - Added read/write support for Hasselblad FFF images
  - Added iptcCore.args convenience file to the distribution package
  - Catch CONT signal to allow calling applications to trigger an immediate
    response (avoiding a delay of up to 0.01 sec) after writing arguments to a
    -stay_open ARGFILE
  - Protect against some infinite loops that could be created when using some of
    the advanced exiftool options
  - Improved decoding of Samsung PictureWizard (thanks Pascal de Bruijn)
  - Improved handling of bad IFD entries in -htmlDump output
  - Changed print conversion of EXIF:FNumber and XMP:FNumber to use 2 decimal
    digits for values less than 1.0, and disable conversion for invalid values
  - Tightened up the -stay_open feature to fix a few potential problems
  - Fixed bug using -csv+= or -json+= for non-list-type tags
  - Fixed problem deleting unknown makernotes as a block
  - API Changes:
      - Enhanced SetNewValue() AddValue option to allow this option to be
        ignored for non-list tags

Dec. 16, 2011 - Version 8.73

  - Added read support for OpenEXR and Radiance RGBE images
  - Added a couple of new Nikon LensID's (thanks Robert Rottmerhusen)
  - Added a new PentaxModelID
  - Added a new Olympus CameraType
  - Created new FileSequence tag for use in batch processing
  - Decode maker notes from Pentax Optio RZ18 AVI videos
  - Tolerate unrecognized IPTC records (but still issue warning)
  - Changed ScaleFactor35efl calculation to also use Pentax SensorSize
  - Minor changes to two Samsung lens names (thanks Pascal de Bruijn)

Dec. 8, 2011 - Version 8.72

  - Added support for reading XMP from INX files
  - Added PDF HasXFA tag
  - Added a new XMP Colorants field (not in 2010 XMP specification)
  - Decode Casio BestShotMode for yet more cameras
  - Decode a few more Casio ImageStabilization values
  - Decode a few more Olympus tags and added conversion for CameraType
  - Protect against reading insanely large XMP (> 300 MB) in INDD files
  - Extract large (> 64 kB) unknown XMP tags as binary data
  - Reduced memory requirements for XMP processing (by 1/10)
  - Fixed another place where empty XMP structures could hide (in lists)

Nov. 19, 2011 - Version 8.71

  - Added two new Olympus LensType values (thanks Martin Hilbers)
  - Avoid recreating duplicate groups when deleting whole groups and adding back
    tags in the same step
  - Fixed problem where the QuickTime -charset option didn't work for some tags
  - Fixed bug introduced in 8.69 which could cause excessive memory usage when
    reading QuickTime videos with the -u option
  - Fixed problem where existing empty XMP structure couldn't be deleted or
    overwritten as a structured tag

Nov. 15, 2011 - Version 8.70

  - Compatibility Notice: Changed order of operations when batch processing with
    -tagsFromFile option to be consistent with non-batch mode
  - Added -listItem option
  - Added read support for IDML files
  - Added a new Canon LensType (thanks Jon Charnas)
  - Added a couple of new Samsung LensType's (thanks Tae-Sun Park)
  - Added support for another DigiKam XMP tag
  - Decode a couple more ID3 tags
  - Decode Casio BestShotMode for more cameras
  - Improved decoding of Casio AFMode
  - Extract unknown FLAC blocks as binary data
  - Changed ITC:ImageType to make "numerical" value more friendly
  - Changed priority of two unreliable Samsung tags
  - Fixed bug where ExifTool could produce improperly formatted XMP when writing
    structure elements to a previously empty XMP structure (the empty XMP
    structure was not being properly deleted).  Affected XMP may be repaired by
    re-writing any element of the structure with this version of ExifTool
  - API Changes:
      - Added ProtectSaved option to SetNewValue() and return save count from
        SaveNewValues()

Nov. 9, 2011 - Version 8.69

  - IMPORTANT: Fixed bug which could corrupt GIF images when writing a Comment
    to a GIF image containing XMP metadata
  - Added ability to read/write ICC_Profile in GIF images
  - Added ability to specify internal encoding of EXIF "ASCII" strings and
    QuickTime strings
  - Added a new DigiKam XMP tag
  - Documented -echo option (has been an undocumented feature since 6.86)
  - Decode a number of new Sony tags
  - Decode a few new Pentax tags and added a few new values
  - Decode a few new QuickTime and ID3 tags
  - Decode Casio BestShotMode for a number of models
  - Improved validity checking of ICC_Profile segments in JPEG image
  - Tolerate UTF-8 byte order mark (BOM) in input CSV and JSON files
  - No longer trim trailing spaces from arguments in -@ argfiles
  - Upgraded Windows executable version to use PAR 1.002
  - Changed priority of the Sony DynamicRangeOptimizer tags
  - Changed MWG feature to use UTF8 encoding for EXIF strings by default
  - Changed the -b option to avoid loading large binary values for tags that
    have been excluded with the -x option or --TAG
  - Changed Canon AFMicroAdjActive to AFMicroAdjMode and improved decoding
  - Fixed problem where the PreviewImage could be lost when writing to images
    from some newer Sony cameras
  - Fixed problem reporting duplicate information when -if used with -TAG#
  - Fixed incorrectly written XMP-tiff:YCbCrSubSampling tag
  - Fixed problem opening files with names beginning and/or ending with some
    characters such as SPACE, '>', '<' and '|'; however file names ending
    with '|' are still not allowed
  - API Changes:
      - Added CharsetEXIF and CharsetQuickTime options

Oct. 21, 2011 - Version 8.68

  - Added a new CanonModelID and a new SonyModelID
  - Added new Canon and Pentax LensType's
  - Decode more makernote information from Nikon MOV videos
  - Improved decoding of Sony LensSpec and enabled writing of this tag
  - Overhauled Minolta/Sony LensType list for consistency with official Sony
    lens names and removed a couple of anomalous entries (thanks Jos Roost)
  - Fixed problem with negative temperatures in Reconyx makernotes
  - Fixed bug which could cause runtime warnings when -f used with -X and -l
  - Fixed some minor problems when using -X with MWG option
  - Fixed issue where some missing tags could be printed when -f option was used
    in combination with wildcard tag names

Oct. 13, 2011 - Version 8.67

  - Added a new Canon LensType (thanks Norbert Wasser)
  - Decode tags from FujiIFD in HS10 and X100 RAF images
  - Decode LocationInfo tags from Nikon maker notes
  - Decode GPS tags from Nikon MOV videos
  - Decode information from Microsoft "Xtra" atom in QuickTime files
  - Decode Sony LensSpec information (thanks Jos Roost)
  - Use more specific MakerNotes names in warning messages and verbose output
  - Updated Canon CustomFunctions for the EOS 600D and 1100D
  - Improved handling of some corrupted RIFF files
  - Improved decoding of Samsung manual lens types (thanks Pascal de Bruijn)
  - Changed "No writable tags found" warning to "No writable tags set from"
  - Fixed problem handling resource forks in newer versions of OS X
  - Fixed problem writing XMP as a block to Jpeg2000 images
  - Fixed problem which could cause XMP and IPTC to be ignored when using MWG
    feature with TIFF images and performing multiple operations in a single
    command

Oct. 3, 2011 - Version 8.66

  - Added the ability to use "$GROUP:all" in -if and -p expressions (evaluates
    to "1" if any tag exists in the specified group, or "0" otherwise)
  - Added a new Sony/Minolta LensType (thanks Florian Knorn)
  - Added list of recommended modules to Perl installation
  - Decode ColorBalance information for a few new Nikon models
  - Updated Canon CustomFunctions for the EOS 600D and 1100D
  - Fixed problem writing "now" to MWG date/time tags

Sept. 24, 2011 - Version 8.65 (production release)

  - Added a few new CanonModelID's
  - Added a new Sony/Minolta LensType
  - Added a new Canon LensType (thanks Klaus Reinfeld)
  - Added a number of new Olympus ArtFilter/MagicFilter values
  - Included new .args files in distribution: exif2iptc.args and iptc2exif.args
  - Enhanced writing of date/time tags to recognize "now" for the current time
  - Improved decoding of H264 Gain
  - Minor improvement to -htmlDump for some invalid IFD entries
  - Allow PostScript date/time tags to be written without the -n option
  - Allow NikonCapture:ExposureAdj2 to be written without the -n option
  - Fixed problem introduced in version 8.62 where DateTimeOriginal in IFD0 of
    NEF images was no longer updated when shifting times
  - Fixed problem where keywords could be duplicated when exporting to XMP while
    using the MWG module
  - Fixed problem reading PDF images with extra whitespace before xref table
  - Fixed format problem in CSV output for filenames containing a comma or quote
  - Fixed problem reading concatenated AVI videos

Sept. 10, 2011 - Version 8.64

  - Added 2 new ACDSee XMP tags (thanks Hannes Leubbers)
  - Added a new Sony FileFormat value
  - Added a new CanonModelID
  - Added a few new Pentax DigitalFilter and ImageTone values
  - Enhanced -execute option to allow a command ID number to be added
  - Enhanced -csv and -json import features to also key on canonical SourceFile
    path (requires Cwd module)
  - Improved Composite LensID logic for some Sony cameras
  - Fixed misleading error message when using -if option on file that doesn't
    exist
  - Fixed problems decoding a number of inconsistent tags in the Sigma SD1 maker
    notes

Aug. 27, 2011 - Version 8.63

  - Added support for a number of new Open Document file extensions
  - Added a few new CanonModelID and SonyModelID values
  - Added a new Ricoh GXR LensID
  - Added a new Sony/Minolta LensType (thanks Mladen Sever)
  - Added patch to read the improperly formatted DateTimeOriginal in AVI videos
    written by the Kodak Easyshare Sport camera
  - API Changes:
      - Added QuickTimeUTC option

Aug. 21, 2011 - Version 8.62 - "JPEG2000 Update"

  - Added read support for JPEG2000 codestream format (J2C)
  - Added a few new Nikon LensID's (thanks Robert Rottmerhusen)
  - Added a few new Pentax LensType's
  - Added a few new Sony/Minolta LensType's (thanks Wolfram for 2 of these)
  - Added two new Sony Teleconverter values (thanks Wolfram)
  - Decode a few more JPEG2000 UUID's written by Adobe JPEG2000 plugin
  - Decode additional JPEG2000 ColorSpecification information
  - Recognize a few more JPEG2000 file extensions
  - Updated some CanonModelID's
  - Tolerate extra comma at end of line in imported -csv files
  - Changed name of Kodak Type9 SerialNumber tag to UnknownNumber
  - Fixed bug which in rare situations could result in an erroneous "IFD pointer
    references previous IFD" warning
  - Fixed another memory leak when writing and removed circular references from
    ExifTool object to prevent future bugs like this
  - Fixed problem in Windows where values in the -X (XML) output containing
    CR+LF were converted to CR+CR+LF
  - Fixed superfluous warning which could occur when using += to decrement a
    numerical tag
  - Fixed an incorrectly spelt Pentax city name (thanks John Francis)

July 16, 2011 - Version 8.61

  - Added the ability to increment/decrement tags with numerical values using +=
  - Added support for Extensis Portfolio XMP tags plus a number of non-standard
    and/or undocumented XMP-xmp and XMP-xmpMM tags
  - Added read support for Microsoft Compiled HTML (CHM) format
  - Added read support for Ogg Video (OGV) files
  - Added new LensType values for Pentax (thanks Heike Herrmann), Sony/Minolta
    (thanks Fabio Suprani and Florian Knorn), Nikon (thanks Jens Kriese),
    Olympus and Sigma cameras
  - Added a new QuickTime VendorID
  - Recognize DEX (Dalvik Executable) files
  - Identify Windows 64-bit EXE/DLL files and relax EXE validation
  - Validate date/time values when reading NMEA GPS log files
  - Changed decoding of CFAPattern to return a string of numbers with -n option
  - Extract all unknown makernote blocks as undef, regardless of actual format
  - Improved print conversion of Pentax ShakeReduction
  - Fixed problem processing some Ogg files with multiple streams
  - Fixed incorrect namespace URI for stArea (used by MWG 2.0 regions)
  - Fixed problem with spaces in -geotag path when using wildcards
  - Fixed problem writing PDF:Keywords list items individually if they contain
    special characters
  - API Changes:
      - Enhanced SetNewValue() to allow increment/decrement of numerical tags

June 25, 2011 - Version 8.60 (production release)

  - Added Composite Flash tag to facilitate copying of flash information between
    XMP and EXIF
  - Added new Pentax and Canon LensType values and fixed a Pentax lens name
  - Added a few new Leica LensType's (thanks Olaf Ulrich)
  - Added a new PentaxModelID
  - Enhanced GPSDateStamp conversion to tolerate null separators (Casio EX-H20G)
  - Made DNG LinearizationCurve and Nikon ContrastCurve writable but protected
  - Renamed Nikon LinearizationTable to NEFLinearizationTable and made writable
    but protected
  - Removed Leica M8 FrameSelector tag since it seems to have evolved into an
    extension of the LensType tag for newer lenses
  - Fixed problem with order of operations when using multiple -if options

June 11, 2011 - Version 8.59

  - Added new Composite:LensID derived from XMP-aux:LensID
  - Added new PentaxModelID and CanonModelID values
  - Added a new Pentax LensType (thanks Artur)
  - Decode maker notes in Pentax Optio S1 AVI videos
  - Extract PreviewWMF from DOCX files
  - Recognize WMF images
  - Fixed decoding of CanonVRD WBAdjRGBLevels and renamed to WBAdjRGGBLevels

June 2, 2011 - Version 8.58

  - Decode a number of CameraInfo tags for the Canon EOS 600D and 1100D
  - Improved speed by a factor of 2 when reading M2TS videos
  - Fixed memory leak with -stay_open feature when writing

May 26, 2011 - Version 8.57

  - Added a couple of new Canon LensType values
  - Added a few new Nikon LensID's (thanks Robert Rottmerhusen)
  - Added format string to -v2 output for IPTC tags
  - Added extra logic to avoid misidentifying unknown IFD-style maker notes
  - Decode custom settings for Nikon D700 and D7000
  - Fixed problem recognizing NikonCaptureData for ViewNX version 2.1.1

Apr. 16, 2011 - Version 8.56

  - Added a new Canon LensType (thanks Rodolfo Borges)
  - Decode EXIF information in FujiFilm HS20EXR MOV videos
  - Decode NikonCaptureEditVersions when ExtractEmbedded option is used
    (previously called NikonCaptureHistory)
  - Decode another Samsung tag (thanks Tae-Sun Park)
  - Recognize CaptureOne ".newer" COS files
  - Reverted JSON output to pre-8.51 behaviour by removing '#' suffix from tag
    names when print conversion is disabled on a per-tag basis
  - Fixed bug introduced in 8.32 interpreting some expressions when copying tags

Apr. 11, 2011 - Version 8.55

  - Added write support for FujiFilm RAF version 0716 images
  - Added support for a number of new LR3 XMP tags (thanks Wolfgang Guelcker)
  - Decode some more Samsung tags (thanks Tae-Sun Park)
  - Improved handling of incorrectly formatted XMP
  - Recognize a few alternate PS and EPS file extensions (thanks Jeff Harmon)
  - Reverted a few Pentax macro lens names (less consistent, but at least they
    match the official Pentax names)
  - Fixed problem reading some XMP custom properties
  - Fixed minor problem in HtmlDump output for Canon MakerNotes footer

Apr. 2, 2011 - Version 8.54

  - Added a number of new values for various tags
  - Added a new Nikon LensID
  - Decode a number of encrypted Samsung SRW tags (thanks Tae-Sun Park)
  - Enhanced -s option so allow a number to be specified
  - Fixed problem reading some Casio EX-Z35 MakerNote values

Mar. 27, 2011 - Version 8.53

  - Added a new Olympus LensType
  - Added a new Nikon LensID
  - Added a new PentaxModelID value
  - Decode new Pentax MakerNotes format of Optio WG-1 GPS
  - Decode Casio, Ricoh and Sanyo face detection information (thanks Jeffrey
    Friedl and Emilio for samples)
  - Decode FujiFilm face recognition information (thanks Jeffrey Friedl)
  - Decode a new FujiFilm tag for GE models
  - Allow writing GPSLatitudeRef/GPSLongitudeRef with a signed number
  - Return proper FileType for M4P audio files
  - Combined Canon FaceDetectFrameWidth/FaceDetectFrameHeight tags into
    FaceDetectFrameSize for consistency with other makes
  - API Changes:
      - Fixed problem when specifying family 1 group in call to SetNewValue()
        when tags were previously extracted with ExtractInfo()

Mar. 20, 2011 - Version 8.52

  - Added -listr option and mechanism to recognize some unsupported file types
  - Added read support for VSD (Microsoft Visio Drawing) files
  - Added a new Pentax LensType and improved consistency of macro lens names
  - Added another CanonModelID
  - Calculate Duration for M2TS (AVCHD) videos
  - Decode a new FujiFilm tag
  - Recognize .TS extension
  - Recognize FotoStation IPTC record 240
  - Attempt to better identify FPX-format MSOffice documents with incorrect file
    extensions
  - Fixed bug applying time shift to Nikon PowerUpTime
  - API Changes:
      - Enhanced GetNewValues() to allow group name to be specified
      - Allow description flag to be set to '0' when calling GetFileType() to
        return types of recognized-yet-unsupported files

Mar. 12, 2011 - Version 8.51

  - Added -csv option for import/export of CSV database files
  - Added ability to import JSON files
  - Added read support for APP1 "Ocad" segment
  - Added a new Nikon LensID (thanks Robert Rottmerhusen)
  - Decode more Reconyx MakerNotes tags (thanks Robert Hass of Reconyx!)
  - Report the number of encryption bits in the PDF:Encryption tag value
  - Allow empty group name when specifying a tag
  - Improved decoding of Olympus ArtFilter and MagicFilter tags
  - Improved exception handling to continue with next -execute command after
    aborting a command due to a serious error
  - Fixed problem reading indexed PGF images

Mar. 1, 2011 - Version 8.50 (production release)

  - Added Composite tags to convert QuickTime GPS information
  - Added a couple new Sony PMP Orientation values (thanks Mike Battilana)
  - Added a couple of new Nikon LensID's (thanks Rolando Ruzic)
  - Added a new Canon LensType (thanks Gerald Kapounek)
  - Decode new Nikon, Olympus, Pentax and Sony face detection tags (thanks
    Jeffrey Friedl)
  - Decode Ricoh FirmwareRevision tags
  - Allow GPSLatitudeRef and GPSLongitudeRef to be written with a GPS coordinate
    containing a N/S/E/W designator
  - Removed Canon20D shortcut and changed Canon shortcut
  - Removed LEGRIA/VIXIA/iVIS from CanonModelID names
  - Renumbered Canon FacePosition tags to start at Face1Position

Feb. 12, 2011 - Version 8.49

  - Added a number of new values for various Canon tags
  - Added a new Pentax LensType
  - Added ability to write Nikon PowerUpTime tag
  - Added a number of MachO CPUSubtype's and improved handling of 64-bit flag
  - Decode ColorData for the Canon EOS 600D and 1100D
  - Decode a few new Sony tags
  - Set document number for FlashPix tags extracted from embedded documents
  - Attempted to patch OS X 10.6 quirk where FileModifyDate may not be preserved
    for some files when -P is combined with -overwrite_original_in_place

Feb. 3, 2011 - Version 8.48

  - Added a new Canon LensType value
  - Changed order of stored information when rewriting existing IPTC tags (to
    make the order of items in list-type tags consistent with XMP when deleting
    and adding back values in the same command)
  - Fixed problems with format of binary data in lists for some output options

Jan. 29, 2011 - Version 8.47

  - Added -args option
  - Added read support for PGF (Progressive Graphics File) images
  - Added write support for Phase One IIQ images
  - Added ability to write XMP-xmpMM:Pantry
  - Added print conversions for a number of closed-choice XMP properties
  - Added some new CanonModelID's
  - Included new argument files in distribution: pdf2xmp.args and xmp2pdf.args
  - Avoid copying TIFF trailers containing nothing but zeros when rewriting
  - Handle binary data in serialized structure output
  - Moved BMP tags to the File group
  - Fixed bug reading/writing some IPTC binary data tags
  - Fixed problem copying XMP:Thumbnails structure
  - Fixed conversion of MXF:ByteOrder value
  - Fixed potential "Undefined subroutine ConvertStruct" crash bug
  - API Changes:
      - Fixed bug introduced in 8.46 when calling GetValue(xxx,'Raw')

Jan. 22, 2011 - Version 8.46

  - Simplified definition of user-defined XMP structures: flattened tags are now
    automatically generated, and UserDefined::xmpStruct is no longer needed (but
    backward compatibility is maintained with the old-style definitions)
  - Added ability to handle multi-dimensional arrays in structured output
  - Added a new Canon LensType (thanks Jean-Michel Dubois)
  - Added some new XMP-xmpMM tags
  - Enabled writing of a number of XMP-crs tags
  - Decode Reconyx TriggerMode tag
  - Relaxed structure validation to allow a structure to be written even if
    there were errors with some fields
  - Patched problem with formatting of very large numbers in JSON (-j) output
  - Fixed a few problems reading and writing structured information
  - Fixed bug which could cause hang with some user-defined tag definitions

Jan. 12, 2011 - Version 8.45

  - Fixed a couple of minor bugs with the new -struct option

Jan. 12, 2011 - Version 8.44 - "Structured XMP"

  - Added ability to specify XMP structures when writing (yet another Christmas
    vacation spent adding a significant new feature to ExifTool)
  - Added support for new XMP tags in the MWG 2.0 specification
  - Added read support for DV video files
  - Added support for Reconyx maker notes
  - Added option to overwrite existing text output files (-w!)
  - Added ability to ignore symbolic directory links with "-i SYMLINKS"
  - Added support for Sony Ericsson XMP cell phone location tags
  - Added a few new CanonModelID's
  - Added a new Minolta/Sony LensType (thanks Jean-Michel Dubois)
  - Added a new Olympus LensType
  - Added print conversion for all Bitrate tags
  - Decode a couple new RIFF tags
  - Decode CameraTemperature for a few new Canon PowerShot models
  - Improved -struct option to work with all text output formats
  - Changed behaviour of XMP lang-alt lists to conform to the July 2010
    specification (x-default item is no longer mandatory)
  - Renamed AudioSampleBits tags to AudioBitsPerSample
  - Renamed XMP-crs:Temperature tag to ColorTemperature
  - Minor change to behaviour when replacing values in XMP lists: new list
    items are now all inserted in place of the first deleted item (previously
    new items were inserted one-by-one into the holes left by deleted items)
  - Fixed bug writing alternate languages for XMP-iptcExt:ArtworkTitle tag
  - Fixed problem where console echo was disabled when using -k option from a
    bash script
  - Attempted to patch problem of -b option affecting newline sequence for
    subsequent -execute commands in Windows
  - API Changes:
      - SetNewValue() now accepts structured values (as HASH references or
        serialized strings)
      - Struct option now has 3 settings (undef, 0 and 1)

Dec. 21, 2010 - Version 8.43

  - Added read support for MXF (Material Exchange Format) files
  - Added support for GE (General Imaging) maker notes
  - Added a couple of new Pentax LensType's
  - Added a couple of new CanonModelID's
  - Added a few more values to Casio UnknownMode
  - Recognize 3GPP and 3GP2 file extensions
  - Improved handling of character encoding errors
  - Changed Duration format to always include hours for times > 1 minute
  - Fixed minor quirk in HtmlDump output
  - Fixed race condition with -stay_open when reading options requiring
    additional arguments from the argfile

Dec. 11, 2010 - Version 8.42

  - Added a couple more Samsung LensType values
  - Added a few new Canon EasyMode values and a Canon LensType value
  - Added a new PentaxModelID
  - Decode some new H264 tags (thanks Dave Nicholson)
  - Decode JUNK chunk in Pentax RS1000 AVI videos
  - Flush console output before "{ready}" message when using -stay_open
  - Improved decoding of some Canon and Pentax tags (thanks Dave Nicholson)
  - Fixed problem copying makernotes from Nikon NRW image to JPEG
  - Fixed incorrect decoding of some AEInfo tags for newer Pentax DSLR's

Dec. 3, 2010 - Version 8.41

  - Added a new PentaxModelID
  - Added a few new values for some Canon tags
  - Added some non-standard values to a few XMP-exif tags
  - Decode a new Ricoh tag and added a LensID
  - Decode more Pentax K-5 tags and values
  - Improved decoding of Battery tags for various Pentax DSLR models
  - Fixed bug where time could be wrong by up to 2 seconds when shifting
    multiple date/time values containing fractional seconds

Nov. 21, 2010 - Version 8.40 (production release)

  - Added -restore_original and -delete_original options
  - Added new Canon, Pentax and Sony LensType values
  - Decode more Pentax K-5 tags
  - Decode a number of new tags in Nikon D7000 MOV videos
  - Decode FocusDistance tags for the Canon EOS 60D
  - Decode a few new Panasonic tags
  - Decode a few maker note tags from Flip Video MP4 files
  - Extract PDF PageMode and PageLayout tags
  - Changed family 2 group names for a number of PDF tags
  - Changed Canon LensType strings for a few lenses with updated models
  - Patched problem reading GPX files which contain no newlines

